import bb.cascades 1.0

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
Page {
            
            Container {
                layout: DockLayout {

                }
                topPadding: 20

                Label {
                    multiline: true
                    content.flags: TextContentFlag.ActiveText
                    textFormat: TextFormat.Html
/*
                    text: "<b>Power Tools</b> is the ultimate Headless Productivity application.  Power Tools is a collection of small useful utilities that will help you be more productive.
Will the Headless version you do not need to run Power Tools in Active Frame anymore.  Just close the application when you are done.

<b>Turn Off Power Tools Alerts</b>

To make the Power Tools more enjoyable to use please turn off the Power Tools Notification Alert.

1.  Run the <b>Settings</b> application on the HomeScreen or swipe down from the top of the screen on the HomeScreen and select <b>Settings</b>

2.  Select <b>Notifications</b>

3.  Scroll all the way down to the bottom of the screen and select <b>Other Applications</b>

4.  Scroll to the middle of the screen and select <b>PowerTools</b>

5.  Set the <b>LED and Sound</b> to <b>Off</b>

6.  Select the <b>Back</b> button to exit or quit the Settings application

<b>Application Menu</b>

To open the Application Menu swipe down from the top of the screen on the main screen.  You can then select Help screen, Status and Power Tools Settings.

<b>LED for 3rd Party Applications</b>

In order to set a custom LED for an application such as BBM you first need to receive a message.  When Power Tools detects a new message it will post a new message to the Hub.  Follow the intructions and set the up the new LED notification.

<b>Batch Processing</b>

Power Tools has builtin batch processing for Picture Resizing and File Shredder.  Select <b>Batch Processing</b> from the overflow menu or the <b>More</b> button.

<b>Picture Resizing</b>

You can select pictures in BMP, GIF, JPG or PNG to resize and save in format BMP, JPG or PNG.  There are many options when resizing the picture such as resize to the current screen resolution, resize to a percentage or predefined sizes.

<b>File Shredder</b>

When you delete files using the File Manager or other applications the content of the file is not erased.  The operating system just marks the file location as free.

File Shredder will actually overwrite the physical file location many times with random data so the content of the file will never be readable.

<b>Backup and Restore Database</b>

Backup and Restore allows you to save the programs database to the SD Card.  This is very handy when you upgrade the OS or if you just want to save a backup of the settings.

To backup the program's data base go to the Overflow menu and select <b>Backup Database</b>.  To restore select <b>Restore Database</b>.  Restore will overwrite the current database.  

<b>Application Permissions</b>

If you had denied Application Permissions for Power Tools it will not work properly.  To set the permsissions Quit Power Tools and then run the Settings application, select Security and Privacy, select Application Permissions and select Power Tools.  After this run Power Tools again.

If you have questions or problems with the application please send email to support@toysoft.ca
*/
text: "Power Tools v7.7.4
Copyright © 2013-2016 Toysoft Inc.
All Rights Reserved.

www.toysoft.ca
support@toysoft.ca"
            horizontalAlignment: HorizontalAlignment.Center
        }// Label
    }
    
    actions: [
        
        ActionItem {
            title: qsTr("More Apps") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_moreapps.png"
            onTriggered: {
                invokeappworld.trigger("bb.action.OPEN")
            }
        }
        ,
/*        
        ActionItem {
            title: qsTr("Invite") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_bbm.png"
            
            onTriggered: {
                _mainApp.invitedownload()
            }
        },
*/        
        ActionItem {
            title: qsTr("Add Review") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_review.png"
            
            onTriggered: {
                addreview.trigger("bb.action.OPEN")
            }
        }
    
    ]
    
    attachedObjects: [
        TextStyleDefinition
        {
            id: tsd
            base: SystemDefaults.TextStyles.BodyText
            fontWeight: FontWeight.Bold
            fontSize: FontSize.Large
        
        },
        
        Invocation
        {
            id: invokewebsite
            
            query.mimeType: "text/html"
            query.uri: "http://www.toysoft.ca/"
            query.invokeActionId: "bb.action.OPEN"
        
        },
        
        Invocation
        {
            id: invokehelp
            query.mimeType: "text/html"
            query.uri: "http://www.toysoft.ca/profilechanger_help.html"
            query.invokeActionId: "bb.action.OPEN"
        },
        
        Invocation
        {
            id: invokeappworld
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://vendor/184"
            query.invokeActionId: "bb.action.OPEN"
        },
        
        Invocation {
            id: addreview
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://content/40723891"
            query.invokeActionId: "bb.action.OPEN"
        }
    
    
    ]
    titleBar: TitleBar {
        title: qsTr("Help") + Retranslate.onLanguageChanged

    }

}// RecipePage