import bb.cascades 1.0
import bb.cascades.pickers 1.0

//! [0]
Page {
    
    
    titleBar: TitleBar {
        id: addBar
        title: qsTr("Batch Processing")
        visibility: ChromeVisibility.Visible
        
        acceptAction: ActionItem {
            id: cancelaction
            title: qsTr("Close") + Retranslate.onLanguageChanged
            onTriggered: {
                _app.cancelBatch()
            }
            objectName: "cancelaction"
        }
/*        
        acceptAction: ActionItem {
            id: shredaction
            title: "Shred"
            onTriggered: {
                _app.wipeFiles()
            }
            objectName: "shredaction"
        }
*/
    } // titleBar
    
    actions: [
        ActionItem {
            title: qsTr("Add Files")
//            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_add.png"
            onTriggered: {
                filePicker.open();
            }
            objectName: "addaction"
        },

        ActionItem {
            id: resize_action
            title: qsTr("Resize")
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_resize.png"
            onTriggered: {
                resize_container.setVisible(true)
                browse_container.setVisible(false)
            }
            objectName: "resizeaction"
            enabled: false
        },
        
        ActionItem {
            id: shred_action
                title: qsTr("Shred")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_shred.png"
                onTriggered: {
                    resize_container.setVisible(false)
                    browse_container.setVisible(true)
                    _app.doAction(1)
                }
                objectName: "shredaction"
            enabled: false
        },
        
        ActionItem {
            title: qsTr("Help")
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_help.png"
            onTriggered: {
                _app.help()
            }
        }

    
    ]
    
    Container {
        layout: DockLayout {
        }
        
        ScrollView {
	            	        
	        // [1]
	        Container {
	            leftPadding: 10.0
	            rightPadding: 10.0
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Top
	            id: resize_container
	            visible: false
	            DropDown {
                    title: qsTr("Resize To") + Retranslate.onLanguageChanged
	                
	                selectedIndex: 0
	                objectName: "resize"
	                onSelectedIndexChanged: {
	                    // if percentage
	                    if (selectedIndex > 0 && selectedIndex < 6)
	                    {
	                        aspect_ratio.setVisible(false)
	                    }
	                    else
	                        aspect_ratio.setVisible(true)
	                }
	                Option {
                        text: qsTr("Screen Size") + Retranslate.onLanguageChanged
	                }
	                
	                Option {
	                    text: "12%"
	                }
	                Option {
	                    text: "25%"
	                }
	                Option {
	                    text: "50%"
	                }
	                Option {
	                    text: "75%"
	                }
	                Option {
	                    text: "125%"
	                }
	                
	                Option {
	                    text: "150%"
	                }
	                Option {
	                    text: "200%"
	                }
	                
	                Option {
	                    text: "240 x 320"
	                }
	                Option {
	                    text: "360 x 640"
	                }
	                Option {
	                    text: "576 x 1024"
	                }
	                Option {
	                    text: "720 x 1280"
	                }
	                Option {
	                    text: "1080 x 1920"
	                }
	            
	            }
	            
	            DropDown {
                    title: qsTr("Aspect Ratio") + Retranslate.onLanguageChanged
	                id: aspect_ratio
	                selectedIndex: 2
	                objectName: "aspect_ratio"
	                Option {
                        text: qsTr("Ignore Aspect") + Retranslate.onLanguageChanged
                        description: qsTr("The image is scaled to size") + Retranslate.onLanguageChanged
	                    imageSource: "asset:///images/ic_scaled_size.png"
	                }
	                Option {
                        text: qsTr("Keep Aspect") + Retranslate.onLanguageChanged
                        description: qsTr("Scaled as large as possible inside size, preserving the aspect ratio") + Retranslate.onLanguageChanged
	                    imageSource: "asset:///images/ic_scaled_keepratio.png"
	                }
	                Option {
                        text: qsTr("Keep Aspect By Expanding") + Retranslate.onLanguageChanged
                        description: qsTr("Scaled as small as possible outside size, preserving the aspect ratio") + Retranslate.onLanguageChanged
	                    imageSource: "asset:///images/ic_scaled_expand.png"
	                }
	            }
	            
	            DropDown {
                    title: qsTr("Format") + Retranslate.onLanguageChanged
	                selectedIndex: 1
	                objectName: "save_format"
	                Option {
	                    text: "BMP"
	                }
	                Option {
	                    text: "JPG"
	                }
	                Option {
	                    text: "PNG"
	                }
	            }
	            
	
	            Container {
	                layout: StackLayout {
	                
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
	                id: foldercontainer
	                
	                TextField {	                    
                        text: qsTr("ResizedPictures") + Retranslate.onLanguageChanged
	                    objectName: "resized_folder"
	                }
	                Label {
	                    horizontalAlignment: HorizontalAlignment.Fill
                        text: qsTr("Resized pictures are saved to the above folder in the system Photos folder.") + Retranslate.onLanguageChanged
	                    textStyle.fontSize: FontSize.XSmall
	                    textStyle.fontStyle: FontStyle.Italic
                        multiline: true
                    }
	            
	            }
	
	            Container
	            {
	                layout: DockLayout {
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
	                topPadding: 10.0
	                Label {
                        text: qsTr("Save to SD Card") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                    multiline: true
                        objectName: "sdcard_label"
                    }
	                CheckBox {
	                    objectName: "resize_sdcard"
	                    horizontalAlignment: HorizontalAlignment.Right
	                }
	            } // led stop blink
	
	            
	            Divider {
	                
	            }
	            
	            Button {
                    text: qsTr("Resize") + Retranslate.onLanguageChanged
	                verticalAlignment: VerticalAlignment.Center
	                horizontalAlignment: HorizontalAlignment.Center
	                onClicked: {
	                    _app.doAction(0)
	                }
	                objectName: "resize_button"
	            
	            }        
	       
	       } // resize container
	    }
        
        // list browser
        Container {
            id: browse_container
            horizontalAlignment: HorizontalAlignment.Fill
            
            objectName: "browse_container"
            
            ListView {
                id: listView
                
                property variant itemTextStyle: defaultBlackTextStyle
                
                dataModel: _app.model
                focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable

                listItemComponents: ListItemComponent {
                    type: "item"
                    
                    Container {
                        id: itemRoot
                        
                        layout: DockLayout {
                        }
                        // Item background image.
                        ImageView {
                            id: imgItemBackground
                            imageSource: "asset:///images/white_photo.png"
                            preferredWidth: 1280
                            preferredHeight: 114
                        }
                        
                        Container {
                            id: highlightContainer
                            background: Color.create("#75b5d3")
                            //						            opacity: 0.0
                            opacity: itemRoot.ListItem.active ? 0.9 : 0.0
                            preferredWidth: 1280
                            preferredHeight: 114
                            horizontalAlignment: HorizontalAlignment.Center
                        }
                        
                        // The Item content an image and a text
                        Container {
                            leftPadding: 3
                            horizontalAlignment: HorizontalAlignment.Fill
                            
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            
                            ImageView {
                                preferredWidth: 114
                                preferredHeight: 114
                                verticalAlignment: VerticalAlignment.Center
                                
                                // The image is bound to the data in models/recipemodel.xml image attribute.
                                imageSource: ListItemData.image
                            }
                            
                            Container {
                                layout: StackLayout {
                                    orientation: LayoutOrientation.TopToBottom
                                }
                                verticalAlignment: VerticalAlignment.Center
                                horizontalAlignment: HorizontalAlignment.Left
                                Label {
                                    // The title is bound to the data in models/recipemodel.xml title attribute.
                                    text: ListItemData.title
                                    leftMargin: 30
//                                    textStyle.base: recipeItem.ListItem.view.itemTextStyle.style
                                    multiline: true
                                } // Label
                            } // text container
                        
                        } // Container
                    
                    } // Container
                }
                
                onTriggered: {
                    clearSelection()
                    select(indexPath)
                    _app.selectListItem(indexPath)
                }
                
                // context menu
                function myAction(type, shortname, url1) {
                    _app.processAction(type, shortname, url1);
                }
                
                objectName: "RecordingsList"
            } // listview
        } // container
        
        // show the activity indication center of the screen
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            
            Container
            {
                objectName: "progress_container"
                visible: false
                
                layout: DockLayout {
                }
                preferredWidth: 1280
                preferredHeight: 250
                
                leftPadding: 10.0
                rightPadding: 10.0
                Container
                {
                    leftPadding: 10.0
                    rightPadding: 10.0
                    ImageView {
                        imageSource: "asset:///images/wipe_background.png"
                        preferredWidth: 1280
                        preferredHeight: 240
                    }
                }
                Container 
                {
                    leftPadding: 10.0
                    rightPadding: 10.0
                    layout: StackLayout {
                    }
                    
                    //	            opacity: 0.7
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        text: "Pass 1 of 7"
                        horizontalAlignment: HorizontalAlignment.Center
                        objectName: "pass_label"
                        textStyle.color: Color.Green
                    }
                    Label {
                        horizontalAlignment: HorizontalAlignment.Center
                        objectName: "filename_label"
                        textStyle.fontSize: FontSize.Small
                        textStyle.color: Color.White
                    }
                    
                    ProgressIndicator {
                        toValue: 7.0
                        objectName: "progress_indicator"
                        fromValue: 1.0
                        value: 1.0
                    
                    }
                    
                    
                    ProgressIndicator {
                        toValue: 7.0
                        objectName: "master_indicator"
                        fromValue: 1.0
                        value: 1.0
                    
                    }
                    
                    Label {
                        text: ""
                    }
                
                } //[0]
            }
        }
    
    }
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            mode: FilePickerMode.PickerMultiple
            //           type: FileType.Picture
            //            filter: [ "*.jpg", "*.png", "*.gif" ]
            title: qsTr("Select Files to Add") + Retranslate.onLanguageChanged
            //            directories: [ "/accounts/1000/shared" ]
            onFileSelected: {
                
                _app.manipulateFiles(88, selectedFiles);
                resize_action.setEnabled(true)
                shred_action.setEnabled(true)
            }
        }
    
    ]

}
//! [0]
