import bb.cascades 1.2

Sheet {
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Battery Settings") + Retranslate.onLanguageChanged
            visibility: ChromeVisibility.Visible
            objectName: "title_bar"
        
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _mainApp.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _mainApp.saveSettings()
                }
            }
    
        }// titleBar
    
        ScrollView {
    
            Container {
                layout: StackLayout {
                }
                leftPadding: 10.0
                topPadding: 5.0
                rightPadding: 10.0
                bottomPadding: 5.0
            
                Container
                {
                    topPadding: 10
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        text: qsTr("Enable Speech") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                    }
                    CheckBox {
                        id: cb_speech
                        objectName: "tb_speech"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                } 
                Divider {
                    
                }


                Header {
                    title: qsTr("Battery Charging Sounds") + Retranslate.onLanguageChanged	            
                }	
                DropDown {
                    
                    title: qsTr("Charging") + Retranslate.onLanguageChanged	            
                    objectName: "charger_connected"
                    Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: "Connect Sound1"
                    }
                    Option {
                        text: "Connect Sound2"
                    }
                    Option {
                        text: "Connect Sound3"
                    }
                    Option {
                        text: "Connect Sound4"
                    }
                    Option {
                        text: "Connect Sound5"
                    }
                    Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
                    }
                    onSelectedIndexChanged: {
                        if (selectedIndex > 0 && selectedIndex < 6)
                            _mainApp.delayPlaySound(selectedIndex, 3, selectedIndex);
                        else 
                        {
                            if (selectedValue == "select")
                                _mainApp.delayPlaySoundEx(selectedIndex, 3);                                    
                            else
                                _mainApp.resetProfilePictureIndex(3, true, selectedIndex)
                        }
                    
                    }
                    selectedIndex: 0
                }
                DropDown {
                    
                    title: qsTr("Discharging") + Retranslate.onLanguageChanged	            
                    objectName: "charger_disconnected"
                    Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: "Disconnect Sound1"
                    }
                    Option {
                        text: "Disconnect Sound2"
                    }
                    Option {
                        text: "Disconnect Sound3"
                    }
                    Option {
                        text: "Disconnect Sound4"
                    }
                    Option {
                        text: "Disconnect Sound5"
                    }
                    Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
                    }
                    onSelectedIndexChanged: {
                        if (selectedIndex > 0 && selectedIndex < 6)
                            _mainApp.delayPlaySound(selectedIndex+5, 4, selectedIndex);
                        else 
                        {
                            if (selectedValue == "select")
                                _mainApp.delayPlaySoundEx(selectedIndex, 4);                                    
                            else
                                _mainApp.resetProfilePictureIndex(4, true, selectedIndex)
                        }
                    
                    }
                    selectedIndex: 0
                }
                
                DropDown {
                    
                    title: qsTr("Fully Charged") + Retranslate.onLanguageChanged	            
                    objectName: "charger_full"
                    Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: "Charged Sound1"
                    }
                    Option {
                        text: "Charged Sound2"
                    }
                    Option {
                        text: "Charged Sound3"
                    }
                    Option {
                        text: "Charged Sound4"
                    }
                    Option {
                        text: "Charged Sound5"
                    }
                    Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
                    }
                    onSelectedIndexChanged: {
                        if (selectedIndex > 0 && selectedIndex < 6)
                            _mainApp.delayPlaySound(selectedIndex+10, 5, selectedIndex);
                        else 
                        {
                            if (selectedValue == "select")
                                _mainApp.delayPlaySoundEx(selectedIndex, 5);                                    
                            else
                                _mainApp.resetProfilePictureIndex(5, true, selectedIndex)
                        }
                    
                    }
                    selectedIndex: 0
                }
                
                Header {
                    title: qsTr("Low Battery Warning Sound") + Retranslate.onLanguageChanged	            
                }
                
                DropDown {
                    
                    title: qsTr("Warning Sound") + Retranslate.onLanguageChanged	            
                    objectName: "battery_warning_level"
                    Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: "Warning Sound1"
                    }
                    Option {
                        text: "Warning Sound2"
                    }
                    Option {
                        text: "Warning Sound3"
                    }
                    Option {
                        text: "Warning Sound4"
                    }
                    Option {
                        text: "Warning Sound5"
                    }
                    Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
                    }
                    onSelectedIndexChanged: {
                        if (selectedIndex == 0)
                            battery_warning.setVisible(false)
                        else
                            if (selectedIndex > 0 && selectedIndex < 6)
                            {
                            battery_warning.setVisible(true)
                            _mainApp.delayPlaySound(selectedIndex+15, 7, selectedIndex);
                            }
                            else 
                            {
                                battery_warning.setVisible(true)
                                if (selectedValue == "select")
                                    _mainApp.delayPlaySoundEx(selectedIndex, 7);                                    
                                else
                                    _mainApp.resetProfilePictureIndex(7, true, selectedIndex)
                            }
                        
                    }
                    selectedIndex: 0
                }                
                Container {
                    id: battery_warning
                    leftPadding: 10
                    rightPadding: 10
                    topPadding: 15
                    bottomPadding: 15
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    // The minimum position of the slider means night-time so an image of a
                    // moon is added to illustrate this.
                    ImageView {
                        imageSource: "asset:///images/battery0.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        text: " " + Math.round(battery_value.immediateValue) + "%"
                        //                        textStyle.color: Color.Red
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Center
                    }
                    
                    // The slider component
                    Slider {
                        id: battery_value
                        leftMargin: 10
                        rightMargin: 10
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        objectName: "battery_warning_value"
                        toValue: 100
                    
                    }
                    
                    // At the maximum position of the slider means day-time so an image of a
                    // sun is added to illustrate this.
                    ImageView {
                        imageSource: "asset:///images/battery3.png"
                        verticalAlignment: VerticalAlignment.Center
                    
                    } // Sun icon Image
                } // Slider Container
        
                Header {
                    title: qsTr("Battery Charging Color")
                }
                DropDown {
                    id: ledcolor
                    title: qsTr("Charging") + Retranslate.onLanguageChanged	            
                    objectName: "ledcolor"
                    selectedIndex: 0
                    Option {
                        text: qsTr("None") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_none.png"
                    }
                    Option {
                        text: "Blue"
                        imageSource: "asset:///images/ic_led_blue.png"
                    }
                    Option {
                        text: "Cyan"
                        imageSource: "asset:///images/ic_led_cyan.png"
                    }
                    Option {
                        text: "Green"
                        imageSource: "asset:///images/ic_led_green.png"
                    }
                    Option {
                        text: "Magenta"
                        imageSource: "asset:///images/ic_led_magenta.png"
                    }
                    Option {
                        text: "Red"
                        imageSource: "asset:///images/ic_led_red.png"
                    }
                    Option {
                        text: "White"
                        imageSource: "asset:///images/ic_led_white.png"
                    } 
                    Option {
                        text: "Yellow"
                        imageSource: "asset:///images/ic_led_yellow.png"
                    } // 8
                }

                DropDown {
                    id: ledcolor_chared
                    title: qsTr("Charged") + Retranslate.onLanguageChanged	            
                    objectName: "ledcolor_charged"
                    selectedIndex: 0
                    Option {
                        text: qsTr("None") + Retranslate.onLanguageChanged	            
                        imageSource: "asset:///images/ic_led_none.png"
                    }
                    Option {
                        text: "Blue"
                        imageSource: "asset:///images/ic_led_blue.png"
                    }
                    Option {
                        text: "Cyan"
                        imageSource: "asset:///images/ic_led_cyan.png"
                    }
                    Option {
                        text: "Green"
                        imageSource: "asset:///images/ic_led_green.png"
                    }
                    Option {
                        text: "Magenta"
                        imageSource: "asset:///images/ic_led_magenta.png"
                    }
                    Option {
                        text: "Red"
                        imageSource: "asset:///images/ic_led_red.png"
                    }
                    Option {
                        text: "White"
                        imageSource: "asset:///images/ic_led_white.png"
                    } 
                    Option {
                        text: "Yellow"
                        imageSource: "asset:///images/ic_led_yellow.png"
                    } // 8
                }
                                
                Label {
                    text: qsTr("When the Battery charging LED is enabled all incoming message LEDs will be disabled.  You will still hear the ringtone.")
                    multiline: true
                    textStyle.fontStyle: FontStyle.Italic
                    textStyle.fontSize: FontSize.Small
                }

                Header {
                    title: qsTr("Battery Temperature Warning")
                }

                Container
                {
                    topPadding: 10
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        text: qsTr("Show Hub message") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                    }
                    CheckBox {
                        id: cb_battery_temp_warning
                        objectName: "tb_show_battery_temp_msg"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            battery_temp_warning_container.setVisible(checked)
                        }
                    }
                } 

                Container {
                    id: battery_temp_warning_container
                    visible: cb_battery_temp_warning.checked
                    leftPadding: 10
                    rightPadding: 10
                    topPadding: 15
                    bottomPadding: 15
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    // The minimum position of the slider means night-time so an image of a
                    // moon is added to illustrate this.
                    ImageView {
                        imageSource: "asset:///images/ic_battery_temperature.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        text: Math.round(battery_temp_value.immediateValue) + "°C/"+
                        Math.round((battery_temp_value.immediateValue * 1.8) + 32.0) + "°F"
                        //                        textStyle.color: Color.Red
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Center
                    }
                    
                    // The slider component
                    Slider {
                        id: battery_temp_value
                        leftMargin: 10
                        rightMargin: 10
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        objectName: "sl_battery_temp_warning_value"
                        toValue: 50
                        value: 30.0

                    }
/*                    
                    // At the maximum position of the slider means day-time so an image of a
                    // sun is added to illustrate this.
                    ImageView {
                        imageSource: "asset:///images/battery3.png"
                        verticalAlignment: VerticalAlignment.Center
                    
                    } // Sun icon Image
 */
                } // Slider Container


                
            }
        } // scroll view
    }
}
