import bb.cascades 1.2
Sheet {
    
    peekEnabled: false
    TabbedPane {
        showTabsOnActionBar: true
        //activeTab: tab_setting
        Tab {
            title: qsTr("Calls") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_phone_connect.png"
            
            
            Page {
                id: page1
                titleBar: TitleBar {
                    title: qsTr("Incoming Calls") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
                    acceptAction: ActionItem {
                        title: qsTr("Close") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.closeWindow()
                        }
                    
                    }
                } // title
                
                
                actions: [
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help()
                        }
                    },
                    
                    DeleteActionItem {
                        title: qsTr("Delete Call Log") + Retranslate.onLanguageChanged
//                        imageSource: "asset:///images/ic_delete.png"
                        onTriggered: {
                            _block.deleteCallLog(0)
                        }
                    }
                    
                ]
                
                Container
                {
                    layout: DockLayout {
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                                        
                    ListView {
                        id: listView
                        dataModel: _block.model_calls
                        
                        listItemComponents: [
                            ListItemComponent {
                                type: "item"
                                StandardListItem {
                                    title: ListItemData.title
                                    description: ListItemData.description
                                    status: ListItemData.status
                                    imageSource: ListItemData.image
                                    imageSpaceReserved: false                            
                                }
                            }
                        ] // listItem
                        
                        onTriggered: {
                            clearSelection()
                            _block.selectedCallItem(indexPath)
                        }
                        
                        objectName: "itemListCalls"
                        leadingVisualSnapThreshold: 0.6            
                    } // listview
                
                } // container
            
            
            
            } // page
        }
        

        
        Tab {
            id: blacklist
            title: qsTr("Black List") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_block_calls.png"
            Page {
                id: page3
                
                titleBar: TitleBar {
                    id: addBar
                    title: qsTr("Black List") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
                    dismissAction: ActionItem {
                        title: qsTr("New") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.newBlacklist()
                        }                    
                    }
                    
                    acceptAction: ActionItem {
                        title: qsTr("Close") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.closeWindow()
                        }
                    
                    }
                }
                
                actions: [
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help()
                        }
                    },

                    DeleteActionItem {
                       title: qsTr("Delete Blacklist DB") + Retranslate.onLanguageChanged
                       onTriggered: {
                           _block.deleteCallLog(1)
                       }
                    }

                ]
                
                Container
                {
                    layout: DockLayout {
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    ListView {
                        dataModel: _block.model_blacklist
                        
                        listItemComponents: [
                            ListItemComponent {
                                type: "item"
                                StandardListItem {
                                    title: ListItemData.title
                                    description: ListItemData.description
                                    status: ListItemData.status
                                    imageSource: ListItemData.image
                                    imageSpaceReserved: false                            
                                }
                            }
                        ] // listItem
                        
                        onTriggered: {
                            clearSelection()
                            _block.selectedBlacklistItem(indexPath)
                        }
                        
                        objectName: "itemListBlacklist"
                        leadingVisualSnapThreshold: 0.6            
                    } // listview
                
                    Container {
                        bottomPadding: 10
                        verticalAlignment: VerticalAlignment.Bottom
                        horizontalAlignment: HorizontalAlignment.Center
                        visible: false
                        Button {
                            text: qsTr("New") + Retranslate.onLanguageChanged
                            onClicked: {
                                _block.newBlacklist()
                            }
                        }
                    }
                
                
                } // container
            
            }
        } // blacklist

        Tab {
            id: tab_setting
            title: qsTr("Settings") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_settings.png"
            Page {
                
                titleBar: TitleBar {
                    title: qsTr("Settings") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
                    acceptAction: ActionItem {
                        title: qsTr("Close") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.closeWindow()
                        }
                    
                    }
                }
                
                actions: [
                    
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help()
                        }
                    }
                ]
                
                ScrollView {
                    Container
                    {
                        layout: StackLayout {
                        }
                        topPadding: 10
                        leftPadding: 10
                        rightPadding: 10
                        
                        Header {
                            title: qsTr("When Call is Blocked") + Retranslate.onLanguageChanged
                        }
                        DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            id: cellnetworkcolor_on
                            title: qsTr("LED") + Retranslate.onLanguageChanged
                            objectName: "dd_block_call_led"
                            onSelectedIndexChanged: {
    //                            _block.test_led(selectedIndex);
                            
                            }
                            Option {
                                text: "None"
                                imageSource: "asset:///images/ic_led_none.png"
                            }
                            Option {
                                text: "Blue"
                                imageSource: "asset:///images/ic_led_blue.png"
                            }
                            Option {
                                text: "Cyan"
                                imageSource: "asset:///images/ic_led_cyan.png"
                            }
                            Option {
                                text: "Green"
                                imageSource: "asset:///images/ic_led_green.png"
                            }
                            Option {
                                text: "Magenta"
                                imageSource: "asset:///images/ic_led_magenta.png"
                            }
                            Option {
                                text: "Red"
                                imageSource: "asset:///images/ic_led_red.png"
                            }
                            Option {
                                text: "White"
                                imageSource: "asset:///images/ic_led_white.png"
                            }
                            Option {
                                text: "Yellow"
                                imageSource: "asset:///images/ic_led_yellow.png"
                            }
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Show message in the Hub") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                objectName: "cb_show_block_msg"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } // led stop blink
    
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Send a Text Message") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                id: block_send_sms
                                objectName: "cb_send_sms"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } // led stop blink
                    
                        TextArea {
                            visible: block_send_sms.checked
                            hintText: qsTr("Enter text message to send") + Retranslate.onLanguageChanged
                            objectName: "tf_send_sms"
                            maximumLength: 140
                        }
                        
                        Header {
                            title: qsTr("Block Rules") + Retranslate.onLanguageChanged
                        }
                        DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Match Phone Number") + Retranslate.onLanguageChanged
                            objectName: "dd_match_phone"
                            selectedIndex: 0
                            Option {
                                text: "All Numbers"
                            }
                            Option {
                                text: "Last 10 Digits"
                            }
                            Option {
                                text: "Last 9 Digits"
                            }
                            Option {
                                text: "Last 8 Digits"
                            }
                            Option {
                                text: "Last 7 Digits"
                            }
                            Option {
                                text: "Last 6 Digits"
                            }
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Block 1800 Numbers") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                id: block_1800
                                objectName: "cb_block_1800"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } // led stop blink
                    
                        Container {
                            visible: block_1800.checked
                            
                            TextField {
                                hintText: "1800,0800,1888,1877,1866,1855,1844"
                                text: "1800,0800,1888,1877,1866,1855,1844"
                                objectName: "tf_block_1800"
                                maximumLength: 100
//                                inputMode: TextFieldInputMode.PhoneNumber
                            }
                            Label {
                                text: qsTr("Enter the prefix numbers separate by comma.\neg: 1800,0800,1877") + Retranslate.onLanguageChanged
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.Small
                                multiline: true
                            }
                            Divider {
                                
                            }
                        }
                    
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Block Private and Unknown") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                id: cb_unknown
                                objectName: "cb_block_unknown"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }

                        DropDown {
                            visible: cb_unknown.checked
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Delay before reject call") + Retranslate.onLanguageChanged
                            objectName: "dd_unknown_block_delay"
                            selectedIndex: 0
                            Option {
                                text: qsTr("100 Millisecond")
                            }
                            Option {
                                text: qsTr("200 Milliseconds")
                            }
                            Option {
                                text: qsTr("300 Milliseconds")
                            }
                            Option {
                                text: qsTr("400 Milliseconds")
                            }
                            Option {
                                text: qsTr("500 Milliseconds")
                            }
                            Option {
                                text: qsTr("600 Milliseconds")
                            }
                            Option {
                                text: qsTr("700 Milliseconds")
                            }
                            Option {
                                text: qsTr("800 Milliseconds")
                            }
                            Option {
                                text: qsTr("900 Milliseconds")
                            }
                            Option {
                                text: qsTr("1 Second")
                            }
                            Option {
                                text: qsTr("2 Seconds")
                            }
                            Option {
                                text: qsTr("3 Seconds")
                            }
                        }
                        Label {
                            visible: cb_unknown.checked
                            text: qsTr("Adjust the above for Unknown/Private callers.  If Power Tools is rejecting the caller too quickly with Caller ID then set the delay higher.")
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }

    
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            visible: false
                            Label {
                                text: qsTr("Block if Not in Contacts") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                objectName: "cb_block_not_contact"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } // led stop blink
    
                    
                    } // container
                } // scroll view
            
            }
        } // settings

        
    }
}