import bb.cascades 1.3

Sheet {
    
    peekEnabled: false    
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Black List") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible

            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _blacklist.cancelBlacklist()
                }
            }

            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _blacklist.saveBlacklist()
                }
            
            }
        } // title
        
        actions: [
/*            
            ActionItem {
                title: "Clear Counter"
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _blacklist.clearBlacklist()
                }
                ActionBar.placement: ActionBarPlacement.OnBar
            },
  */          
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _blacklist.deleteBlacklist()
                }
                objectName: "action_delete"
            }
        ]

        objectName: "page"
        Container {
            topPadding: 5
            leftPadding: 5
            rightPadding: 5
            Header {
                title: qsTr("Name") + Retranslate.onLanguageChanged	            
            }
            TextField {   
                hintText: qsTr("Enter caller name") + Retranslate.onLanguageChanged	            
                objectName: "lb_name"
            }
            Header {
                title: qsTr("Number") + Retranslate.onLanguageChanged	            
            }
            TextField {   
                hintText: qsTr("Enter caller number") + Retranslate.onLanguageChanged	            
                objectName: "lb_number"
                inputMode: TextFieldInputMode.PhoneNumber
            }

            Header {
                title: qsTr("Send Text Message") + Retranslate.onLanguageChanged	            
            }
            
            TextArea {
                objectName: "ta_text_message"
                hintText: qsTr("Enter text message to send to blocked caller")
                maximumLength: 140
            }
            
            Container
            {
                Divider {                    
                }
                objectName: "container_help_info"
                Label {
                    text: qsTr("For wildcard enter the '*' at the beginning or at the end of the phone number.  eg: 1800* to block all numbers starting with 1800 or *1234 to block all numbers ending in 1234.") + Retranslate.onLanguageChanged
                    multiline: true
                    textStyle.fontStyle: FontStyle.Italic
                    textStyle.fontSize: FontSize.Small
                }
                
            }
            
            Container
            {
                objectName: "container_caller_info"
                Header {
                    title: qsTr("Last Called") + Retranslate.onLanguageChanged	            
                }
                Label {
                    objectName: "lb_datetime"
                }
                Header {
                    title: qsTr("Called You") + Retranslate.onLanguageChanged	            
                }
                Label {
                    objectName: "lb_called"
                }
            }
            
        
        }
    
    
    }
}

