import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Sound Profile") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _EditCellID.cancelEditCellIDSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _EditCellID.saveEditCellIDSettings()
                }
            
            }
        }// titleBar

        actions: [

            ActionItem {
                id: action_current_location
                title: qsTr("Current") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_scan.png"
                onTriggered: {
                    _EditCellID.scanCell(0)
                }
                objectName: "scan_action"
            },

            ActionItem {
                id: find_gps
                title: qsTr("Map")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_map.png"
                onTriggered: {
//                    findgps.trigger("bb.action.OPEN")
                    _EditCellID.scanCell(1)
                }
            },
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _EditCellID.deleteItem()
                }
                objectName: "delete_action"
            },

            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _EditCellID.help()
                }
            }

        ]
                
        objectName: "page"
        
        Container {
            topPadding: 10
            SegmentedControl {
                
                leftPadding: 5
                rightPadding: 5
                topPadding: 5
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("General")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Enter")
                }
                Option {
                    id: option3
                    text: qsTr("Leave")
                }
                Option {
                    id: option4
                    text: qsTr("Day/Time")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_general.setVisible(true)
                        container_enter.setVisible(false)
                        container_leave.setVisible(false)
                        container_datetime.setVisible(false)
                    }
                    else
                    if (selectedIndex == 1)
                    {
                        container_general.setVisible(false)
                        container_enter.setVisible(true)
                        container_leave.setVisible(false)
                        container_datetime.setVisible(false)
                    }
                    else
                    if (selectedIndex == 2)
                    {
                        container_general.setVisible(false)
                        container_enter.setVisible(false)
                        container_leave.setVisible(true)
                        container_datetime.setVisible(false)
                    }
                    else
                     if (selectedIndex == 3)
                     {
                         container_general.setVisible(false)
                         container_enter.setVisible(false)
                         container_leave.setVisible(false)
                         container_datetime.setVisible(true)
                     }
                }
            } 
            
            // general 
            
            Container {
                id: container_general
                layout: DockLayout {
                }

                ScrollView {
                    Container {
                        layout: StackLayout { }
                        leftPadding: 15
                        rightPadding: 15
                        topPadding: 5

                        horizontalAlignment: HorizontalAlignment.Fill

                        
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Disable") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_disable
                                objectName: "bt_disable"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } // dissable tb

                        Divider {
                            
                        }

                        Container
                        {
                            visible: !tb_disable.checked
                            id: main_container
                            Container {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                Label {
                                    text: qsTr("Vibrate when changing profile") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "vibrate_profile"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            
                            } // container                    
                            
                            DropDown {
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                    {
                                        container_notification.setVisible(true)
                                        container_notification_end.setVisible(true)
                                        action_current_location.setTitle(qsTr("Scan"))
                                        action_current_location.setEnabled(true)
                                        find_gps.setEnabled(false)
                                        cellid.setVisible(true)                            
                                        gps.setVisible(false)
                                        container_bt_wifi.setVisible(false)
                                        id_type_label.setVisible(true)
                                        id_type_label.setTitle(qsTr("Cell IDs")+ Retranslate.onLanguageChanged)
                                        option2.setText(qsTr("Enter"))
                                        option3.setText(qsTr("Leave"))
                                        bluetooth_start.setVisible(true)
                                        bluetooth_end.setVisible(true)
                                        wifi_start.setVisible(true)
                                        wifi_end.setVisible(true)
                                    }
                                    else
                                    if (selectedIndex == 1)
                                    {
                                        container_notification.setVisible(true)
                                        container_notification_end.setVisible(true)
                                        action_current_location.setTitle(qsTr("Current"))
                                        action_current_location.setEnabled(true)
                                        cellid.setVisible(false)                            
                                        id_type_label.setVisible(true)
                                        gps.setVisible(true)
                                        find_gps.setEnabled(true)
                                        container_bt_wifi.setVisible(false)
                                        container_scan_towers.setVisible(false)
                                        id_type_label.setTitle(qsTr("GPS Co-Ordinate")+ Retranslate.onLanguageChanged)
                                        option2.setText(qsTr("Enter"))
                                        option3.setText(qsTr("Leave"))
                                        bluetooth_start.setVisible(true)
                                        bluetooth_end.setVisible(true)
                                        wifi_start.setVisible(true)
                                        wifi_end.setVisible(true)
                                    }
                                    else
                                     if (selectedIndex == 2)
                                     {
                                         container_notification.setVisible(false)
                                         container_notification_end.setVisible(false)
                                         container_bt_wifi.setVisible(true)
                                         action_current_location.setEnabled(false)
                                         gps.setVisible(false)
                                         find_gps.setEnabled(false)
                                         cellid.setVisible(false)                            
                                         container_scan_towers.setVisible(false)
                                         id_type_label.setVisible(false)
                                         option2.setText(qsTr("Connect"))
                                         option3.setText(qsTr("Disconnect"))
                                         bluetooth_start.setVisible(true)
                                         bluetooth_end.setVisible(true)
                                         wifi_start.setVisible(true)
                                         wifi_end.setVisible(true)
                                     }
                                }
                                objectName: "type"
                                selectedIndex: 1
                                title: qsTr("Type") + Retranslate.onLanguageChanged	            
                                Option {
                                    text: qsTr("Cell ID") + Retranslate.onLanguageChanged	            
                                    description: "Use cell network location to change profile"
                                    imageSource: "asset:///images/ic_celltower.png"
                                }
                                
                                Option {
                                    text: qsTr("GPS") + Retranslate.onLanguageChanged	            
                                    description: "Use GPS location to change profile"
                                    imageSource: "asset:///images/ic_gps.png"
                                }

                                Option {
                                    text: qsTr("Connections") + Retranslate.onLanguageChanged	            
                                    description: "Change profile when connected to BT or Wifi"
                                    imageSource: "asset:///images/ic_bt_wifi.png"
                                }
                            
                            }

                            
                            Header {
                                title: qsTr("Location Name")
                            }
                            TextField {
                                objectName: "cell_location_name"
                                hintText: qsTr("Enter a unique name for this location") + Retranslate.onLanguageChanged	            
                            
                            }
                    

                      
                          Header {
                              title: qsTr("GPS Co-Ordinate") + Retranslate.onLanguageChanged	            
                              id: id_type_label
                          }
                          
                          TextArea {
                              id: cellid
                              objectName: "cell_towers"
                              hintText: "Enter cell ids here eg: 56754,233354"
                             // editable: false
                              visible: false
                          }
                          
                          Container {
                              id: container_scan_towers
                              objectName: "container_cell_scan"
                              visible: false
                              Label {
                                  text: qsTr("Scanning...")
                                  verticalAlignment: VerticalAlignment.Center
                                  horizontalAlignment: HorizontalAlignment.Center
                              }
                              ProgressIndicator {
                                  toValue: 10.0
                                  fromValue: 0.0
                                  value: 0.0
                                  objectName: "pg_cell_scanning"
                              
                              }
                          
                          }
                          
                          
                          Container {
                              id: gps
                              topPadding: 10.0
                              Label {
                                  text: qsTr("Latitude") + Retranslate.onLanguageChanged	            
                              }
                              TextField {
                                  id: _lat
                                  objectName: "lat"
                                  inputMode: TextFieldInputMode.NumbersAndPunctuation
                                  hintText: qsTr("Enter the Latitude eg: 43.46448") + Retranslate.onLanguageChanged	            
                                  text: "43.449488"
                              
                              }
                              Label {
                                  text: qsTr("Longitude") + Retranslate.onLanguageChanged	            
                              }
                              TextField {
                                  id: _long
                                  objectName: "long"
                                  inputMode: TextFieldInputMode.NumbersAndPunctuation
                                  hintText: "Enter the Longitude eg: -80.52361"
                                  text: "-80.406777"
                              }
                              Label {
                                  text: qsTr("Radius in Meters:") + Retranslate.onLanguageChanged	            
                              }
                              TextField {
                                  id: _radius
                                  objectName: "radius"
                                  hintText: qsTr("Enter the Radius") + Retranslate.onLanguageChanged	            
                                  inputMode: TextFieldInputMode.NumbersAndPunctuation
                                  text: "100"
                              }
                              Label {
                                  text: qsTr("If the Profile is not changing then set the Radius atleast 100 meters.") + Retranslate.onLanguageChanged	            
                                  textStyle.fontStyle: FontStyle.Italic
                                  multiline: true
                              }
                          } // container
                          
                          
                          Container {
                              id: container_bt_wifi
                               layout: StackLayout { }
                               
                               Header {
                                   title: "Connection Type"
                               }
                               DropDown {
                                   title: "Connection Type"
                                   objectName: "connection_type"
                                   selectedIndex: 0
                                   onSelectedIndexChanged: {
                                       if (selectedIndex == 0)
                                       {
                                           bt_devices.setVisible(true)
                                           wifi_devices.setVisible(false)
                                           bluetooth_start.setVisible(false)
                                           bluetooth_end.setVisible(false)
                                           wifi_start.setVisible(true)
                                           wifi_end.setVisible(true)
                                       }
                                       else 
                                       {
                                           bt_devices.setVisible(false)
                                           wifi_devices.setVisible(true)
                                           bluetooth_start.setVisible(true)
                                           bluetooth_end.setVisible(true)
                                           wifi_start.setVisible(false)
                                           wifi_end.setVisible(false)
                                       }
                                   }
                                   Option {
                                       text: "Bluetooth"
                                       description: "Change profile when connect and disconnect"
                                       imageSource: "asset:///images/ic_bt_off.png"
                                   }
                                   Option {
                                       text: "WiFi"
                                       description: "Change profile when connect and disconnect"
                                       imageSource: "asset:///images/ic_wifi.png"
                                   }
                               }
                               
                               
                               DropDown {
                                   id: bt_devices
                                   title: "Devices"
                                   objectName: "bt_devices"
                                   selectedIndex: 0
                               }
                               
                               DropDown {
                                   id: wifi_devices
                                   title: "Network"
                                   objectName: "wifi_devices"
                                   visible: false
                                   selectedIndex: 0
                               }
                          }
                      }
                  } // container
                    
                } // scrollview
            } // general container end


            // enter location
            Container {
                id: container_enter
                layout: DockLayout {
                }
                visible: false
                ScrollView {
                    Container {
                        layout: StackLayout { }
                        leftPadding: 15
                        rightPadding: 15
                        topPadding: 5
                        
                        horizontalAlignment: HorizontalAlignment.Fill

                        id: profile1
                        DropDown {
                            id: mode
                            title: qsTr("Mode") + Retranslate.onLanguageChanged	            
                            objectName: "mode"
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                // normal and phone only
                                if (selectedIndex == 3 || selectedIndex == 4)
                                {
                                    start_led.setVisible(true)
                                    start_sound.setVisible(true)
                                    start_vibrate.setVisible(true)
                                    start_preview.setVisible(true)
                                    start_volume.setVisible(true)
                                    start_volume_header.setVisible(true)
                                }
                                // silent and vibrate
                                else
                                    if (selectedIndex == 1 || selectedIndex == 2)
                                    {
                                    start_led.setVisible(true)
                                    start_sound.setVisible(false)
                                    start_vibrate.setVisible(false)
                                    start_preview.setVisible(true)
                                    start_volume.setVisible(false)
                                    start_sound.setSelectedIndex(0)
                                    start_vibrate.setSelectedIndex(0)
                                    start_volume_header.setVisible(false)
                                
                                    }
                                    // all off
                                    else
                                        if (selectedIndex == 5)
                                        {
                                        start_led.setVisible(false)
                                        start_sound.setVisible(false)
                                        start_vibrate.setVisible(false)
                                        start_preview.setVisible(false)
                                        start_volume.setVisible(false)
                                        start_volume_header.setVisible(false)
                                        
                                        start_led.setSelectedIndex(0)
                                        start_sound.setSelectedIndex(0)
                                        start_preview.setSelectedIndex(0)
                                        start_vibrate.setSelectedIndex(0)
                                    
                                        }
                            }
                            Option {
                                value: "Do Nothing"
                                text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                description: qsTr("Do not change Profile") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_mode_nothing.png"
                            }
                            Option {
                                value: "silent"
                                imageSource: "asset:///images/ic_mode_silent.png"
                                
                                text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                                description: qsTr("Mute phone and system sounds") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                value: "vibrate"
                                imageSource: "asset:///images/ic_mode_vibrate.png"
                                
                                text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                                description: qsTr("Vibrate on incoming call and mute all sounds") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                value: "normal"
                                imageSource: "asset:///images/ic_mode_normal.png"
                                
                                text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                                description: qsTr("Allow all sounds") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                value: "phonecall"
                                imageSource: "asset:///images/ic_mode_phone.png"
                                text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                                description: qsTr("Allow phone sound and mute system sounds") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                value: "alloff"
                                imageSource: "asset:///images/ic_mode_alloff.png"
                                
                                text: qsTr("Do Not Disturb") + Retranslate.onLanguageChanged	            
                                description: qsTr("Mute all sounds") + Retranslate.onLanguageChanged	            
                            }
                        }
                    
                    Container {
                        
                        
                        DropDown {
                            id: bluetooth_start
                            objectName: "dd_bluetooth"
                            title: qsTr("Bluetooth") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Fill
                            selectedIndex: 0
                            Option {
                                text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("On") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("Off") + Retranslate.onLanguageChanged	            
                            }
                        }
                        
                        DropDown {
                            id: wifi_start
                            objectName: "dd_wifi"
                            title: "WiFi"
                            horizontalAlignment: HorizontalAlignment.Fill
                            selectedIndex: 0
                            Option {
                                text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("On") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("Off (Reminder in Hub)") + Retranslate.onLanguageChanged	            
                            }
                        }
                        
                        
                    //    Container
                      //  {
                          //  topPadding: 10.0
                            DropDown {
                                id: start_led
                                title: qsTr("LED") + Retranslate.onLanguageChanged	            
                                objectName: "led"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                      //  }
                        
                      //  Container
                     //   {
                         //   topPadding: 10.0
                            DropDown {
                                id: start_vibrate
                                title: qsTr("Vibrate") + Retranslate.onLanguageChanged	            
                                objectName: "vibrate"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                       // }
                        
                      //  Container
                      //  {
                           // topPadding: 10.0
                            DropDown {
                                id: start_preview
                                title: qsTr("Instant Preview") + Retranslate.onLanguageChanged	            
                                objectName: "preview"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                       // }
                        
                       // Container
                     //   {
                           // topPadding: 10.0
                            DropDown {
                                id: start_sound
                                title: qsTr("Sound") + Retranslate.onLanguageChanged	            
                                objectName: "sound"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                      //  }

                        Divider {
                            
                        }                        
                        Container {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                Label {
                                    text: qsTr("Set Main and Media Volumes") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    id: tb_set_enter_volume
                                    objectName: "bt_enter_set_volume"
                                    horizontalAlignment: HorizontalAlignment.Right
                                    onCheckedChanged: {
                                        enter_vol_container.setVisible(checked)
                                    }
                                }
                        } // dissable tb

                        
                        Container {
                            id: enter_vol_container
                            visible: tb_set_enter_volume.checked
                            Header {
                                title: qsTr("Volume") + Retranslate.onLanguageChanged	            
                                id: start_volume_header
                            }
                            
                            Container {
                                id: start_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "start_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            
                            Header {
                                title: qsTr("Main Volume") + Retranslate.onLanguageChanged	            
                            }
                            Container {
                                id: media_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "main_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            Label {
                                text: qsTr("Adjust media volume and the volume of your applications.") + Retranslate.onLanguageChanged	            
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.XSmall
                            
                            }
                        } // volume container
                    }
                    
                    Container
                    {
                        id: container_notification
                        Header {
                            title: qsTr("Notification")
                        }
                        DropDown {
                            title: qsTr("Send Message") + Retranslate.onLanguageChanged	            
                            objectName: "dd_enter_notification"
                            selectedIndex: 0
                            Option {
                                text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                value: "Do Nothing"            
                            }
                        }
                        TextField {
                            hintText: qsTr("Enter a note to show in the Hub or leave it blank")
                            objectName: "tf_enter_hub_note"
                        }

                     }
                  }
                    
                    
                    
                } // scrollview
            } // end enter location container


            // enter location
            Container {
                id: container_leave
                layout: DockLayout {
                }
                visible: false
                ScrollView {
                    Container {
                    layout: StackLayout { }
                    leftPadding: 15
                    rightPadding: 15
                    topPadding: 5
                    
                    horizontalAlignment: HorizontalAlignment.Fill

                    Container {
                        
                        id: left_location
                        property bool left_location_header: true
                        
                            topPadding: 10.0
                            DropDown {
                                id: mode2
                                title: qsTr("Mode") + Retranslate.onLanguageChanged	            
                                objectName: "mode_end"
                                selectedIndex: 0
                                onSelectedIndexChanged: {
                                    /*	                                if (selectedIndex == 0)
                                     out_holster.setVisible(false)
                                     else
                                     out_holster.setVisible(true)
                                     */
                                    // normal and phone only
                                    if (selectedIndex == 3 || selectedIndex == 4)
                                    {
                                        end_led.setVisible(true)
                                        end_sound.setVisible(true)
                                        end_vibrate.setVisible(true)
                                        end_preview.setVisible(true)
                                        end_volume.setVisible(true)
                                        end_volume_header.setVisible(true)
                                    }
                                    // silent and vibrate
                                    else
                                        if (selectedIndex == 1 || selectedIndex == 2)
                                        {
                                        end_led.setVisible(true)
                                        end_sound.setVisible(false)
                                        end_vibrate.setVisible(false)
                                        end_preview.setVisible(true)
                                        end_volume.setVisible(false)
                                        end_volume_header.setVisible(false)
                                        
                                        end_sound.setSelectedIndex(0)
                                        end_vibrate.setSelectedIndex(0)
                                    
                                        }
                                        // all off
                                        else
                                            if (selectedIndex == 5)
                                            {
                                            end_led.setVisible(false)
                                            end_sound.setVisible(false)
                                            end_vibrate.setVisible(false)
                                            end_preview.setVisible(false)                                    
                                            end_volume.setVisible(false)
                                            end_volume_header.setVisible(false)
                                            
                                            end_led.setSelectedIndex(0)
                                            end_sound.setSelectedIndex(0)
                                            end_vibrate.setSelectedIndex(0)
                                            end_preview.setSelectedIndex(0)
                                        
                                            }
                                }
                                Option {
                                    value: "Do Nothing"
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Do not change Profile") + Retranslate.onLanguageChanged	            
                                    imageSource: "asset:///images/ic_mode_nothing.png"
                                }
                                Option {
                                    value: "silent"
                                    imageSource: "asset:///images/ic_mode_silent.png"
                                    
                                    text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute phone and system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "vibrate"
                                    imageSource: "asset:///images/ic_mode_vibrate.png"
                                    
                                    text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Vibrate on incoming call and mute all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "normal"
                                    imageSource: "asset:///images/ic_mode_normal.png"
                                    
                                    text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "phonecall"
                                    imageSource: "asset:///images/ic_mode_phone.png"
                                    text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow phone sound and mute system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "alloff"
                                    imageSource: "asset:///images/ic_mode_alloff.png"
                                    
                                    text: qsTr("Do Not Disturb") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute all sounds") + Retranslate.onLanguageChanged	            
                                }
                            }
                        
                        
                        Container {
                            
                            DropDown {
                                id: bluetooth_end
                                objectName: "dd_bluetooth_end"
                                title: qsTr("Bluetooth") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                            
                            DropDown {
                                id: wifi_end
                                objectName: "dd_wifi_end"
                                title: qsTr("WiFi") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                selectedIndex: 0
                                
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off (Reminder in Hub)") + Retranslate.onLanguageChanged	            
                                }
                            
                            }
                            
                           // Container
                           // {
                           //     topPadding: 10.0
                                DropDown {
                                    id: end_led
                                    title: qsTr("LED") + Retranslate.onLanguageChanged	            
                                    objectName: "led_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
                                }
                          //  }
                            
                           // Container
                            //{
                              //  topPadding: 10.0
                                DropDown {
                                    id: end_vibrate
                                    title: qsTr("Vibrate") + Retranslate.onLanguageChanged	            
                                    objectName: "vibrate_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
                                }
                           // }
                            
                           // Container
                          //  {
                            //    topPadding: 10.0
                                DropDown {
                                    id: end_preview
                                    title: qsTr("Instant Preview") + Retranslate.onLanguageChanged	            
                                    objectName: "preview_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
                                }
                           // }
                            
                          //  Container
                         //   {
                          //      topPadding: 10.0
                                DropDown {
                                    id: end_sound
                                    title: qsTr("Sound") + Retranslate.onLanguageChanged	            
                                    objectName: "sound_end"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("On") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                    }
                                }
                           // }
                            
                             Divider {
                             
                             }                        
                             Container {
                                 layout: DockLayout {
                                 }
                                 horizontalAlignment: HorizontalAlignment.Fill
                                 topPadding: 10.0
                                 Label {
                                     text: qsTr("Set Main and Media Volumes") + Retranslate.onLanguageChanged	            
                                     horizontalAlignment: HorizontalAlignment.Left
                                 }
                                 ToggleButton {
                                     id: tb_set_leave_volume
                                     objectName: "bt_leave_set_volume"
                                     horizontalAlignment: HorizontalAlignment.Right
                                     onCheckedChanged: {
                                         leave_vol_container.setVisible(checked)
                                     }
                                 }
                             } // dissable tb

                            Container {
                                id: leave_vol_container
                                visible: tb_set_leave_volume.checked
                                
                                Header {
                                    title: qsTr("Volume") + Retranslate.onLanguageChanged	            
                                    id: end_volume_header
                                }
                                
                                Container {
                                    id: end_volume
                                    leftPadding: 10
                                    rightPadding: 10
                                    topPadding: 15
                                    bottomPadding: 15
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    }
                                    
                                    // The minimum position of the slider means night-time so an image of a
                                    // moon is added to illustrate this.
                                    ImageView {
                                        imageSource: "asset:///images/sound0.png"
                                        verticalAlignment: VerticalAlignment.Center
                                    }
                                    
                                    // The slider component
                                    Slider {
                                        leftMargin: 10
                                        rightMargin: 10
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        verticalAlignment: VerticalAlignment.Center
                                        
                                        layoutProperties: StackLayoutProperties {
                                            spaceQuota: 1
                                        }
                                        objectName: "end_volume"
                                        toValue: 100.0
                                    
                                    }
                                    
                                    // At the maximum position of the slider means day-time so an image of a
                                    // sun is added to illustrate this.
                                    ImageView {
                                        imageSource: "asset:///images/sound3.png"
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    } // Sun icon Image
                                } // Slider Container
                                
                                Header {
                                    title: qsTr("Main Volume") + Retranslate.onLanguageChanged	            
                                }
                                Container {
                                    id: media_volume_end
                                    leftPadding: 10
                                    rightPadding: 10
                                    topPadding: 15
                                    bottomPadding: 15
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    }
                                    
                                    // The minimum position of the slider means night-time so an image of a
                                    // moon is added to illustrate this.
                                    ImageView {
                                        imageSource: "asset:///images/sound0.png"
                                        verticalAlignment: VerticalAlignment.Center
                                    }
                                    
                                    // The slider component
                                    Slider {
                                        leftMargin: 10
                                        rightMargin: 10
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        verticalAlignment: VerticalAlignment.Center
                                        
                                        layoutProperties: StackLayoutProperties {
                                            spaceQuota: 1
                                        }
                                        objectName: "main_volume_end"
                                        toValue: 100.0
                                    
                                    }
                                    
                                    // At the maximum position of the slider means day-time so an image of a
                                    // sun is added to illustrate this.
                                    ImageView {
                                        imageSource: "asset:///images/sound3.png"
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    } // Sun icon Image
                                } // Slider Container
                                Label {
                                    text: qsTr("Adjust media volume and the volume of your applications.") + Retranslate.onLanguageChanged	            
                                    textStyle.fontStyle: FontStyle.Italic
                                    textStyle.fontSize: FontSize.XSmall
                                
                                }	                
                            
                            }
                        }

                    
                    }
                    Container
                    {
                        id: container_notification_end
                        Header {
                            title: qsTr("Notification")
                        }
                        DropDown {
                            title: qsTr("Send Message") + Retranslate.onLanguageChanged	            
                            objectName: "dd_leave_notification"
                            selectedIndex: 0
                            Option {
                                text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	
                                value: "Do Nothing"            
                            }
                        }
                        TextField {
                            hintText: qsTr("Enter a note to show in the Hub or leave it blank")
                            objectName: "tf_leave_hub_note"
                        }
                     }
                    }

                }
            } // end leave container


            // datetime
            Container {
                id: container_datetime
                layout: DockLayout {
                }
                visible: false
                ScrollView {
                    Container {
                        layout: StackLayout { }
                        leftPadding: 15
                        rightPadding: 15
                        topPadding: 5
                        
                        horizontalAlignment: HorizontalAlignment.Fill
                        
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Enable") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_disable_datetime
                                objectName: "bt_disable_datetime"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    container_dtime.setVisible(checked)
                                }
                            }
                        } // dissable tb

                        Divider {
                        
                        }

                        Container {
                            id: container_dtime
                            visible: tb_disable_datetime.checked
                            
                            DateTimePicker {
                                title: qsTr("Start Time")
                                objectName: "start_time"
                                mode: DateTimePickerMode.Time
                            }
                            DateTimePicker {
                                title: qsTr("End Time")
                                objectName: "end_time"
                                mode: DateTimePickerMode.Time
                            }
                            
                            Header {
                                title: qsTr("Schedule Days")
                            }
                            
                            Container
                            {
                                id: weekdays1
                                topPadding: 10
                                horizontalAlignment: HorizontalAlignment.Left
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                CheckBox {
                                    id: monday
                                    objectName: "monday"
                                    text: qsTr("Mon") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: tuesday
                                    objectName: "tuesday"
                                    text: qsTr("Tue") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: wednesday
                                    objectName: "wednesday"
                                    text: qsTr("Wed") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: thursday
                                    objectName: "thursday"
                                    text: qsTr("Thr") + Retranslate.onLanguageChanged	            
                                }
                            }
                            
                            Container
                            {
                                topPadding: 10
                                id: weekdays2
                                horizontalAlignment: HorizontalAlignment.Left
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                CheckBox {
                                    id: friday
                                    objectName: "friday"
                                    text: qsTr("Fri") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: saturday
                                    objectName: "saturday"
                                    text: qsTr("Sat") + Retranslate.onLanguageChanged	            
                                }
                                
                                CheckBox {
                                    id: sunday
                                    objectName: "sunday"
                                    text: qsTr("Sun") + Retranslate.onLanguageChanged	            
                                }
                                
                                CheckBox {
                                    id: all
                                    objectName: "all"
                                    text: qsTr("All") + Retranslate.onLanguageChanged	            
                                    onCheckedChanged: {
                                        if (checked)
                                        {
                                            monday.setChecked(true);
                                            tuesday.setChecked(true);
                                            wednesday.setChecked(true);
                                            thursday.setChecked(true);
                                            friday.setChecked(true);
                                            saturday.setChecked(true);
                                            sunday.setChecked(true);
                                        }
                                        else
                                        {
                                            monday.setChecked(false);
                                            tuesday.setChecked(false);
                                            wednesday.setChecked(false);
                                            thursday.setChecked(false);
                                            friday.setChecked(false);
                                            saturday.setChecked(false);
                                            sunday.setChecked(false);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            } // datetime

        
        
        } // main container
        


        
        
               
        
    } // page
    
    attachedObjects: [
	    Invocation {
	        id: findgps
            query.mimeType: "text/html"
            query.uri: "http://www.geoplaner.com/"
            query.invokeActionId: "bb.action.OPEN"
	    }
	]


} // sheet