import bb.cascades 1.3
import com.appshot 1.0
import bb.system 1.0

Sheet {
    
    peekEnabled: false    
    Page {
        id: page1
/*
        titleBar: TitleBar {
            title: qsTr("Edit Photo ID") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _editPhoto.cancelPhoto()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _editPhoto.savePhoto()
                }
            
            }
        } // title
*/ 

        actions: [
            ActionItem {
                id: action_update
                title: qsTr("Save")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_save.png"
                onTriggered: {
                    
                    myQmlDialog.exec();
                    if (myQmlDialog.buttonSelection() == myQmlDialog.confirmButton)
                    {
                        lb_wait.setVisible(true)
                        action_update.setEnabled(false)
                        action_cancel.setEnabled(false)
                        hideActionBarTimer.start()
                    }
                }
            },
            
            
            ActionItem {
                
                id: action_cancel
                title: qsTr("Cancel")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_close.png"
                onTriggered: {
                    _editPhoto.cancelPhoto();
                }
            }
        ]

        Container {
            layout: DockLayout {

            }

            Container {
                verticalAlignment: VerticalAlignment.Top
                ImageView {
                    objectName: "img_contact"
                    scalingMethod: ScalingMethod.AspectFill
                }
            }
            
            Container
            {
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Center
                
                Container
                {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Container
                    {
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        Container {
                            ImageView {
                                objectName: "img_bday"
                                imageSource: "asset:///images/ic_cake.png"
                            }
                        }
                        
                        Container {
                            ImageView {
                                objectName: "img_anni"
                                imageSource: "asset:///images/ic_heart.png"
                            }
                        }
                    }

                    Container
                    {
                        leftPadding: 10
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        Container {
                            Label {
                                text: "September 26"
                                textStyle.color: Color.White
                                textStyle.fontSize: FontSize.Small
                                objectName: "lb_bdate"
                            }                
                        }
                        
                        Container {
                            Label {
                                text: "October 5"
                                textStyle.color: Color.White
                                textStyle.fontSize: FontSize.Small
                                objectName: "lb_anni_date"
                            }                
                        }
                    }

                
                }
                
/*                
                Container {
                    verticalAlignment: VerticalAlignment.Top
                    horizontalAlignment: HorizontalAlignment.Center
    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_cake.png"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                    }

                    Label {
                        text: "September 26"
                        textStyle.color: Color.White
                        textStyle.fontSize: FontSize.Small
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        objectName: "lb_bdate"
                    }                
                }
                
                Container {
                    objectName: "container_anni"
                    verticalAlignment: VerticalAlignment.Top
                    horizontalAlignment: HorizontalAlignment.Center
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_heart.png"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        text: "October 5"
                        textStyle.color: Color.White
                        textStyle.fontSize: FontSize.Small
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        objectName: "lb_anni_date"
                    }                
                }
*/                
            } // main container
            
            
            Label {
                id: lb_wait
                text: "Please Wait..."
                textStyle.color: Color.White
                verticalAlignment: VerticalAlignment.Bottom
                horizontalAlignment: HorizontalAlignment.Center
                visible: false
            }                

        }
    
    }

    
    attachedObjects: [
        QTimer {
            // A timer is needed to delay the screen shot until the ActionBar is hidden.
            // Here we use the QTimer, which has to be registered as a type in the application
            // constructor to work (see constructor in appshotapp.cpp).
            id: hideActionBarTimer
            interval: 300
            singleShot: true
            
            onTimeout: {
                _editPhoto.savePhoto();
            }
        },
    
        SystemDialog {
            id: myQmlDialog
            title: "Power Tools"
            body: "This will create a new Photo CallerID in the Contacts database for this Contact.\nYou will see this screen when the caller calls you.  Are you sure?"
       }
    
    
    ]
    
    

}

