import bb.cascades 1.2
//import bb.cascades.pickers 1.0
import bb.system 1.2

Sheet {
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Edit White List")
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel")
                onTriggered: {
                    _mainApp.cancel_edit_whitelist()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save")
                onTriggered: {
                    _mainApp.save_edit_whitelist()
                }
            }
        }// titleBar
        
        actions: [
            ActionItem {
                id: deletefield
                title: qsTr("Delete")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _mainApp.delete_whitelist()
                }
                objectName: "action_delete"
            },
            
            ActionItem {
                title: qsTr("Help")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    myQmlDialog.show()
                }
            }
        ]
        
        ScrollView {
            
            Container
            {
                layout: StackLayout {
                    orientation: LayoutOrientation.TopToBottom
                }
                leftPadding: 10.0
                topPadding: 50.0
                rightPadding: 10.0
                bottomPadding: 10.0
                                
                Container {
                    id: main_container

                    Header {
                        title: qsTr("Sender Information")
                    }                    
                    TextField {
                        id: contactName
                        hintText: qsTr("Enter contact name")
                        objectName: "contactName"
                    } // container

                    TextField {
                        id: contactEmail
                        hintText: qsTr("Enter contact email address")
                        objectName: "contactEmail"
                    } // container

                
                } // container
            
            } // container
        } //scrollview
        
        attachedObjects: [
            SystemDialog {
                id: myQmlDialog
                cancelButton.label: undefined
                title: "Help"
                body: qsTr("Enter the Sender's name and email address.\n\nSelect the Delete icon to delete this sender from the White List.")
            }
        
        ]
        objectName: "page"
    }
}
