import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Encryption Setting") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Encryption.cancelEncryptionSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Encryption.saveEncryptionSettings()
                }
            
            }
        }// titleBar

        actions: [
            
            ActionItem {
                title: qsTr("Encrypted Files") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_encrypted_files.png"
                onTriggered: {
                    _Encryption.showEncryptedFiles()
                }
            },
           
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _Encryption.help()
                }
            }
        ]
        
        ScrollView {
            
            
            Container
            {
                layout: StackLayout {
                }
                leftPadding: 10.0
//                topPadding: 10.0
                rightPadding: 10.0
 //               bottomPadding: 10.0
                
                horizontalAlignment: HorizontalAlignment.Fill
                
                Header {
                    title: qsTr("Password") + Retranslate.onLanguageChanged	            
                }
                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    Button {
                        text: qsTr("Create a new Password") + Retranslate.onLanguageChanged	            
                        objectName: "create_key"
                        onClicked: {
                            _Encryption.createKey();
                        }
                        
                    }
                    Button {
                        text: qsTr("Clear Password") + Retranslate.onLanguageChanged	            
                        objectName: "clear_key"
                        onClicked: {
                            _Encryption.clearKey();
                        }
                    }
                }
                
                Header {
                    title: qsTr("Encrypting") + Retranslate.onLanguageChanged	            
                }
                DropDown {
                    title: qsTr("Encrypting File") + Retranslate.onLanguageChanged	            
                    objectName: "dd_encrypting_file"
                    Option {
                        text: qsTr("In place encryption") + Retranslate.onLanguageChanged	            
                        description: qsTr("If error encrypting the original file can not be recovered") + Retranslate.onLanguageChanged	            

                    }
                    Option {
                        text: qsTr("Encrypt to Temp file") + Retranslate.onLanguageChanged	            
                        description: qsTr("Encrypt to temp file then overwrite original") + Retranslate.onLanguageChanged	            

                    }
                    selectedIndex: 1
                }

                DropDown {
                    title: qsTr("Encryption Key") + Retranslate.onLanguageChanged	            
                    objectName: "dd_encryption_key"
                    Option {
                        text: qsTr("Always available") + Retranslate.onLanguageChanged	            
                        description: qsTr("Encryption key is always available.  Not secure") + Retranslate.onLanguageChanged	            

                    }
                    Option {
                        text: qsTr("Erase on Screen lock") + Retranslate.onLanguageChanged	            
                        description: qsTr("Key is erased on screen lock.  Most secure") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: qsTr("Erase on Password lock") + Retranslate.onLanguageChanged	            
                        description: qsTr("Key is erased on password lock.  Secure") + Retranslate.onLanguageChanged	            
                    }
                    selectedIndex: 0
                }

                DropDown {
                    title: qsTr("Encrypted File Database") + Retranslate.onLanguageChanged	            
                    objectName: "dd_encrypted_db"
                    Option {
                        text: qsTr("Do Not Encrypt") + Retranslate.onLanguageChanged	            
                        description: qsTr("Do nothing and leave the database as is") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: qsTr("Encrypt on Screen Lock") + Retranslate.onLanguageChanged	            
                        description: qsTr("Always encrypt the database on Screen lock") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: qsTr("Encrypt on Password Lock") + Retranslate.onLanguageChanged	            
                        description: qsTr("Always encrypt the database on Password lock") + Retranslate.onLanguageChanged	            
                    }
                    selectedIndex: 0
                    visible: false
                }

                
                Label {
                    text: qsTr("When the encryption key is erased you will be prompted for your Password when you encrypt files.") + Retranslate.onLanguageChanged	            
                    textStyle.fontStyle: FontStyle.Italic
                    textStyle.fontSize: FontSize.Small
                    multiline: true
                }

                Header {
                    title: qsTr("Decrypting") + Retranslate.onLanguageChanged	            
                }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Always ask for password") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "tb_decryption_key"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }

                               
                Container {
	                layout: DockLayout {
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
	                topPadding: 10.0
	                Label {
                        text: qsTr("Remove file from Encrypted DB") + Retranslate.onLanguageChanged	            
		                horizontalAlignment: HorizontalAlignment.Left
                    }
	                ToggleButton {
		                objectName: "remove_encrypted_file"
		                horizontalAlignment: HorizontalAlignment.Right
	                }
                }
                
                Label {
                    text: qsTr("If you turn OFF 'Always ask for password' and the decryption key is not available you will be prompted for your Password.") + Retranslate.onLanguageChanged	            
                    textStyle.fontStyle: FontStyle.Italic
                    textStyle.fontSize: FontSize.Small
                    multiline: true
                }

               

            }
        } // scroll view
    } // page
} // sheet