import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Encryption Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("In order to encrypt files you first need to create your password.  An encryption key will be generated from your password to use for encrypting and decrypting files.\n  \n<b>Create a Password</b>\n\nSelect the <b>Create a New Password</b> button.  This will open the create password dialog.  You need to enter a password and verify password.  Your password must be longer than 4 characters.  Do not forget your password because there is no way to recover your password if you do forget it.\n\n<b>Encrypting</b>\n\nThere are two methods that you can encrypt a file.\n\n<b>1. In Place Encryption</b>\n\nIn place encryption is where each block in the file is encrypted and written at the same location in sequence until the file is completely encrypted.  This is the most efficient way to encrypt the file for speed.  The bad side is if there is a problem encrypting the file then the original file is lost because there is no way to recover the file.\n\n<b>2. Encrypt to Temp File</b>\n\nEncrypt the original file to a temporary file and then overwrite the original file with the encrypted file.  This is the safest method but can be slow. \n\n<b>Encryption Key</b>\n\nThe encryption key is used for both encrypting and decrypting the files.  When you authenticate with your password the encryption key is created to encrypt or decrypt the file.\n\nFor maximium security you should never make the encryption key available at all times.   You should erase the encryption when the screen or password locked.  By erasing the encryption key Power Tools will force you to enter your password before you can encrypt or decrypt a file.\n\nYou can set how you want Power Tools to handle the encryption key in the <b>Encryption Key</b> drop down list.\n\n<b>How to Encrypt Files</b>\n\nSince Power Tools is integrated with the System Share and Invocation.  You can use <b>Share</b> or <b>Open In</b> methods to encrypt files.  For example:  In the Pictures application you can select any picture and then select Share from the menu and then select <b>Power Tools</b>.  The picture will be opened and you can select the Encrypt button.\n\nYou can also encrypt the file in the File Manager application by selecting a file and select <b>Open In</b> and then select Power Tools.\n\nAny 3rd party application can select Share and send the file to Power Tools to encrypt the file.  It can also decrypt the file to by sending the encrypted file to Power Tools.\n\n<b>Decrypting Files</b>\n\nWhenever you decrypt a file your encryption key must be available.  If the key is not available then you will be prompted for your password.\n\nYou can set to always prompt you for your password regardless if the encryption key is available.  This is the most secure way.\n\nTo decrypt an encrypted file just select the encrypted file and select <b>Share</b> or <b>Open In</b>.  If you are using the <b>File Manager</b> application you can just tap on the encrypted file and it will launch Power Tools.\n\n<b>Encrypted Files List</b>\n\nPower Tools will keep track of all your encrypted files.  When a file is decrypted it is removed from the Encrypted Files database.  You can view all your encrypted files by selecting the <b>Encrypted Files</b> button.  In the Encrypted Files screen you have the options to decrypt the file.\n\nYou can use the Encrypted Files List to keep all your files encrypted and decrypt them when you want to use it and encrypt them when you do not need them.\n\nIf you want to remove the file from the Encrypted list when the file is decrypted then select the <b>Remove file from Encrypted list</b> to ON.\n\n<b>WARNING: DO NOT SHARE YOUR PASSWORD WITH ANYONE OR FORGET IT.</b>") + Retranslate.onLanguageChanged
                                    
                }       
            }
        }
    
    
    }

}