import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("File Manager Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The File Manager allows you to hide media files from showing up in the Pictures, Video and Music applications.  It can also hide files so that only you can see them.") + Retranslate.onLanguageChanged                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Note: You should create a password in the Encryption screen in the main screen.  This will protect others from opening File Manager without a password.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       
                
                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_nomedia.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Hide Media Files") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Hide Media Files function hides your Picture, Video and Music files from Media applications.  Other applications such as the native File Manager can still see the files.  It is not secure way to hide files.") + Retranslate.onLanguageChanged                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To hide media files in a folder just select the Hide Folder icon from the Toolbar.   You then select a file from a folder.   You will see the new folder listed on the screen.  To Hide and Unhide the folder just touch the folder item.") + Retranslate.onLanguageChanged                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_hidden_folder.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Hide Files") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Unlike the hide media files Hide Files actually hides the files from all applications.  Only Power Tools can access the files locally.") + Retranslate.onLanguageChanged                
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Note:  When hiding files Power Tools moves the files to a hidden folder on the device.  The files are not encrypted and it is possible to access them when the device is connected to USB or Wifi sharing.   Check the Storage and Access in the Settings application.") + Retranslate.onLanguageChanged                
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To verify that the files are actually hidden you can use the File Manager and browse the entire device.") + Retranslate.onLanguageChanged                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_restore_files.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Restore Hide Files") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To restore the files to their original location just press and hold on the file name or select the Restore All button.  When you restore the files it is removed from the Hidden folder.") + Retranslate.onLanguageChanged                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("OS Update") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you wipe your device and reinstall the OS all your hidden files will be wiped also.  This is because all the hidden files are locally on your device and not on the sd card.") + Retranslate.onLanguageChanged                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You should do a restore all and then do a backup of your device before you reinstall a fresh OS.") + Retranslate.onLanguageChanged                
                }       
            
            }

        }
    
    }

}