import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Wallpaper Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 10.0
                
                rightPadding: 10.0
                topPadding: 1.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("There are two types of Wallpapers that you can set.") + Retranslate.onLanguageChanged                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Home Screen") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The HomeScreen is where all the icons are displayed on the screen.  On the top of the screen you will see the Toolbar with the Battery and Notification icons on the left, Datetime in the center and the Network notification icons on the right.") + Retranslate.onLanguageChanged
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("In the Wallpaper Setup the HomeScreen will be displayed first.  You can set how the wallpapers will be rotated.  Randomly or Sequentially.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Add and Manage Wallpapers") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You first need to add wallpapers to the database.  To do this select the <b>Add Wallpapers</b> button.  Power Tools will resize the wallpapers and keep copies.") + Retranslate.onLanguageChanged
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To delete wallpapers select the <b>Manage Wallpapers</b> button.  Select the wallpapers that you want to delete and select the <b>Done</b> button.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Tool Bar") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Power Tools can display additional information such as the actual Battery Percentage, current Weather info, Datetime or custom text below the HomeScreen Tool bar.") + Retranslate.onLanguageChanged
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("In the HomeScreen Setup screen you can select what information to display on the Tool bar.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Custom Text") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.Large
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Custom text is place centered on the Tool bar.  You can put in a static text or select a random text from a text file.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Select Toolbar Center drop down and select Text File.  Select the <b>Edit File</b> button.  Each text must be in a separate line.  Each line can not be greater than 50 characters.") + Retranslate.onLanguageChanged
                }       


                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Updating Tool Bar") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("It is important to note that the Wallpaper will only change if the information in the Tool bar changes.  eg: Battery percent or Weather changed.") + Retranslate.onLanguageChanged
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When you set the Recurrence timer to change the Wallpaper.  Power Tools will only change if the information changes.  You can however set to <b>Update when screen is turned on</b> option.  Power Tools will then always update the Wallpaper and the Tool bar.") + Retranslate.onLanguageChanged
                }       
                
                Divider {
                
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Lock Screen") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.XLarge
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Lock Screen Wallpaper is set when the screen turns off or when you manually lock the device using the Power button on top of the device.  To see the Lock Screen when the screen is off swipe up from the bottom of the screen or press the Power button.") + Retranslate.onLanguageChanged
                }       
            
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To set the Lock Screen Wallpaper select the <b>Lock Screen</b> button on top of the Wallpaper Setup screen.") + Retranslate.onLanguageChanged
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You can select your own custom picture as the Lock Screen or you can select a predefined color.") + Retranslate.onLanguageChanged
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you want to show the Weather information on the Lock Screen then select where you want the Weather displayed on the Lock Screen.") + Retranslate.onLanguageChanged
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Select Custom Location to enter the X and Y location the screen.") + Retranslate.onLanguageChanged
                }       
                Divider {
                    
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you want to use your own TTF font for the Weather text then goto the Application Settings->Weather screen.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       
            
            }
        
        }
    
    }

}