import bb.cascades 1.3
import bb.cascades.pickers 1.0


Page {
    id: sheetModify
    
    objectName: "page"
    
    titleBar: TitleBar {
        id: addBar
        title: qsTr("Hidden Folder") + Retranslate.onLanguageChanged
        visibility: ChromeVisibility.Visible
        objectName: "title_bar"
    
    }// titleBar
    
    actions: [
         ActionItem {
             title: qsTr("Add Files") + Retranslate.onLanguageChanged
             ActionBar.placement: ActionBarPlacement.OnBar
             imageSource: "asset:///images/ic_review.png"
             onTriggered: {
             add_files_picker.open()
             }
            objectName: "action_addfiles"
        },
        ActionItem {
            title: qsTr("Restore All") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_restore_files.png"
            onTriggered: {
                _lock.restoreAll()
            }
            objectName: "action_restorefiles"
        },
/*        ,
        
        ActionItem {
            title: qsTr("Hide Folder") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_hidden_folder.png"
            onTriggered: {
                hide_folder_picker.open()
            }
        },
*/        
        ActionItem {
            title: qsTr("Help") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_help.png"
            onTriggered: {
                _lock.help()
            }
        }
    
    ]
    
    
    Container
    {
        layout: DockLayout {
        }
        
        horizontalAlignment: HorizontalAlignment.Fill
        
        ImageView 
        {
            imageSource: "asset:///images/sheet_background.jpg"
            objectName: "img_background"
        }
        
        ListView {
            id: listView
            dataModel: _lock.model
            
             // This multi-select action will be placed inside the ActionSets of each
             // list item that doesn't have a MultiSelectActionItem of its own.
             multiSelectAction: MultiSelectActionItem {
             }
             
             multiSelectHandler {
                 // These actions will be shown during multiple selection, while this
                 // multiSelectHandler is active
                 actions: [
                     ActionItem {
                         onTriggered: {
                             _lock.restore_delete_files(listView.selectionList(), 1, 0)
                         }
                         title: qsTr("Restore to Original")
                         imageSource: "asset:///images/ic_restore_files.png"
                     },
                     ActionItem {
                         title: qsTr("Delete")
                         imageSource: "asset:///images/ic_delete.png"
                         onTriggered: {
                             _lock.restore_delete_files(listView.selectionList(), 1, 1)
                         }
                     }
                     
                 ]
                 
                 status: qsTr("None Selected")
             }
                      
            listItemComponents: [
                ListItemComponent {
                    type: "item"
                    StandardListItem {
                        id: itemRoot
                        title: ListItemData.title
                        description: ListItemData.description
                        status: ListItemData.status
                        imageSource: ListItemData.image
                        imageSpaceReserved: false                            
                        
                        contextActions: [
                            ActionSet {
                                title: qsTr("Select Action")
                                
                                
                                ActionItem {
                                    title: qsTr("Restore File")
                                    imageSource: "asset:///images/ic_restore_files.png"
                                    onTriggered: {
                                        //_block.selectedBlacklistItem(indexPath, 1)
                                        itemRoot.ListItem.view.myAction(itemRoot.ListItem.indexPath, 0);
                                    }
                                }
                                DeleteActionItem {
                                    title: qsTr("Delete")
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(itemRoot.ListItem.indexPath, 1);
                                    }
                                }
                            
                            }
                        ]
                    
                    
                    
                    }
                }
            ] // listItem
            
            onTriggered: {
                clearSelection()
                _lock.viewItem(indexPath)
            }
            
             onSelectionChanged: {
                 if (selectionList().length > 1) {
                     multiSelectHandler.status = selectionList().length + " " +  qsTr("Items Selected");
                 } else if (selectionList().length == 1) {
                     multiSelectHandler.status = qsTr("1 Item Selected");
                 } else {
                     multiSelectHandler.status =  qsTr("None Selected");
                 }
             }
            // context menu
            function myAction(indexPath, type) {
                _lock.selectedlistItem(indexPath, type);
            }
            
            
            objectName: "itemList"
            leadingVisualSnapThreshold: 0.6            
        } // listview
    
    
        Container {
            visible: false
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Center
            leftPadding: 50
            rightPadding: 50
            Container {
                background: Color.DarkGray
                leftPadding: 50
                rightPadding: 50
                preferredHeight: 175
                Label {
                    text: "Process..."
                    horizontalAlignment: HorizontalAlignment.Center
                    objectName: "progress_label"
                }
                Label {
                    text: " "
                    horizontalAlignment: HorizontalAlignment.Center
                    objectName: "progress_label2"
                }
                ProgressIndicator {
                    toValue: 10.0
                    value: 1
                    objectName: "progress"
                }
            }
            objectName: "container_progress"
        
        }

    
    } // container
    
    
    attachedObjects: [
        
        FilePicker {
            id: add_files_picker
            
            title: qsTr("Select a Files")
            directories: ["/accounts/1000/shared/camera" ]         
            onFileSelected: {
                _lock.addselectedFiles(selectedFiles);
            }
            objectName: "file_picker"
            mode: FilePickerMode.PickerMultiple
        },
        
        FilePicker {
            id: add_folder_picker
            
            title: qsTr("Select a File")
            directories: ["/accounts/1000/shared" ]         
            onFileSelected: {
                _lock.addFolder(selectedFiles, 0);
            }
        },
        
        FilePicker {
            id: hide_folder_picker
            
            title: qsTr("Select a File")
            directories: ["/accounts/1000/shared" ]         
            onFileSelected: {
                _lock.addFolder(selectedFiles, 1);
            }
        }
    
    ]

} // page
