import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: "Holster Setting"
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
                    _Holster.cancelEditHolsterSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: "Save"
                onTriggered: {
                    _Holster.saveEditHolsterSettings()
                }
            
            }
        }// titleBar
                
        objectName: "page"
        ScrollView {
            
            
            Container
            {
                layout: DockLayout {
                }
                leftPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                bottomPadding: 10.0
                
                Container
                {
                    layout: StackLayout { }
                    

                    Header {
                        title: "In Holster"
                    }
                    
                    //Unknown = 0, Silent = 1, Vibrate = 2, Normal = 3, PhoneOnly = 4, AlertsOff = 5
                    
                    Container
                    {
                        id: profile1
                        visible: true
                        topPadding: 10.0
                        DropDown {
                            id: mode
                            title: "Mode"
                            objectName: "mode"
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                    in_holster.setVisible(false)
                                else
                                    in_holster.setVisible(true)
                                
                                // normal and phone only
                                if (selectedIndex == 3 || selectedIndex == 4)
                                {
                                    start_led.setVisible(true)
                                    start_sound.setVisible(true)
                                    start_vibrate.setVisible(true)
                                    start_preview.setVisible(true)
                                    start_volume.setVisible(true)
                                }
                                // silent and vibrate
                                else
                                    if (selectedIndex == 1 || selectedIndex == 2)
                                    {
                                    start_led.setVisible(true)
                                    start_sound.setVisible(false)
                                    start_vibrate.setVisible(false)
                                    start_preview.setVisible(true)
                                    start_volume.setVisible(false)
                                    start_sound.setSelectedIndex(0)
                                    start_vibrate.setSelectedIndex(0)
                                
                                    }
                                    // all off
							    else
							    if (selectedIndex == 5)
							    {
	                                        start_led.setVisible(false)
	                                        start_sound.setVisible(false)
	                                        start_vibrate.setVisible(false)
	                                        start_preview.setVisible(false)
	                                        start_volume.setVisible(false)
	                                        
	                                        start_led.setSelectedIndex(0)
	                                        start_sound.setSelectedIndex(0)
	                                        start_preview.setSelectedIndex(0)
	                                        start_vibrate.setSelectedIndex(0)
	                                    
	                            }
                            }
                            Option {
                                text: "Do Nothing"
                                value: "Do Nothing"
                                description: "Do not change Profile"
                                imageSource: "asset:///images/ic_mode_nothing.png"
                            }
                            Option {
                                text: "Silent"
                                value: "silent"
                                description: "Mute phone and system sounds"
                                imageSource: "asset:///images/ic_mode_silent.png"
                            }
                            Option {
                                text: "Vibrate Only"
                                value: "vibrate"
                                description: "Vibrate on incoming call and mute all sounds"
                                imageSource: "asset:///images/ic_mode_vibrate.png"
                            }
                            Option {
                                text: "Normal"
                                value: "normal"
                                description: "Allow all sounds"
                                imageSource: "asset:///images/ic_mode_normal.png"
                            }
                            Option {
                                text: "Phone Calls Only"
                                value: "phonecall"
                                description: "Allow phone sound and mute system sounds"
                                imageSource: "asset:///images/ic_mode_phone.png"
                            }
                            Option {
                                text: "All Alerts Off"
                                value: "alloff"
                                description: "Mute all sounds"
                                imageSource: "asset:///images/ic_mode_alloff.png"
                            }
                        }
                    } // mode container
                    Container {
	                    id: in_holster
	                    
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: start_led
	                            title: "LED"
	                            objectName: "led"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: start_sound
	                            title: "Sound"
	                            objectName: "sound"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: start_vibrate
	                            title: "Vibrate"
	                            objectName: "vibrate"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: start_preview
	                            title: "Instant Preview"
	                            objectName: "preview"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    
	                    Container {
	                        id: start_volume
	                        leftPadding: 10
	                        rightPadding: 10
	                        topPadding: 15
	                        bottomPadding: 15
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.LeftToRight
	                        }
	                        
	                        // The minimum position of the slider means night-time so an image of a
	                        // moon is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound0.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        
	                        // The slider component
	                        Slider {
	                            leftMargin: 10
	                            rightMargin: 10
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Center
	                            
	                            layoutProperties: StackLayoutProperties {
	                                spaceQuota: 1
	                            }
	                            objectName: "start_volume"
	                            toValue: 100.0
	                        
	                        }
	                        
	                        // At the maximum position of the slider means day-time so an image of a
	                        // sun is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound3.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        
	                        } // Sun icon Image
	                    } // Slider Container
	                    
	                    Header {
	                        title: "Main Volume"
	                    }
	                    Container {
	                        id: media_volume
	                        leftPadding: 10
	                        rightPadding: 10
	                        topPadding: 15
	                        bottomPadding: 15
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.LeftToRight
	                        }
	                        
	                        // The minimum position of the slider means night-time so an image of a
	                        // moon is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound0.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        
	                        // The slider component
	                        Slider {
	                            leftMargin: 10
	                            rightMargin: 10
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Center
	                            
	                            layoutProperties: StackLayoutProperties {
	                                spaceQuota: 1
	                            }
	                            objectName: "main_volume"
	                            toValue: 100.0
	                        
	                        }
	                        
	                        // At the maximum position of the slider means day-time so an image of a
	                        // sun is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound3.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        
	                        } // Sun icon Image
	                    } // Slider Container
	                    Label {
	                        text: "Adjust media volume and the volume of your applications."
	                        textStyle.fontStyle: FontStyle.Italic
	                        textStyle.fontSize: FontSize.XSmall
	                    
	                    }	                                    
	                }
                    
                    
                    Header {
                        title: "Out of Holster"
                    }
                    //Unknown = 0, Silent = 1, Vibrate = 2, Normal = 3, PhoneOnly = 4, AlertsOff = 5
                    
                    Container
                    {
                        id: profile2
                        visible: true
                        topPadding: 10.0
                        DropDown {
                            id: mode2
                            title: "Mode"
                            objectName: "mode_end"
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                    out_holster.setVisible(false)
                                else
                                    out_holster.setVisible(true)

                                // normal and phone only
                                if (selectedIndex == 3 || selectedIndex == 4)
                                {
                                    end_led.setVisible(true)
                                    end_sound.setVisible(true)
                                    end_vibrate.setVisible(true)
                                    end_preview.setVisible(true)
                                    end_volume.setVisible(true)
                                }
                                // silent and vibrate
                                else
                                    if (selectedIndex == 1 || selectedIndex == 2)
                                    {
                                    end_led.setVisible(true)
                                    end_sound.setVisible(false)
                                    end_vibrate.setVisible(false)
                                    end_preview.setVisible(true)
                                    end_volume.setVisible(false)
                                    
                                    end_sound.setSelectedIndex(0)
                                    end_vibrate.setSelectedIndex(0)
                                
                                    }
                                    // all off
							    else
							    if (selectedIndex == 5)
							    {
                                        end_led.setVisible(false)
                                        end_sound.setVisible(false)
                                        end_vibrate.setVisible(false)
                                        end_preview.setVisible(false)                                    
                                        end_volume.setVisible(false)
                                        
                                        end_led.setSelectedIndex(0)
                                        end_sound.setSelectedIndex(0)
                                        end_vibrate.setSelectedIndex(0)
                                        end_preview.setSelectedIndex(0)
                                    
                                 }
                            }
                            Option {
                                text: "Do Nothing"
                                value: "Do Nothing"
                                description: "Do not change Profile"
                                imageSource: "asset:///images/ic_mode_nothing.png"
                            }
                            Option {
                                text: "Silent"
                                value: "silent"
                                description: "Mute phone and system sounds"
                                imageSource: "asset:///images/ic_mode_silent.png"
                            }
                            Option {
                                text: "Vibrate Only"
                                value: "vibrate"
                                description: "Vibrate on incoming call and mute all sounds"
                                imageSource: "asset:///images/ic_mode_vibrate.png"
                            }
                            Option {
                                text: "Normal"
                                value: "normal"
                                description: "Allow all sounds"
                                imageSource: "asset:///images/ic_mode_normal.png"
                            }
                            Option {
                                text: "Phone Calls Only"
                                value: "phonecall"
                                description: "Allow phone sound and mute system sounds"
                                imageSource: "asset:///images/ic_mode_phone.png"
                            }
                            Option {
                                text: "All Alerts Off"
                                value: "alloff"
                                description: "Mute all sounds"
                                imageSource: "asset:///images/ic_mode_alloff.png"
                            }
                        }
                    } // mode container
                    
                    Container {
                        id: out_holster
	                    
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: end_led
	                            title: "LED"
	                            objectName: "led_end"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: end_sound
	                            title: "Sound"
	                            objectName: "sound_end"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: end_vibrate
	                            title: "Vibrate"
	                            objectName: "vibrate_end"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    
	                    Container
	                    {
	                        topPadding: 10.0
	                        DropDown {
	                            id: end_preview
	                            title: "Instant Preview"
	                            objectName: "preview_end"
	                            selectedIndex: 0
	                            Option {
	                                text: "Do Nothing"
	                            }
	                            Option {
	                                text: "On"
	                            }
	                            Option {
	                                text: "Off"
	                            }
	                        }
	                    }
	                    
	                    Container {
	                        id: end_volume
	                        leftPadding: 10
	                        rightPadding: 10
	                        topPadding: 15
	                        bottomPadding: 15
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.LeftToRight
	                        }
	                        
	                        // The minimum position of the slider means night-time so an image of a
	                        // moon is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound0.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        
	                        // The slider component
	                        Slider {
	                            leftMargin: 10
	                            rightMargin: 10
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Center
	                            
	                            layoutProperties: StackLayoutProperties {
	                                spaceQuota: 1
	                            }
	                            objectName: "end_volume"
	                            toValue: 100.0
	                        
	                        }
	                        
	                        // At the maximum position of the slider means day-time so an image of a
	                        // sun is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound3.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        
	                        } // Sun icon Image
	                    } // Slider Container
	                    
	                    Header {
	                        title: "Main Volume"
	                    }
	                    Container {
	                        id: media_volume_end
	                        leftPadding: 10
	                        rightPadding: 10
	                        topPadding: 15
	                        bottomPadding: 15
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.LeftToRight
	                        }
	                        
	                        // The minimum position of the slider means night-time so an image of a
	                        // moon is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound0.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        
	                        // The slider component
	                        Slider {
	                            leftMargin: 10
	                            rightMargin: 10
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Center
	                            
	                            layoutProperties: StackLayoutProperties {
	                                spaceQuota: 1
	                            }
	                            objectName: "main_volume_end"
	                            toValue: 100.0
	                        
	                        }
	                        
	                        // At the maximum position of the slider means day-time so an image of a
	                        // sun is added to illustrate this.
	                        ImageView {
	                            imageSource: "asset:///images/sound3.png"
	                            verticalAlignment: VerticalAlignment.Center
	                        
	                        } // Sun icon Image
	                    } // Slider Container
	                    Label {
	                        text: "Adjust media volume and the volume of your applications."
	                        textStyle.fontStyle: FontStyle.Italic
	                        textStyle.fontSize: FontSize.XSmall
	                    
	                    }	                
	       
	       			}
                
                } // container
            }
        } // scroll view
    } // page
} // sheet