import bb.cascades 1.0
import bb.cascades.pickers 1.0

Sheet {
    peekEnabled: false
    Page {
        titleBar: TitleBar {
            id: addBar
            title: qsTr("LED Setting") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                id: cancel_action
                onTriggered: {
                    _Led.cancelEditLEDProfileSettings()
                }
                objectName: "cancel_action"
            }
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                id: save_action
                onTriggered: {
                    _Led.saveEditLEDProfileSettings()
                }
                objectName: "save_action"
            }
        
        }// titleBar
        
        actions: [

            ActionItem {
                id: photo_action
                title: qsTr("PhotoID") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_photoid.png"
                onTriggered: {
                    _Led.setPhotoID()
                }
                objectName: "photo_action"
            },
            
            ActionItem {
                id: lookup_action
                title: qsTr("Lookup") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_lookup.png"
                onTriggered: {
                    _Led.contactlookUp()
                }
                objectName: "lookup_action"
            },

            ActionItem {
                id: clear_action
                title: qsTr("Clear Counter") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _Led.clearCounter()
                }
                objectName: "clear_action"
            },

            ActionItem {
                id: test_action
                title: qsTr("Try It") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_play.png"
                onTriggered: {
                    _Led.tryit()
                }
                objectName: "try_action"
            },

            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _Led.deleteItem()
                }
                objectName: "delete_action"
            },
            
            ActionItem {
                    title: qsTr("Help") + Retranslate.onLanguageChanged	            
                    ActionBar.placement: ActionBarPlacement.OnBar
                    imageSource: "asset:///images/ic_help.png"
                    onTriggered: {
                        _Led.help()
                    }
            }
        ]

        objectName: "page"
        
        Container {
            
                SegmentedControl {
                    
                    leftPadding: 5
                    rightPadding: 5
                    topPadding: 5
                    id: segmented1
                    enabled: !tb_disabled.checked
                    Option {
                        id: option1
                        text: qsTr("General")
                        selected: true
                    }
                    Option {
                        id: option2
                        text: qsTr("LED")
                    }
                    Option {
                        id: option3
                        text: qsTr("Ringtone")
                    }
                    onSelectedIndexChanged: {
                        //var value = segmented1.selectedValue
                        if (selectedIndex == 0)
                        {
                            container_general.setVisible(true)
                            container_led.setVisible(false)
                            container_ringtone.setVisible(false)
                        }
                        else
                            if (selectedIndex == 1)
                            {
                            container_general.setVisible(false)
                            container_led.setVisible(true)
                            container_ringtone.setVisible(false)
                         }
                         else
                      if (selectedIndex == 2)
                      {
                          container_general.setVisible(false)
                          container_led.setVisible(false)
                          container_ringtone.setVisible(true)
                      }
                    }
                } // segement 
             
         Container {
             layout: DockLayout {
             }
    
                ScrollView {
                    Container
                    {
                        id: container_general
                        
                        objectName: "main_container"
                        leftPadding: 15
                        rightPadding: 15
                        topPadding: 5

                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Disable")
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_disabled
                                objectName: "tb_disable"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    main_container.setVisible(!checked)
                                    segmented1.setEnabled(checked)
                                }
                            }
                        }
                        
                        Divider {
                        
                        }
       
                        Container {
                            id: main_container
                            visible: !tb_disabled.checked
                            DropDown {
                                id: filtertype
                                title: qsTr("Account") + Retranslate.onLanguageChanged	            
                                objectName: "account_type"
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                    {
                                        lookup_action.setEnabled(true)
                                        photo_action.setEnabled(true)
                                        address_text.setVisible(true);
                                        address_text2.setVisible(true);
                                        name_text.setVisible(true)
                                    }
                                    else
                                    {
                                        lookup_action.setEnabled(false)
                                        photo_action.setEnabled(false)
                                        address_text.setVisible(false);
                                        address_text2.setVisible(false);
                                        name_text.setVisible(false)
                                    }
                                }
                                selectedIndex: 0
                                Option {
                                    value: 0
                                    
                                    text: qsTr("Custom") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Use a from email address or a phone number") + Retranslate.onLanguageChanged	            
                                
                                }
                            }
                            
                            TextField {
                                id: name_text
                                hintText: qsTr("Enter a name") + Retranslate.onLanguageChanged	            
                                objectName: "name_field"
                                horizontalAlignment: HorizontalAlignment.Fill
                                visible: false
                            
                            }
                            
                            TextField {
                                id: address_text
                                hintText: qsTr("From email address, phone # or keyword") + Retranslate.onLanguageChanged	            
                                objectName: "address_field"
                                horizontalAlignment: HorizontalAlignment.Fill
                                visible: false
                            
                            }
                            
                            TextField {
                                id: address_text2
                                hintText: qsTr("From email address, phone # or keyword") + Retranslate.onLanguageChanged	            
                                objectName: "address_field2"
                                horizontalAlignment: HorizontalAlignment.Fill
                                visible: false
                            
                            }
                            DropDown {
                                objectName: "repeat_led"
                                title: qsTr("Repeat") + Retranslate.onLanguageChanged	            
                                selectedIndex: 0
                                Option {
                                    text: qsTr("None") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("5 Minutes") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("10 Minutes") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("15 Minutes") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("20 Minutes") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("25 Minutes") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("30 Minutes") + Retranslate.onLanguageChanged	            
                                }
                            }
        
                            DropDown {
                                title: qsTr("Vibrate Duration") + Retranslate.onLanguageChanged	            
                                objectName: "vibrate"
                                selectedIndex: 0
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                        vib_count_container.setVisible(false)
                                    else
                                        vib_count_container.setVisible(true)
                                }
                                Option {
                                    text: qsTr("None") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("100 Milliseconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("250 Milliseconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("500 Milliseconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("750 Milliseconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("1 Second") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("2 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("3 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("4 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("5 Seconds") + Retranslate.onLanguageChanged	            
                                }
    
                                Option {
                                    text: qsTr("6 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("7 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("8 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("9 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("10 Seconds") + Retranslate.onLanguageChanged	            
                                }
                            }
                        
                        
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                Label {
                                    text: qsTr("VIP") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    id: bt_vip
                                    objectName: "vip"
                                    horizontalAlignment: HorizontalAlignment.Right
                                    onCheckedChanged: {
                                        container_vip_volume.setVisible(checked)
                                        vip_label.setVisible(checked)
                                    }
                                }
                            }
                            
                            Container {
                                visible: bt_vip.checked
                                id: container_vip_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                Label {
                                    text: " " + Math.round(battery_value.immediateValue) + "%"
                                    //                        textStyle.color: Color.Red
                                    verticalAlignment: VerticalAlignment.Center
                                    horizontalAlignment: HorizontalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    id: battery_value
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "sl_vip_volume"
                                    toValue: 100
                                    value: 75.0
    
                                }
                                
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            
    
                            
                            Label {
                                id: vip_label
                                visible: bt_vip.checked
                                text: qsTr("The volume to use for the ringtone.")
                                multiline: true
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.Small
                            }
                            
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                visible: false
                                Label {
                                    text: qsTr("Send to Pebble Watch")
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_send_pebble"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
                        }
                    
                    } // general container
                } //
    
    
                Container
                {
                    id: container_led
                    
                    leftPadding: 15
                    rightPadding: 15
                    topPadding: 5

                    visible: false
                 
                    ScrollView {
                        Container {
                            DropDown {
                                id: ledcolor
                                title: qsTr("LED Color") + Retranslate.onLanguageChanged	            
                                objectName: "ledcolor"
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                        ledcontainer.setVisible(false)
                                    else
                                        ledcontainer.setVisible(true)
                                }
                              selectedIndex: 0
                                Option {
                                    text: qsTr("None") + Retranslate.onLanguageChanged	            
                                    imageSource: "asset:///images/ic_led_none.png"
                                }
                                Option {
                                    text: "Blue"
                                    imageSource: "asset:///images/ic_led_blue.png"
                                }
                                Option {
                                    text: "Cyan"
                                    imageSource: "asset:///images/ic_led_cyan.png"
                                }
                                Option {
                                    text: "Green"
                                    imageSource: "asset:///images/ic_led_green.png"
                                }
                                Option {
                                    text: "Magenta"
                                    imageSource: "asset:///images/ic_led_magenta.png"
                                }
                                Option {
                                    text: "Red"
                                    imageSource: "asset:///images/ic_led_red.png"
                                }
                                Option {
                                    text: "White"
                                    imageSource: "asset:///images/ic_led_white.png"
                                } 
                                Option {
                                    text: "Yellow"
                                    imageSource: "asset:///images/ic_led_yellow.png"
                                } // 8
                                
                                // same coolor
                                Option {
                                    text: "Blue & Blue"
                                    imageSource: "asset:///images/ic_led_blue_blue.png"
                                }
                                Option {
                                    text: "Cyan & Cyan"
                                    imageSource: "asset:///images/ic_led_cyan_cyan.png"
                                }
                                Option {
                                    text: "Green & Green"
                                    imageSource: "asset:///images/ic_led_green_green.png"
                                }
                                Option {
                                    text: "Magenta & Magenta"
                                    imageSource: "asset:///images/ic_led_mag_mag.png"
                                }
                                Option {
                                    text: "Red & Red"
                                    imageSource: "asset:///images/ic_led_red_red.png"
                                }
                                Option {
                                    text: "White & White"
                                    imageSource: "asset:///images/ic_led_white_white.png"
                                }
                                
                                Option {
                                    text: "Yellow & Yellow"
                                    imageSource: "asset:///images/ic_led_yellow_yellow.png"
                                } // 15
                                
                                // 2 color
                                
                                Option {
                                    text: "Blue & Green"
                                    imageSource: "asset:///images/ic_led_blue_green.png"
                                }
                                Option {
                                    text: "Blue & Yellow"
                                    imageSource: "asset:///images/ic_led_blue_yellow.png"
                                }
                                Option {
                                    text: "Cyan & Magenta"
                                    imageSource: "asset:///images/ic_led_cyan_mag.png"
                                }
                                Option {
                                    text: "Green & Magenta"
                                    imageSource: "asset:///images/ic_led_green_mag.png"
                                }
                                Option {
                                    text: "Green & Red"
                                    imageSource: "asset:///images/ic_led_green_red.png"
                                }
                                Option {
                                    text: "Green & White"
                                    imageSource: "asset:///images/ic_led_green_white.png"
                                }
                                Option {
                                    text: "Green & Yellow"
                                    imageSource: "asset:///images/ic_led_green_yellow.png"
                                }
                                
                                Option {
                                    text: "Magenta & Blue"
                                    imageSource: "asset:///images/ic_led_mag_blue.png"
                                }
                                Option {
                                    text: "Magenta & Yellow"
                                    imageSource: "asset:///images/ic_led_mag_yellow.png"
                                }
                                
                                Option {
                                    text: "Red & Blue"
                                    imageSource: "asset:///images/ic_led_red_blue.png"
                                }
                                Option {
                                    text: "Red & White"
                                    imageSource: "asset:///images/ic_led_red_white.png"
                                }
                                Option {
                                    text: "Red & Yellow"
                                    imageSource: "asset:///images/ic_led_red_yellow.png"
                                } // 27
                                
                                // 3 colors
                                Option {
                                    text: "Green & Blue & Cyan"
                                    imageSource: "asset:///images/ic_led_green_blue_cyn.png"
                                }
                                Option {
                                    text: "Green & Blue & Magenta"
                                    imageSource: "asset:///images/ic_led_green_blue_mag.png"
                                }
                                Option {
                                    text: "Green & Blue & Red"
                                    imageSource: "asset:///images/ic_led_green_blue_red.png"
                                }
                                Option {
                                    text: "Green & Blue & White"
                                    imageSource: "asset:///images/ic_led_green_blue_white.png"
                                }
                                Option {
                                    text: "Green & Blue & Yellow"
                                    imageSource: "asset:///images/ic_led_green_blue_yellow.png"
                                }
                                
                                // green green xxxx
                                Option {
                                    text: "Green & Green & Blue"
                                    imageSource: "asset:///images/ic_led_green_green_blue.png"
                                }
                                Option {
                                    text: "Green & Green & Cyan"
                                    imageSource: "asset:///images/ic_led_green_green_cyn.png"
                                }
                                Option {
                                    text: "Green & Green & Magenta"
                                    imageSource: "asset:///images/ic_led_green_green_mag.png"
                                }
                                Option {
                                    text: "Green & Green & Red"
                                    imageSource: "asset:///images/ic_led_green_green_red.png"
                                }
                                Option {
                                    text: "Green & Green & White"
                                    imageSource: "asset:///images/ic_led_green_green_white.png"
                                }
                                Option {
                                    text: "Green & Green & Yellow"
                                    imageSource: "asset:///images/ic_led_green_green_yellow.png"
                                }
                                
                                // blue white xxxx
                                Option {
                                    text: "Blue & White & Cyan"
                                    imageSource: "asset:///images/ic_led_blue_white_cyn.png"
                                }
                                Option {
                                    text: "Blue & White & Green"
                                    imageSource: "asset:///images/ic_led_blue_white_green.png"
                                }
                                Option {
                                    text: "Blue & White & Magenta"
                                    imageSource: "asset:///images/ic_led_blue_white_mag.png"
                                }
                                Option {
                                    text: "Blue & White & Red"
                                    imageSource: "asset:///images/ic_led_blue_white_red.png"
                                }
                                Option {
                                    text: "Blue & White & White"
                                    imageSource: "asset:///images/ic_led_blue_white_white.png"
                                }
                                Option {
                                    text: "Blue & White & Yellow"
                                    imageSource: "asset:///images/ic_led_blue_white_yellow.png"
                                }
                                
                                // red, blue, xxx
                                Option {
                                    text: "Red & Blue & Blue"
                                    imageSource: "asset:///images/ic_led_red_blue_blue.png"
                                }
                                Option {
                                    text: "Red & Blue & Cyan"
                                    imageSource: "asset:///images/ic_led_red_blue_cyn.png"
                                }
                                Option {
                                    text: "Red & Blue & Green"
                                    imageSource: "asset:///images/ic_led_red_blue_green.png"
                                }
                                Option {
                                    text: "Red & Blue & Magenta"
                                    imageSource: "asset:///images/ic_led_red_blue_mag.png"
                                }
                                Option {
                                    text: "Red & Blue & Red"
                                    imageSource: "asset:///images/ic_led_red_blue_red.png"
                                }
                                Option {
                                    text: "Red & Blue & White"
                                    imageSource: "asset:///images/ic_led_red_blue_white.png"
                                }
                                Option {
                                    text: "Red & Blue & Yellow"
                                    imageSource: "asset:///images/ic_led_red_blue_yellow.png"
                                }
                            
                            }
                            
                            Container
                            {
                                id: ledcontainer
                                DropDown {
                                    title: qsTr("Blink Duration") + Retranslate.onLanguageChanged	            
                                    objectName: "ledduration"
                                    selectedIndex: 4
                                    Option {
                                        text: qsTr("Forever") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("10 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("50 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("100 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("500 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("1,000 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("5,000 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("10,000 Times") + Retranslate.onLanguageChanged	            
                                    }
                                }
                                
                            }
                            
                            Container
                            {
                                id: vib_count_container
                                DropDown {
                                    title: qsTr("Vibrate Count") + Retranslate.onLanguageChanged	            
                                    objectName: "vib_count"
                                    selectedIndex: 1
                                    Option {
                                        text: qsTr("1 Time") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("2 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("3 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("4 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("5 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("6 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("7 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("8 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("9 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("10 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("11 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("12 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("13 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("14 Times") + Retranslate.onLanguageChanged	            
                                    }
                                    Option {
                                        text: qsTr("15 Times") + Retranslate.onLanguageChanged	            
                                    }
                                
                                }

                                Container {
                                    id: container_always_vib
                                    layout: DockLayout {
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    topPadding: 10.0
                                    Label {
                                        text: qsTr("Always Vibrate") + Retranslate.onLanguageChanged	            
                                        horizontalAlignment: HorizontalAlignment.Left
                                    }
                                    ToggleButton {
                                        objectName: "tb_always_vibrate"
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                }
                                Label {
                                    id: lb_vib
                                    text: qsTr("Set Always Vibrate to bypass System Sound Notification settings.")
                                    multiline: true
                                    textStyle.fontStyle: FontStyle.Italic
                                }
                                
                            }
            
                            Header {
                                title: qsTr("Flash Light LED When Face Down") + Retranslate.onLanguageChanged	            
                            }
                            
                            DropDown {
                                title: qsTr("Blink Speed") + Retranslate.onLanguageChanged	            
                                objectName: "flash_led_blinking_speed"
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 1)
                                    {
                                        flash_custom_pattern.setVisible(true)
                                        flash_duration.setVisible(true)
                                    }
                                    else
                                        if (selectedIndex == 0)
                                        {
                                        flash_custom_pattern.setVisible(false)
                                        flash_duration.setVisible(false)
                                        }
                                        else
                                        {
                                            flash_custom_pattern.setVisible(false)
                                            flash_duration.setVisible(true)
                                        
                                        }
                                }
                                selectedIndex: 1
                                Option {
                                    text: qsTr("Disabled") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Custom Pattern")
                                }
                                Option {
                                    text: "100 ms"
                                }
                                Option {
                                    text: "200 ms"
                                }
                                Option {
                                    text: "300 ms"
                                }
                                Option {
                                    text: "400 ms"
                                }
                                Option {
                                    text: "500 ms"
                                }
                                Option {
                                    text: "600 ms"
                                }
                                Option {
                                    text: "700 ms"
                                }
                                Option {
                                    text: "800 ms"
                                }
                                Option {
                                    text: "900 ms"
                                }
                                
                                Option {
                                    text: qsTr("1 Second") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("2 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("3 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("4 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("5 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("6 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("7 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("8 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("9 Seconds") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("10 Seconds") + Retranslate.onLanguageChanged	            
                                }
                            
                            }
                            
                            DropDown {
                                id : flash_duration
                                title: qsTr("Blink Duration") + Retranslate.onLanguageChanged	            
                                objectName: "flash_ledduration"
                                selectedIndex: 1
                                Option {
                                    text: qsTr("5 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("10 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("25 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("50 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("75 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("100 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("150 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("200 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("250 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("300 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("350 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("400 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("450 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("500 Times") + Retranslate.onLanguageChanged	            
                                }
                            }
                            
                            Container {
                                id: flash_custom_pattern
                                
                                
                                Header {
                                    title: qsTr("Flash Light Pattern (in Milliseconds)") + Retranslate.onLanguageChanged	            
                                }
                                
                                Container {
                                    topPadding: 10
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    }
                                    TextField {
                                        text: "100"
                                        objectName: "flashled_custom1"
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    }
                                    TextField {
                                        text: "500"
                                        objectName: "flashled_custom2"
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    }
                                    TextField {
                                        text: "100"
                                        objectName: "flashled_custom3"
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    }
                                }
                                Container {
                                    topPadding: 10
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    }
                                    TextField {
                                        text: "500"
                                        objectName: "flashled_custom4"
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    }
                                    TextField {
                                        text: "100"
                                        objectName: "flashled_custom5"
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    }
                                    TextField {
                                        text: "500"
                                        objectName: "flashled_custom6"
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    }
                                }
                            
                            }
                            Label {
                                text: qsTr("This controls the Flash Light blinking rate for all the messsages when you flip the device over.") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.XSmall
                            }
                        }
                    }
        
                
                } // led container
    
                Container
                {
                    id: container_ringtone
                    
                    leftPadding: 15
                    rightPadding: 15
                    topPadding: 5

                    visible: false
                    ScrollView {
                        Container {
                            DropDown {
                                objectName: "ringtoneDropdown"
                                
                                title: qsTr("Ringtone") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                onSelectedIndexChanged: {
                                    file_info.setText(" ");
                                    _Led.reset();
                                    if (selectedIndex == 0)
                                    {
                                        select_button.setText(qsTr("Browse for a ringtone...")+ Retranslate.onLanguageChanged)
                                        foldercontainer.setVisible(true)                       
                                    
                                    }
                                    // none
                                    else
                                        if (selectedIndex == 1)
                                        {
                                        foldercontainer.setVisible(false)                                                   
                                        }
                                        else
                                        {
                                          //  _Led.delayPlaySound(selectedIndex-2);
                                            foldercontainer.setVisible(false)                       
                                        }
                                }
                                selectedIndex: 1
                                Option {
                                    value: "Browse"
                                    text: qsTr("Browse Ringtone...") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "None"
                                    text: qsTr("None") + Retranslate.onLanguageChanged	            
                                }
                                
                                Option {
                                    value: "DaDaDa"
                                    text: "DaDaDa"
                                }
                                Option {
                                    value: "Galaxy"
                                    text: "Galaxy"
                                }
                                Option {
                                    value: "Nexun"
                                    text: "Nexun"
                                }
                                
                                Option {
                                    value: "Notify"
                                    text: "Notify"
                                }
                                
                                Option {
                                    value: "Nudge"
                                    text: "Nudge"
                                }
                                
                                Option {
                                    value: "Pixie"
                                    text: "Pixie"
                                }
                                
                                Option {
                                    value: "Soft Ding"
                                    text: "Soft Ding"
                                }
                                Option {
                                    value: "Sonar"
                                    text: "Sonar"
                                }
                                Option {
                                    value: "Spirit"
                                    text: "Spirit"
                                }
                                Option {
                                    value: "Sword"
                                    text: "Sword"
                                }
                                Option {
                                    value: "Tokyo Drift"
                                    text: "Tokyo Drift"
                                }
                                Option {
                                    value: "Vespa Horn"
                                    text: "Vespa Horn"
                                }
                                
                                Option {
                                    value: "Fantastic"
                                    text: "Fantastic"
                                }
                                Option {
                                    value: "Lightspeed"
                                    text: "Lightspeed"
                                }
                                Option {
                                    value: "Metal Alert"
                                    text: "Mental Alert"
                                }
                                Option {
                                    value: "Stero Love"
                                    text: "Stero Love"
                                }
                                
                                Option {
                                    value: "Cobalt"
                                    text: "Cobalt"
                                }
                                
                                Option {
                                    value: "moonbean"
                                    text: "Moon Bean"
                                }
                                
                                Option {
                                    value: "onthehunt"
                                    text: "On The Hunt"
                                }
                                
                                Option {
                                    value: "pizzicato"
                                    text: "Pizzicato"
                                }
                                
                                Option {
                                    value: "Sirius"
                                    text: "Sirius"
                                }
                                
                                Option {
                                    value: "Tweet"
                                    text: "Tweeter"
                                }
                                
                                Option {
                                    value: "Xenon"
                                    text: "Xenon"
                                }
                                
                                Option {
                                    value: "BB"
                                    text: "BB"
                                }
                                Option {
                                    value: "Echo"
                                    text: "Echo"
                                }
                                Option {
                                    value: "Horn"
                                    text: "Horn"
                                }
                                Option {
                                    value: "Message"
                                    text: "Message"
                                }
                                Option {
                                    value: "Ping"
                                    text: "Ping"
                                }
                                Option {
                                    value: "Pop"
                                    text: "Pop"
                                }
                                Option {
                                    value: "Windows"
                                    text: "Windows"
                                }
                                Option {
                                    value: "Creative"
                                    text: "Creative"
                                }
                                Option {
                                    value: "FIFA"
                                    text: "FIFA"
                                }
                                Option {
                                    value: "Saber"
                                    text: "Saber"
                                }
                                Option {
                                    value: "Perfect"
                                    text: "Perfect"
                                }
                                Option {
                                    value: "Sweet"
                                    text: "Sweet"
                                }
                                Option {
                                    value: "Twitter"
                                    text: "Twitter"
                                }
                            
                            
                            }
                            
                            Container {
                                layout: StackLayout {
                                
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                id: foldercontainer
                                
                                Button {
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    id: select_button
                                    text: qsTr("Browse for a ringtone...") + Retranslate.onLanguageChanged	            
                                    onClicked: {
                                        filePicker.open();
                                    }
                                    objectName: "folder_button"
                                
                                }
                                TextField {
                                    id: file_info
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    text: " "
                                    textStyle.fontSize: FontSize.Small
                                    objectName: "folder_label"
                                    enabled: false
                                
                                }
                            
                            }
                            
                            Divider {
                            
                            }
                            
                            DropDown {
                                horizontalAlignment: HorizontalAlignment.Fill
                                title: qsTr("Match Phone Number") + Retranslate.onLanguageChanged	            
                                objectName: "dd_match_phone"
                                selectedIndex: 1
                                Option {
                                    text: qsTr("All Numbers") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Last 10 Digits") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Last 9 Digits") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Last 8 Digits") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Last 7 Digits") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Last 6 Digits") + Retranslate.onLanguageChanged	            
                                }
                            }
                            
                            DropDown {
                                id: repeattonedropdown
                                objectName: "repeatToneDropdown"
                                horizontalAlignment: HorizontalAlignment.Fill
                                
                                title: qsTr("Repeat Tone") + Retranslate.onLanguageChanged	            
                                
                                selectedIndex: 0
                                Option {
                                    value: "none"
                                    text: qsTr("No Repeat") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("1 Time") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("2 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("3 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("4 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("5 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("6 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("7 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("8 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("9 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("10 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "11 Times"
                                    text: qsTr("11 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "12 Times"
                                    text: qsTr("12 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "13 Times"
                                    text: qsTr("13 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "14 Times"
                                    text: qsTr("14 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "15 Times"
                                    text: qsTr("15 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "16 Times"
                                    text: qsTr("16 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "17 Times"
                                    text: qsTr("17 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "18 Times"
                                    text: qsTr("18 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "19 Times"
                                    text: qsTr("19 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "20 Times"
                                    text: qsTr("20 Times") + Retranslate.onLanguageChanged	            
                                }
                                
                                Option {
                                    value: "21 Times"
                                    text: qsTr("21 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "22 Times"
                                    text: qsTr("22 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "23 Times"
                                    text: qsTr("23 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "24 Times"
                                    text: qsTr("24 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "25 Times"
                                    text: qsTr("25 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "26 Times"
                                    text: qsTr("26 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "27 Times"
                                    text: qsTr("27 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "28 Times"
                                    text: qsTr("28 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "29 Times"
                                    text: qsTr("29 Times") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "30 Times"
                                    text: qsTr("30 Times") + Retranslate.onLanguageChanged	            
                                }
                            }
                            Divider {
                                
                            }

                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                Label {
                                    text: qsTr("Use Notification Setting Volume") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_use_notification_vol"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
                            Label {
                                text: qsTr("If this is enabled Power Tools will use the volumes in the Settings->Notification instead of the Main Volume when playing the ringtone. VIP will override this setting.")
                                multiline: true
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.Small
                            }

                        }
                
                    }
    
                
                } // ringtone
            
            
                Container {
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Fill
                    //                   preferredWidth: 640
                    preferredHeight: 680
//                    background: Color.create(0.0, 0.0, 0.0, 0.5)
                    background: Color.DarkGray
                    id: select_bbm_contact
                    visible: false
                    objectName: "container_link_bbm"
                    Container {
                        
                        layout: DockLayout {
                        }
                        leftPadding: 10
                        rightPadding: 10
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("Select a BBM Contact") + Retranslate.onLanguageChanged	            
                            textStyle.fontSize: FontSize.Large
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Left
                            textStyle.color: Color.White
                        }
                        ImageButton {
                            horizontalAlignment: HorizontalAlignment.Right
                            defaultImageSource: "asset:///images/ic_close.png"
                            onClicked: {
                                save_action.setEnabled(true)
                                cancel_action.setEnabled(true)
                                
                                select_bbm_contact.setVisible(false)
//                                main_container.setVisible(true)
                            }
                        }
                    }
                    Divider {
                    
                    }
                    DropDown {
                        title: qsTr("Contact") + Retranslate.onLanguageChanged	            
                        objectName: "dd_bbmcontact"
                        onSelectedIndexChanged: {
                            save_action.setEnabled(true)
                            cancel_action.setEnabled(true)
                            select_bbm_contact.setVisible(false)
                           // main_container.setVisible(true)
                            _Led.link_bbm_contact(selectedValue);
                        }
                    }
                
                } // select bbm contact
            
            
            
            } //  container
         
         
         
         
        } // main
    } // page
  
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.wav", "*.mp3", "*.amr", "*.aac", "*.m4a", "*.ogg" ]
            title: qsTr("Select a Ringtone") + Retranslate.onLanguageChanged	            
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/music"]
            onFileSelected: {
                
                
                _Led.manipulateFile(0, selectedFiles);
            }
        }
    
    ]

} // sheet
