import bb.cascades 1.2
Sheet {
    

TabbedPane {
    showTabsOnActionBar: true
    Tab {
        title: "Apps"
        imageSource: "asset:///images/ic_apps.png"

        
        Page {
            id: page1
            titleBar: TitleBar {
                title: qsTr("Applications") + Retranslate.onLanguageChanged	            
                visibility: ChromeVisibility.Visible
                acceptAction: ActionItem {
                    title: qsTr("Close") + Retranslate.onLanguageChanged	            
                    onTriggered: {
                        _ManageLED.closeWindow()
                    }
                
                }
            } // title


            actions: [
                ActionItem {
                    title: qsTr("Help") + Retranslate.onLanguageChanged	            
                    imageSource: "asset:///images/ic_help.png"
                    onTriggered: {
                        _ManageLED.help()
                    }
                }
            ]

            Container
            {
                layout: DockLayout {
                }
                
                horizontalAlignment: HorizontalAlignment.Fill
                
                ImageView 
                {
                    imageSource: "asset:///images/sheet_background.jpg"
                        objectName: "img_background"
                        scalingMethod: ScalingMethod.AspectFill
                        verticalAlignment: VerticalAlignment.Fill
                        horizontalAlignment: HorizontalAlignment.Fill
                    }
                
                ListView {
                    id: listView
                    dataModel: _ManageLED.model_accounts
                    
                    listItemComponents: [
                        ListItemComponent {
                            type: "item"
                            StandardListItem {
                                title: ListItemData.title
                                description: ListItemData.description
                                status: ListItemData.status
                                imageSource: ListItemData.image
                                imageSpaceReserved: false                            
                            }
                        }
                    ] // listItem
                    
                    onTriggered: {
                        clearSelection()
                        _ManageLED.selectedAccountsItem(indexPath)
                    }
                    
                    objectName: "itemListAccount"
                    leadingVisualSnapThreshold: 0.6            
                } // listview
            
            } // container
        
        
            
        } // page
    }
    
    
    Tab {
        title: "BBM"
        imageSource: "asset:///images/ic_bbm.png"
            Page {
            id: page2
            titleBar: TitleBar {
                title: qsTr("BBM Contacts") + Retranslate.onLanguageChanged	            
                visibility: ChromeVisibility.Visible
                acceptAction: ActionItem {
                    title: qsTr("Close") + Retranslate.onLanguageChanged	            
                    onTriggered: {
                        _ManageLED.closeWindow()
                    }
                
                }
            } // title

            actions: [
                ActionItem {
                    title: qsTr("Help") + Retranslate.onLanguageChanged	            
                    imageSource: "asset:///images/ic_help.png"
                    onTriggered: {
                        _ManageLED.help()
                    }
                }
            ]

            Container
            {
                layout: DockLayout {
                }
                
                horizontalAlignment: HorizontalAlignment.Fill
                
                ImageView 
                {
                    imageSource: "asset:///images/sheet_background.jpg"
                        objectName: "img_background2"
                        scalingMethod: ScalingMethod.AspectFill
                        verticalAlignment: VerticalAlignment.Fill
                        horizontalAlignment: HorizontalAlignment.Fill
                    }
                
                ListView {
                    dataModel: _ManageLED.model_bbm
                    
                    listItemComponents: [
                        ListItemComponent {
                            type: "item"
                            StandardListItem {
                                title: ListItemData.title
                                description: ListItemData.description
                                status: ListItemData.status
                                imageSource: ListItemData.image
                                imageSpaceReserved: false                            
                            }
                        }
                    ] // listItem
                    
                    onTriggered: {
                        clearSelection()
                        _ManageLED.selectedBBMItem(indexPath)
                    }
                    
                    objectName: "itemListBBM"
                    leadingVisualSnapThreshold: 0.6            
                } // listview
            
            } // container
        

        } // page
    }
       
    
    Tab {
        title: qsTr("Messages") + Retranslate.onLanguageChanged	            
        imageSource: "asset:///images/ic_email.png"
        Page {
            id: page3

            titleBar: TitleBar {
                id: addBar
                title: qsTr("Messages") + Retranslate.onLanguageChanged	            
                visibility: ChromeVisibility.Visible
                dismissAction: ActionItem {
                    title: qsTr("New") + Retranslate.onLanguageChanged	            
                    onTriggered: {
                        _ManageLED.newLED(-1, "", "", 0)
                    }
                
                }

                acceptAction: ActionItem {
                    title: qsTr("Close") + Retranslate.onLanguageChanged	            
                    onTriggered: {
                        _ManageLED.closeWindow()
                    }
                
                }
            }

            actions: [
                ActionItem {
                    title: qsTr("New LED") + Retranslate.onLanguageChanged	            
                    imageSource: "asset:///images/ic_add.png"
                    onTriggered: {
                        _ManageLED.newLED(-1, "", "", 0)
                    }
                },
                
                ActionItem {
                    title: qsTr("Help") + Retranslate.onLanguageChanged	            
                    imageSource: "asset:///images/ic_help.png"
                    onTriggered: {
                        _ManageLED.help()
                    }
                }
            ]

            Container
            {
                layout: DockLayout {
                }
                
                horizontalAlignment: HorizontalAlignment.Fill
                
                ImageView 
                {
                    objectName: "img_background3"
                    imageSource: "asset:///images/sheet_background.jpg"
                    scalingMethod: ScalingMethod.AspectFill
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                }
               
                ListView {
                    dataModel: _ManageLED.model
                    
                    listItemComponents: [
                        ListItemComponent {
                            type: "item"
                            StandardListItem {
                                title: ListItemData.title
                                description: ListItemData.description
                                status: ListItemData.status
                                imageSource: ListItemData.image
                                imageSpaceReserved: false                            
                            }
                        }
                    ] // listItem
                    
                    onTriggered: {
                        clearSelection()
                        _ManageLED.selectedItem(indexPath)
                    }
                    
                    objectName: "itemList"
                    leadingVisualSnapThreshold: 0.6            
                } // listview
            
            
            
            } // container
        
        }
    } // message tab


    Tab {
        title: qsTr("Phone") + Retranslate.onLanguageChanged	            
        imageSource: "asset:///images/ca_phone_incoming.png"
        Page {
            id: page4
            
            titleBar: TitleBar {
                id: addBar4
                title: qsTr("Phone Calls") + Retranslate.onLanguageChanged	            
                visibility: ChromeVisibility.Visible
                dismissAction: ActionItem {
                    title: qsTr("New") + Retranslate.onLanguageChanged	            
                    onTriggered: {
                        _ManageLED.newLED(-2, "", "", 3)
                    }
                
                }

                acceptAction: ActionItem {
                    title: qsTr("Close") + Retranslate.onLanguageChanged	            
                    onTriggered: {
                        _ManageLED.closeWindow()
                    }
                
                }
            }
            
            actions: [
                ActionItem {
                    title: qsTr("New LED") + Retranslate.onLanguageChanged	            
                    imageSource: "asset:///images/ic_add.png"
                    onTriggered: {
                        _ManageLED.newLED(-2, "", "", 3)
                    }
                },
                
                ActionItem {
                    title: qsTr("Help") + Retranslate.onLanguageChanged	            
                    imageSource: "asset:///images/ic_help.png"
                    onTriggered: {
                        _ManageLED.help()
                    }
                }
            ]
            
            Container
            {
                layout: DockLayout {
                }
                
                horizontalAlignment: HorizontalAlignment.Fill
                
                ImageView 
                {
                    objectName: "img_background4"
                    imageSource: "asset:///images/sheet_background.jpg"
                    scalingMethod: ScalingMethod.AspectFill
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                }
                
                ListView {
                    dataModel: _ManageLED.model_phone
                    
                    listItemComponents: [
                        ListItemComponent {
                            type: "item"
                            StandardListItem {
                                title: ListItemData.title
                                description: ListItemData.description
                                status: ListItemData.status
                                imageSource: ListItemData.image
                                imageSpaceReserved: false                            
                            }
                        }
                    ] // listItem
                    
                    onTriggered: {
                        clearSelection()
                        _ManageLED.selectedPhoneItem(indexPath)
                    }
                    
                    objectName: "itemPhoneList"
                    leadingVisualSnapThreshold: 0.6            
                } // listview
            
            
            
            } // container
        
        }
    } // message tab

    
}
}