import bb.cascades 1.0
import bb.cascades.pickers 1.0

Sheet {
    
    Page {
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Alarm Setting") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Alarm.cancelNewAlarmItem()
                }
            }
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Alarm.saveNewAlarmItem(false)
                }
            }
        
        }// titleBar
        

        actions: [
            

            ActionItem {
                id: activate_alarm
                title: qsTr("Start") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_notification2.png"
                onTriggered: {
                    _Alarm.activateAlarm()
                }
                objectName: "activate_action"
                enabled: false
            },
            
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _Alarm.help()
                }
            },
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _Alarm.deleteItem()
                }
                objectName: "delete_action"
            }
        
        ]
        objectName: "page"
        ScrollView {
            Container {
                layout: StackLayout {
                }
                leftPadding: 10.0
                bottomPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                
                Container
                {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Disable Alarm")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: tb_disabled
                        objectName: "tb_disable_alarm"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            main_container.setVisible(!checked)
                        }
                    }
                }

                Divider {
                    
                }
                Container
                {
                    visible: !tb_disabled.checked
                    id: main_container
                    DropDown {
                        objectName: "typeDropdown"
                        
                        title: qsTr("Alarm Sound") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Fill
                        onSelectedIndexChanged: {
                            file_info.setText("");
                            _Alarm.reset();
                            if (selectedIndex == 0)
                            {
                                changetype.setVisible(false)	                    
                                select_button.setText(qsTr("Browse for a ringtone...")+ Retranslate.onLanguageChanged	)
                                foldercontainer.setVisible(true)                       
                                
                            }
    /*                        else
                            if (selectedIndex == 1)
                            {
                                changetype.setVisible(true)	                    
                                select_button.setText("Browse for a folder...")
                                foldercontainer.setVisible(true)                       
                            }
    */                        else 
                            {
                                _Alarm.delayPlaySound(selectedIndex-1);
                                changetype.setVisible(false)     
                                foldercontainer.setVisible(false)                       
                            }
                        }
                        selectedIndex: 0
                        Option {
                            value: "File"
                            text: qsTr("File") + Retranslate.onLanguageChanged	            
                            description: qsTr("Use a file as ringtone.") + Retranslate.onLanguageChanged	            
    
                        }
    /*                    Option {
                            value: "Folder"
                            text: "Folder"
                            description: "Select a file from a folder as ringtone."
                        }
    */
                        Option {
                            value: "buzzer"
                            text: "Buzzer Alarm"
                        }
                        Option {
                            value: "Alarm 2"
                            text: "Chimes"
                        }
                        Option {
                            value: "Alarm 3"
                            text: "Morning"
                        }
                        
                        Option {
                            value: "Alarm 5"
                            text: "Funky"
                        }
                        
                        Option {
                            value: "Alarm 6"
                            text: "Rain Drops"
                        }
                        
                        Option {
                            value: "Alarm 7"
                            text: "Classic Beat"
                        }
                        
                        Option {
                            value: "Alarm 8"
                            text: "Sweet"
                        }
                        Option {
                            value: "Alarm 9"
                            text: "Violin"
                        }
                    }
    
    
                    
                    DropDown {
                        objectName: "PlaytypeDropdown"
                        id: changetype
                        title: qsTr("Play Type") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Fill
                        selectedIndex: 0
                        visible: false
                        Option {
                            value: "Random"
    
                            text: qsTr("Random") + Retranslate.onLanguageChanged	            
                            description: qsTr("Select a random ringtone.") + Retranslate.onLanguageChanged	            
    
                        }
                        Option {
                            value: "Sequential"
    
                            text: qsTr("Sequential") + Retranslate.onLanguageChanged	            
                            description: qsTr("Select a ringtone in sequence one after another.") + Retranslate.onLanguageChanged	            
    }
                    }
                    
                    Container {
                        layout: StackLayout {
                        
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        id: foldercontainer
                        
                        Button {
                            horizontalAlignment: HorizontalAlignment.Fill
                            id: select_button
                            text: qsTr("Browse for a ringtone...") + Retranslate.onLanguageChanged	            
                            onClicked: {
                                filePicker.open();
                            }
                            objectName: "folder_button"
                        
                        }
                        TextField {
                            id: file_info
                            horizontalAlignment: HorizontalAlignment.Fill
                            text: qsTr("ringtone") + Retranslate.onLanguageChanged	            
                            textStyle.fontSize: FontSize.Small
                            objectName: "folder_label"
                            enabled: false
                        
                        }
                    
                    }
                    
                    Divider {
                    
                    }
                    
                    DropDown {
                        id: repeatalarmdropdown
                        objectName: "repeatDropdown"
                        horizontalAlignment: HorizontalAlignment.Fill
                        
                        title: qsTr("Recurrence") + Retranslate.onLanguageChanged	            
                        
                        Option {
                            value: "1 Minute"
    
                            text: qsTr("Every Minute") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every minute from now.") + Retranslate.onLanguageChanged	            
    
                        }
                        Option {
                            value: "5 Minutes"
    
                            text: qsTr("Every 5 Minutes") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 5 minutes from now.") + Retranslate.onLanguageChanged	            
    
                        }
                        Option {
                            value: "15 Minutes"
                            text: qsTr("Every 15 Minutes") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 15 minutes from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "30 Minutes"
                            text: qsTr("Every 30 Minutes") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 30 minutes from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "45 Minutes"
                            text: qsTr("Every 45 Minutes") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 45 minutes from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "1 Hour"
                            text: qsTr("Every Hour") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every hour from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "2 Hours"
                            text: qsTr("Every 2 Hours") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 2 hours from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "3 Hours"
                            text: qsTr("Every 3 Hours") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 3 hours from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "4 Hours"
                            text: qsTr("Every 4 Hours") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 4 hours from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "5 Hours"
                            text: qsTr("Every 5 Hours") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 5 hours from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "6 Hours"
                            text: qsTr("Every 6 Hours") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 6 hours from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "7 Hours"
                            text: qsTr("Every 7 Hours") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 7 hours from now.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "8 Hours"
                            text: qsTr("Every 8 Hours") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play every 8 hours from now.") + Retranslate.onLanguageChanged	            
                        }
    
    // new                    
                        Option {
                            value: "Everyday"
    
                            text: qsTr("Everyday") + Retranslate.onLanguageChanged	            
                            description: qsTr("Activate everyday.") + Retranslate.onLanguageChanged	            
                        
                        }
                        Option {
                            value: "Weekdays"
    
                            text: qsTr("Weekdays") + Retranslate.onLanguageChanged	            
                            description: qsTr("Activate Monday to Friday.") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "Weekly"
    
                            text: qsTr("Weekly") + Retranslate.onLanguageChanged	            
                            description: qsTr("Activate every week.") + Retranslate.onLanguageChanged	            
    
                        
                        }
                        
                        // 16                    
                        Option {
                            value: "On 15 minutes"
    
                            text: qsTr("On the 15 minutes") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play when the clock is on the 15 minutes.") + Retranslate.onLanguageChanged	            
    
                        }
                        
                        Option {
                            value: "On 30 minutes"
                            text: qsTr("On the 30 minutes") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play when the clock is on the 30 minutes.") + Retranslate.onLanguageChanged	            
    
                        }
                        
                        Option {
                            value: "On 45 minutes"
                            text: qsTr("On the 45 minutes") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play when the clock is on the 45 minutes.") + Retranslate.onLanguageChanged	            
                        }
                        
                        Option {
                            value: "On the hour"
    
                            text: qsTr("On the hour") + Retranslate.onLanguageChanged	            
                            description: qsTr("Play when the clock is on the hour.") + Retranslate.onLanguageChanged	            
    
                        }
                        
                        onSelectedValueChanged: {
                            // on the hour
                            if (selectedIndex > 15 )
                            {
                                start_time.setVisible(false);
                                weekdays1.setVisible(false);
                                weekdays2.setVisible(false);    
                                on_start_hour.setVisible(true)                        
                                on_end_hour.setVisible(true)       
                                activate_alarm.setEnabled(true)                 
                            }
                            else
                            if (selectedIndex == 15 )
                            {
                                start_time.setVisible(true);
                                weekdays1.setVisible(true);
                                weekdays2.setVisible(true);
                                on_start_hour.setVisible(false)                        
                                activate_alarm.setEnabled(false)                 
                                on_end_hour.setVisible(false)                        
                            }
                            else
                            {
                                activate_alarm.setEnabled(false)                 
                                on_start_hour.setVisible(false)                        
                                on_end_hour.setVisible(false)                        
                                if (selectedIndex == 13  || selectedIndex == 14 )
                                {
                                    start_time.setVisible(true);
                                    weekdays1.setVisible(false);
                                    weekdays2.setVisible(false);
                                }
                                else 
                                {
                                    start_time.setVisible(false);
                                    weekdays1.setVisible(false);
                                    weekdays2.setVisible(false);
                                }
                            }
                        }
                        selectedIndex: 0
                    } // DropDown
                    
    
                    DropDown {
                        id: on_start_hour
                        objectName: "on_start_hour"
                        horizontalAlignment: HorizontalAlignment.Fill
                        
                        title: qsTr("Start Hour") + Retranslate.onLanguageChanged	            
                        
                        selectedIndex: 0
                        Option {
                            text: "12 AM"
                        }
                        Option {
                            text: "1 AM"
                        }
                        Option {
                            text: "2 AM"
                        }
                        Option {
                            text: "3 AM"
                        }
                        Option {
                            text: "4 AM"
                        }
                        Option {
                            text: "5 AM"
                        }
                        Option {
                            text: "6 AM"
                        }
                        Option {
                            text: "7 AM"
                        }
                        Option {
                            text: "8 AM"
                        }
                        Option {
                            text: "9 AM"
                        }
                        Option {
                            text: "10 AM"
                        }
                        Option {
                            text: "11 AM"
                        }
    
                        Option {
                            text: "12 PM"
                        }
                        Option {
                            text: "1 PM"
                        }
                        Option {
                            text: "2 PM"
                        }
                        Option {
                            text: "3 PM"
                        }
                        Option {
                            text: "4 PM"
                        }
                        Option {
                            text: "5 PM"
                        }
                        Option {
                            text: "6 PM"
                        }
                        Option {
                            text: "7 PM"
                        }
                        Option {
                            text: "8 PM"
                        }
                        Option {
                            text: "9 PM"
                        }
                        Option {
                            text: "10 PM"
                        }
                        Option {
                            text: "11 PM"
                        }
    
                    }
    
                    DropDown {
                        id: on_end_hour
                        objectName: "on_end_hour"
                        horizontalAlignment: HorizontalAlignment.Fill
                        
                        title: qsTr("End Hour") + Retranslate.onLanguageChanged	            
    
                        selectedIndex: 0
                        Option {
                            text: "12 AM"
                        }
                        Option {
                            text: "1 AM"
                        }
                        Option {
                            text: "2 AM"
                        }
                        Option {
                            text: "3 AM"
                        }
                        Option {
                            text: "4 AM"
                        }
                        Option {
                            text: "5 AM"
                        }
                        Option {
                            text: "6 AM"
                        }
                        Option {
                            text: "7 AM"
                        }
                        Option {
                            text: "8 AM"
                        }
                        Option {
                            text: "9 AM"
                        }
                        Option {
                            text: "10 AM"
                        }
                        Option {
                            text: "11 AM"
                        }
                        
                        Option {
                            text: "12 PM"
                        }
                        Option {
                            text: "1 PM"
                        }
                        Option {
                            text: "2 PM"
                        }
                        Option {
                            text: "3 PM"
                        }
                        Option {
                            text: "4 PM"
                        }
                        Option {
                            text: "5 PM"
                        }
                        Option {
                            text: "6 PM"
                        }
                        Option {
                            text: "7 PM"
                        }
                        Option {
                            text: "8 PM"
                        }
                        Option {
                            text: "9 PM"
                        }
                        Option {
                            text: "10 PM"
                        }
                        Option {
                            text: "11 PM"
                        }
                    
                    }                
                    
                    Container
                    {
                        id: weekdays1
                        horizontalAlignment: HorizontalAlignment.Left
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        visible: false
                        CheckBox {
                            id: monday
                            objectName: "monday"
                            text: qsTr("Mon") + Retranslate.onLanguageChanged	            
                        }
                        CheckBox {
                            id: tuesday
                            objectName: "tuesday"
                            text: qsTr("Tue") + Retranslate.onLanguageChanged	            
                        }
                        CheckBox {
                            id: wednesday
                            objectName: "wednesday"
                            text: qsTr("Wed") + Retranslate.onLanguageChanged	            
                        }
                        CheckBox {
                            id: thursday
                            objectName: "thursday"
                            text: qsTr("Thr") + Retranslate.onLanguageChanged	            
                        }
                    }
                    
                    Container
                    {
                        id: weekdays2
                        horizontalAlignment: HorizontalAlignment.Left
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        visible: false
                        CheckBox {
                            id: friday
                            objectName: "friday"
                            text: qsTr("Fri") + Retranslate.onLanguageChanged	            
                        }
                        CheckBox {
                            id: saturday
                            objectName: "saturday"
                            text: qsTr("Sat") + Retranslate.onLanguageChanged	            
                        }
                        
                        CheckBox {
                            id: sunday
                            objectName: "sunday"
                            text: qsTr("Sun") + Retranslate.onLanguageChanged	            
                        }
                        
                        CheckBox {
                            id: all
                            objectName: "all"
                            text: qsTr("All") + Retranslate.onLanguageChanged	            
                            onCheckedChanged: {
                                if (checked)
                                {
                                    monday.setChecked(true);
                                    tuesday.setChecked(true);
                                    wednesday.setChecked(true);
                                    thursday.setChecked(true);
                                    friday.setChecked(true);
                                    saturday.setChecked(true);
                                    sunday.setChecked(true);
                                }
                                else
                                {
                                    monday.setChecked(false);
                                    tuesday.setChecked(false);
                                    wednesday.setChecked(false);
                                    thursday.setChecked(false);
                                    friday.setChecked(false);
                                    saturday.setChecked(false);
                                    sunday.setChecked(false);
                                }
                            }
                        }
                    }
    
                    DropDown {
                        id: repeattonedropdown
                        objectName: "repeatToneDropdown"
                        horizontalAlignment: HorizontalAlignment.Fill
                        
                        title: qsTr("Repeat Tone") + Retranslate.onLanguageChanged	            
    
                        selectedIndex: 0
                        Option {
                            value: "none"
                            text: qsTr("No Repeat") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("1 Time") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("2 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("3 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("4 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("5 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("6 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("7 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("8 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("9 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("10 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "11 Times"
                            text: qsTr("11 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "12 Times"
                            text: qsTr("12 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "13 Times"
                            text: qsTr("13 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "14 Times"
                            text: qsTr("14 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "15 Times"
                            text: qsTr("15 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "16 Times"
                            text: qsTr("16 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "17 Times"
                            text: qsTr("17 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "18 Times"
                            text: qsTr("18 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "19 Times"
                            text: qsTr("19 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            value: "20 Times"
                            text: qsTr("20 Times") + Retranslate.onLanguageChanged	            
                        }
                    }
    
                    
                    DateTimePicker {		   
                        id: start_time                 
                        horizontalAlignment: HorizontalAlignment.Fill
                        
                        title: qsTr("Start Time") + Retranslate.onLanguageChanged	            
                        objectName: "starttime"
                        mode: DateTimePickerMode.Time
                        minuteInterval: 1
                    }
    
                    DropDown {
                        id: vib_duration
                        title: qsTr("Vibrate Duration") + Retranslate.onLanguageChanged	            
                        objectName: "vib_duration"
    
                        selectedIndex: 0
                        Option {
                            text: qsTr("No Vibrate") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("1 Second") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("2 Seconds") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("3 Seconds") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("4 Seconds") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("5 Seconds") + Retranslate.onLanguageChanged	            
                        }
                    
                    }

                    DropDown {
                        title: qsTr("Vibrate Count") + Retranslate.onLanguageChanged	            
                        objectName: "vib_count"
                        selectedIndex: 1
                        Option {
                            text: qsTr("1 Time") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("2 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("3 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("4 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("5 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("6 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("7 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("8 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("9 Times") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: qsTr("10 Times") + Retranslate.onLanguageChanged	            
                        }
                    
                    }

    
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        visible: false
                        Label {
                            text: "Send to Pebble Watch"
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        ToggleButton {
                            objectName: "tb_send_pebble"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
    
                    
                    Header {
                        title: qsTr("Note:") + Retranslate.onLanguageChanged	            
    
                    }
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Show Note on Instant Preview") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        ToggleButton {
                            objectName: "show_instant_preview"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    } // volume key
    
                    TextField {
                        objectName: "alarm_note"
                        hintText: qsTr("Enter a note") + Retranslate.onLanguageChanged	            
    
                    }
                } // container

            } // container
        }
    } // page
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.wav", "*.mp3", "*.amr", "*.aac", "*.m4a" ]
            title: "Select a Ringtone"
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/music"]
            onFileSelected: {

                
                _Alarm.manipulateFile(0, selectedFiles);
            }
        }
    
    ]

} // sheet
