import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        actions: [
            ActionItem {
                id: clear_action
                title: qsTr("Clear Counter") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _NewFilter.clearCounter()
                }
                objectName: "clear_action"
            },
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _NewFilter.deleteFilter()
                }
                objectName: "delete_action"
            },

            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _NewFilter.help()
                }
            }

        ]

        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("New Message Filter") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _NewFilter.cancelNewFilter()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _NewFilter.saveNewFilter()
                }
            
            }
        }
        objectName: "page" // titleBar
        
        
        ScrollView {
            
            
            Container
            {
                layout: StackLayout {
                }
                leftPadding: 10.0
                topPadding: 10.0
                rightPadding: 10.0
                bottomPadding: 10.0
                
                horizontalAlignment: HorizontalAlignment.Fill
                DropDown {
                    id: filtertype
                    title: qsTr("Account") + Retranslate.onLanguageChanged	            
                    objectName: "account_type"
                    selectedIndex: 0
                    Option {
                        value: 0
                        
                        text: qsTr("All") + Retranslate.onLanguageChanged	            
                        description: qsTr("Filter all email accounts") + Retranslate.onLanguageChanged	                                
                    }
                }


                Header {
                    title: qsTr("Filter Name") + Retranslate.onLanguageChanged	            
                }
                TextField {
                    
                    hintText: qsTr("Enter a filter name") + Retranslate.onLanguageChanged	            
                    objectName: "filter_name"
                }

                
                Header {
                    title: qsTr("Filter on Sender, Subject and Message") + Retranslate.onLanguageChanged	            
                }
                TextField {
                    
                    hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged	            
                    objectName: "filter1"
                }
                Divider {
                    
                }
                TextField {
                    hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged	            
                    objectName: "filter2"
                }
                Divider {
                
                }
                TextField {
                    objectName: "filter3"
                    hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged	            
                }
                Divider {
                
                }
                TextField {
                    objectName: "filter4"
                    hintText: qsTr("Enter phone #, email address or keyword") + Retranslate.onLanguageChanged	            
                }

                Header {
                    title: qsTr("When Message is Blocked") + Retranslate.onLanguageChanged
                }
                DropDown {
                    horizontalAlignment: HorizontalAlignment.Fill
                    title: qsTr("LED") + Retranslate.onLanguageChanged
                    objectName: "dd_block_message_led"
                    selectedIndex: 0
                    Option {
                        text: "None"
                        imageSource: "asset:///images/ic_led_none.png"
                    }
                    Option {
                        text: "Blue"
                        imageSource: "asset:///images/ic_led_blue.png"
                    }
                    Option {
                        text: "Cyan"
                        imageSource: "asset:///images/ic_led_cyan.png"
                    }
                    Option {
                        text: "Green"
                        imageSource: "asset:///images/ic_led_green.png"
                    }
                    Option {
                        text: "Magenta"
                        imageSource: "asset:///images/ic_led_magenta.png"
                    }
                    Option {
                        text: "Red"
                        imageSource: "asset:///images/ic_led_red.png"
                    }
                    Option {
                        text: "White"
                        imageSource: "asset:///images/ic_led_white.png"
                    }
                    Option {
                        text: "Yellow"
                        imageSource: "asset:///images/ic_led_yellow.png"
                    }
                }

                
            } // container
        } // scroll view
    } // page
} // sheet