import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet {
    
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Edit Scheduler") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Scheduler.cancelEditScheduleSettings()
                }
            }
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Scheduler.saveEditScheduleSettings()
                }
            }

        }// titleBar
        

        actions: [
            
            
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _Scheduler.help()
                }
            },
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _Scheduler.deleteItem()
                }
                objectName: "delete_action"
            },

            ActionItem {
                title: qsTr("Send") + Retranslate.onLanguageChanged	            
                    ActionBar.placement: ActionBarPlacement.OnBar
                    imageSource: "asset:///images/ic_email.png"
                    onTriggered: {
                        _Scheduler.sendItem()
                    }
                    objectName: "send_action"
            }
        
        ]

        objectName: "page"
        ScrollView {
            
	        
	        Container {
	            layout: StackLayout {
	            }
	            leftPadding: 10.0
	            bottomPadding: 10.0
	            topPadding: 10.0
	            rightPadding: 10.0
	            
                Container
                {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Disable Schedule")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: tb_disabled
                        objectName: "tb_disable_schedule"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            main_container.setVisible(!checked)
                        }
                    }
                }
                
                Divider {
                
                }

                Container
                {
                    visible: !tb_disabled.checked
                    id: main_container
                	            
    	            Header {
                        title: qsTr("Schedule Type") + Retranslate.onLanguageChanged	            
    	            }
    	            DropDown {
    	                objectName: "schedule_type"
                        title: qsTr("Type") + Retranslate.onLanguageChanged	            
    	                selectedIndex: 6
    	                onSelectedIndexChanged: {
    	                    if (selectedIndex == 0)
    	                    {
    	                        container_bt.setVisible(true)
    	                        send_email.setVisible(false)
                                start_date.setVisible(false)
                                send_sms.setVisible(false)
                                wifi.setVisible(false)
                                bt_start_label.setText(qsTr("Bluetooth") + Retranslate.onLanguageChanged);
                                bt_end_label.setText(qsTr("Bluetooth") + Retranslate.onLanguageChanged);
                            
                                header_title.setTitle(qsTr("Start Time") + Retranslate.onLanguageChanged);
                                date_option.setEnabled(false)	                
                                month_option.setEnabled(false)	                
    	                    }
    	                    else
    	                    if (selectedIndex == 1)
    	                    {
    	                        container_bt.setVisible(true)
    	                        send_email.setVisible(false)
                                send_sms.setVisible(false)
                                start_date.setVisible(false)
                                wifi.setVisible(false)
                                bt_start_label.setText(qsTr("Block Incoming Calls") + Retranslate.onLanguageChanged);
                                bt_end_label.setText(qsTr("Block Incoming Calls") + Retranslate.onLanguageChanged);
                                header_title.setTitle(qsTr("Start Time") + Retranslate.onLanguageChanged);		                
                                date_option.setEnabled(false)	                
                                month_option.setEnabled(false)	                
    	                    }
    	                    // email
    	                    else
    	                    if (selectedIndex == 2)
    	                    {
    	                    	send_email.setVisible(true)
    		                    container_bt.setVisible(false)
                                start_date.setVisible(false)
                                wifi.setVisible(false)
                                send_sms.setVisible(false)
                                header_title.setTitle(qsTr("Schedule Properties") + Retranslate.onLanguageChanged);		                
                                date_option.setEnabled(true)	                
                                month_option.setEnabled(true)	                
    	                    }
    	                    // sms
                            else
                            if (selectedIndex == 3)
                            {
    	                        send_email.setVisible(false)
    	                        container_bt.setVisible(false)
                                send_sms.setVisible(true)
                                start_date.setVisible(false)
                                wifi.setVisible(false)
                                header_title.setTitle(qsTr("Schedule Properties") + Retranslate.onLanguageChanged);		                
                                date_option.setEnabled(true)	                
                                month_option.setEnabled(true)	                
                            }
                            else
                            // wifi
                            if (selectedIndex == 4)
                            {
                                container_bt.setVisible(false)
                                send_email.setVisible(false)
                                start_date.setVisible(false)
                                send_sms.setVisible(false)
                                wifi.setVisible(true)
                                
                                header_title.setTitle(qsTr("Start Time") + Retranslate.onLanguageChanged);		                
                                date_option.setEnabled(false)	                
                                month_option.setEnabled(false)	                
                            }
                         else
                          // sync email accounts
                          if (selectedIndex == 5 || selectedIndex == 6)
                          {
                              container_bt.setVisible(false)
                              send_email.setVisible(false)
                              start_date.setVisible(false)
                              send_sms.setVisible(false)
                              wifi.setVisible(false)
                              
                              header_title.setTitle(qsTr("Start Time") + Retranslate.onLanguageChanged);		                
                              date_option.setEnabled(false)	                
                              month_option.setEnabled(false)	        
                              
                                      
                          }

                        // show the applications dropdown
                          if (selectedIndex == 6)
                          {
                              dd_sch1.setVisible(true)
                          }
                          else
                              dd_sch1.setVisible(false)

    
    	                }
    	                Option {
    
                            text: qsTr("Bluetooth") + Retranslate.onLanguageChanged	            
                            description: qsTr("Schedule On and Off for Bluetooth") + Retranslate.onLanguageChanged	            
    
    	                }
    	                Option {
    
                            text: qsTr("Block Incoming Calls") + Retranslate.onLanguageChanged	            
                            description: qsTr("Blocking incoming phone calls") + Retranslate.onLanguageChanged	            
                        }
    	
    	                Option {
    
                            text: qsTr("Send Email") + Retranslate.onLanguageChanged	            
                            description: qsTr("Send automated email") + Retranslate.onLanguageChanged	            
                        }
    
                        Option {
                            text: qsTr("Send SMS") + Retranslate.onLanguageChanged	            
                            description: qsTr("Send automated text message") + Retranslate.onLanguageChanged	            
                        }
    
                        Option {
                            text: qsTr("Turn on WiFi") + Retranslate.onLanguageChanged	            
                            description: qsTr("Automatically turn on WiFi") + Retranslate.onLanguageChanged	            
                        }
    
                        Option {
                            text: qsTr("Sync Email Accounts") + Retranslate.onLanguageChanged	            
                            description: qsTr("Go to Application Settings->Email to add accounts") + Retranslate.onLanguageChanged	            
                        }

                        Option {
                            text: qsTr("Launch Application") + Retranslate.onLanguageChanged	            
                            description: qsTr("Launch an application") + Retranslate.onLanguageChanged	            
                        }
    	
    	            }
    	            
    	            Divider {
    	                
    	            }
    		   
    					// blue tooth
    					Container {
    					    id: bluetooth_container
    			            DropDown {
    			                id: repeatalarmdropdown
    			                objectName: "repeatDropdown"
    			                
                                title: qsTr("Recurrence") + Retranslate.onLanguageChanged	            
    			                
    			                Option {
    			                    value: "Everyday"
    
                                    text: qsTr("Everyday") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Send message everyday.") + Retranslate.onLanguageChanged	            
    
    			                
    			                }
    			                Option {
    			                    value: "Weekdays"
                                    text: qsTr("Weekdays") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Send message Monday to Friday.") + Retranslate.onLanguageChanged	            
    			                }
    			                Option {
    			                    value: "Weekly"
                                    text: qsTr("Weekly") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Send message every week.") + Retranslate.onLanguageChanged	            
    			                }
                                Option {
                                    id: month_option
                                    value: "Every month"
    
                                    text: qsTr("Monthly") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Send message every month.") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    id: date_option
                                    value: "Every Year"
    
                                    text: qsTr("Yearly") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Send message every year.") + Retranslate.onLanguageChanged	            
                                }
    
                                Option {
                                    id: onetime_option
                                    value: "one Time"
    
                                    text: qsTr("One Time Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Run the schedule one time only.") + Retranslate.onLanguageChanged	            
    
                                }

                                Option {
                                    id: donothing_option
                                    value: "do nothing"
                                    
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Do not run the schedule.") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    id: everyhour_option
                                    value: "every hour"
                                    
                                    text: qsTr("Every Hour") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Run the schedule every hour.") + Retranslate.onLanguageChanged	            
                                
                                }

    
    			                onSelectedValueChanged: {
    			                    // do nothing and every hour
                                    if (selectedIndex == 7)
                                    {
                                        container_bt.setVisible(false)
                                        start_date.setVisible(false)
                                        end_date.setVisible(false)
                                        
                                        weekdays1.setVisible(false);
                                        weekdays2.setVisible(false);
                                        header_title.setVisible(false)
                                        dt_start_time.setVisible(false)
                                    }
                                    else
                                    if (selectedIndex == 6)
                                    {
                                        start_date.setVisible(false)
                                        end_date.setVisible(false)
                                        
                                        weekdays1.setVisible(false);
                                        weekdays2.setVisible(false);
                                        header_title.setVisible(false)
                                        dt_start_time.setVisible(false)
                                    }
                                    else
    			                    // one time only
    			                    // date
                                    if (selectedIndex == 3 || selectedIndex == 4 || selectedIndex == 5 )
                                    {
                                        container_bt.setVisible(true)
                                        header_title.setVisible(true)
                                        weekdays1.setVisible(false);
                                        weekdays2.setVisible(false);
                                    	start_date.setVisible(true)
                                        dt_start_time.setVisible(true)
                                    }
                                    else
    			                    if (selectedIndex == 2)
    			                    {
    			                        container_bt.setVisible(true)
                                        header_title.setVisible(true)
                                    	start_date.setVisible(false)
    			                        weekdays1.setVisible(true);
    			                        weekdays2.setVisible(true);
                                        dt_start_time.setVisible(true)
    			                    }
    			                    else
    			                    {
                                        container_bt.setVisible(true)

                                        header_title.setVisible(true)
                                        start_date.setVisible(false)
    			                        weekdays1.setVisible(false);
    			                        weekdays2.setVisible(false);
                                        dt_start_time.setVisible(true)
    			                    }
    			                }
    			                selectedIndex: 0
    			            } // DropDown
    			            
    			            Container
    			            {
    			                id: weekdays1
    			                horizontalAlignment: HorizontalAlignment.Left
    			                layout: StackLayout {
    			                    orientation: LayoutOrientation.LeftToRight
    			                }
    			                visible: false
    			                CheckBox {
    			                    id: monday
    			                    objectName: "monday"
    			                    text: "Mon"
    			                }
    			                CheckBox {
    			                    id: tuesday
    			                    objectName: "tuesday"
    			                    text: "Tue"
    			                }
    			                CheckBox {
    			                    id: wednesday
    			                    objectName: "wednesday"
    			                    text: "Wed"
    			                }
    			                CheckBox {
    			                    id: thursday
    			                    objectName: "thursday"
    			                    text: "Thr"
    			                }
    			            }
    			            
    			            Container
    			            {
    			                id: weekdays2
    			                horizontalAlignment: HorizontalAlignment.Left
    			                layout: StackLayout {
    			                    orientation: LayoutOrientation.LeftToRight
    			                }
    			                visible: false
    			                CheckBox {
    			                    id: friday
    			                    objectName: "friday"
    			                    text: "Fri"
    			                }
    			                CheckBox {
    			                    id: saturday
    			                    objectName: "saturday"
    			                    text: "Sat"
    			                }
    			                
    			                CheckBox {
    			                    id: sunday
    			                    objectName: "sunday"
    			                    text: "Sun"
    			                }
    			                
    			                CheckBox {
    			                    id: all
    			                    objectName: "all"
    			                    text: "All"
    			                    onCheckedChanged: {
    			                        if (checked)
    			                        {
    			                            monday.setChecked(true);
    			                            tuesday.setChecked(true);
    			                            wednesday.setChecked(true);
    			                            thursday.setChecked(true);
    			                            friday.setChecked(true);
    			                            saturday.setChecked(true);
    			                            sunday.setChecked(true);
    			                        }
    			                        else
    			                        {
    			                            monday.setChecked(false);
    			                            tuesday.setChecked(false);
    			                            wednesday.setChecked(false);
    			                            thursday.setChecked(false);
    			                            friday.setChecked(false);
    			                            saturday.setChecked(false);
    			                            sunday.setChecked(false);
    			                        }
    			                    }
    			                }
    			            }
    			            
    			            Header {
    			                id: header_title
                                title: qsTr("Schedule Properties") + Retranslate.onLanguageChanged	            
    			            }
    
                            DateTimePicker {
                                id: start_date		                    
                                title: qsTr("Date") + Retranslate.onLanguageChanged	            
                                objectName: "start_date"
                                mode: DateTimePickerMode.Date
                            }
    			            
    			            DateTimePicker {	
    			                id: dt_start_time	                    
                                title: qsTr("Time") + Retranslate.onLanguageChanged	            
    			                objectName: "starttime"
    			                mode: DateTimePickerMode.Time
    			                minuteInterval: 1
    			            }
    			
                            // wifi
                            Container {
                                id: wifi
                                horizontalAlignment: HorizontalAlignment.Fill
                                Container {
                                                                
                                    layout: DockLayout {
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    topPadding: 10.0
                                    Label {
                                        text: qsTr("Turn on WiFi") + Retranslate.onLanguageChanged	            
                                        horizontalAlignment: HorizontalAlignment.Left
                                    }
                                    CheckBox {
                                        objectName: "cbox_wifi_on"
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }     
                                }    
                                    Container{
                                        topPadding: 10
                                        horizontalAlignment: HorizontalAlignment.Fill
    	                                 Label {
                                             text: qsTr("Due to BlackBerryOS restriction WiFi can only be turned on.") + Retranslate.onLanguageChanged	            
    			                                textStyle.fontStyle: FontStyle.Italic
    			                                textStyle.fontSize: FontSize.XSmall
                                       			multiline: true
    		                            }   
                                    }                           
                            }
    
                            // send email
                            Container {
                                id: send_sms
                                
                                Header {
                                    title: qsTr("SMS Properties") + Retranslate.onLanguageChanged	            
                                }
                                TextField {
                                    
                                    hintText: qsTr("Enter a name for this SMS") + Retranslate.onLanguageChanged	            
                                    objectName: "s_smsname"
                                    maximumLength: 60
                                }
                                Container {
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    Container {
                                        topPadding: 10
                                        layout: StackLayout {
                                            orientation: LayoutOrientation.LeftToRight
                                        
                                        }
    	                                
    	                                TextField {                            
                                            hintText: qsTr("Enter phone number") + Retranslate.onLanguageChanged	            
    	                                    objectName: "s_phone_number"
    	                                    maximumLength: 64
    	                                }
    	                                Button {
    	                                    preferredWidth: 100.0
    	                                    imageSource: "asset:///images/ic_contact_lookup.png"
    	                                    onClicked: {
    	                                        _Scheduler.openContactPicker(2);
    	                                    }
    	                                }
    	                            }
                                }
    
                                TextArea {
                                    hintText: qsTr("Enter Message") + Retranslate.onLanguageChanged	            
                                    objectName: "s_sms_message"
                                    maximumLength: 140
                                }
                                
                                Container
                                {
                                    layout: DockLayout {
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    topPadding: 10.0
                                    Label {
                                        text: qsTr("Keep a copy in InBox") + Retranslate.onLanguageChanged	            
                                        horizontalAlignment: HorizontalAlignment.Left
                                    }
                                    CheckBox {
                                        objectName: "bt_keep_sms"
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                }
    
                            } // end sms
    
    						// send email
    						Container {
    	         				id: send_email
    	
    	                         Header {
                                     title: qsTr("Email Properties") + Retranslate.onLanguageChanged	            
    	                         }
    	                         
                                 DropDown {
                                     id: filtertype
                                     title: qsTr("Account") + Retranslate.onLanguageChanged	            
                                     objectName: "account_type"
                                     selectedIndex: 0
                                 }
    	                         
    	                         TextField {
    	                             
                                     hintText: qsTr("Enter a name for this email") + Retranslate.onLanguageChanged	            
    	                            objectName: "s_emailname"
    	                            maximumLength: 60
    	                        }
    	                        Container {
    	                            layout: StackLayout {
    	                                orientation: LayoutOrientation.LeftToRight
    	
    	                            }
    	
    	                            TextField {                            
                                        hintText: qsTr("Enter To email address separate by comma") + Retranslate.onLanguageChanged	            
    		                            objectName: "s_toemail"
                                        maximumLength: 128
    		                        }
    	                            Button {
    	//                                text: "Lookup"
    	                                preferredWidth: 100.0
    	                                imageSource: "asset:///images/ic_contact_lookup.png"
    	                                onClicked: {
                                            _Scheduler.openContactPicker(0);
    	                                }
    	                            }
    		                    }
    	                        Container {
    	                            topPadding: 10
    	                            layout: StackLayout {
    	                                orientation: LayoutOrientation.LeftToRight
    	                            
    	                            }
    	                            
    	                            TextField {                            
                                        hintText: qsTr("Enter CC email address separate by comma") + Retranslate.onLanguageChanged	            
    	                                objectName: "s_ccemail"
                                        maximumLength: 128
    	                            }
    	                            Button {
    	                                //                                text: "Lookup"
    	                                preferredWidth: 100.0
    	                                imageSource: "asset:///images/ic_contact_lookup.png"
                                        onClicked: {
                                            _Scheduler.openContactPicker(1);
                                        }
    	                            }
    	                        }
    	
    	                        Container {
    	                            topPadding: 10
    	                            layout: StackLayout {
    	                                orientation: LayoutOrientation.LeftToRight
    	                            
    	                            }
    	                            
    	                            TextField {                            
                                        hintText: qsTr("Add Attachment") + Retranslate.onLanguageChanged	            
    	                                objectName: "s_attachemnt"
                                        maximumLength: 128
    	                            }
    	                            Button {
    	                                //                                text: "Lookup"
    	                                preferredWidth: 100.0
    	                                imageSource: "asset:///images/ic_attachment.png"
                                        onClicked: {
                                            filePicker.open()
                                        }
    	                            }
    	                        }
    	
    	                        TextField {                            
                                    hintText: qsTr("Enter Subject") + Retranslate.onLanguageChanged	            
    	                            objectName: "s_subject"
                                    maximumLength: 128
    	                        }
    	                        TextArea {
                                    hintText: qsTr("Enter Message") + Retranslate.onLanguageChanged	            
    	                            objectName: "s_message"
    	                            maximumLength: 640
    	                        }
    	                        	
                                Container
                                {
                                    layout: DockLayout {
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    topPadding: 10.0
                                    Label {
                                        text: qsTr("Keep a copy in InBox") + Retranslate.onLanguageChanged	            
                                        horizontalAlignment: HorizontalAlignment.Left
                                    }
                                    CheckBox {
                                        objectName: "bt_keep_email"
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                }
                                Label {
                                    text: qsTr("It will take up to one minute to delete the message.") + Retranslate.onLanguageChanged	            
    	                            textStyle.fontStyle: FontStyle.Italic
    	                            textStyle.fontSize: FontSize.Small
    	                        }
    
    	
    	         			}	
    						
    						// container for be and block calls
    						Container
    						{
    						    id: container_bt
    	
    	                        Container
    				            {
    				                layout: DockLayout {
    				                }
    				                horizontalAlignment: HorizontalAlignment.Fill
    				                topPadding: 10.0
    				                Label {
                                        text: qsTr("Bluetooth") + Retranslate.onLanguageChanged	            
    				                    horizontalAlignment: HorizontalAlignment.Left
    		                            id: bt_start_label
    				                }
    				                ToggleButton {
    				                    objectName: "bt_on_off"
    				                    horizontalAlignment: HorizontalAlignment.Right
    				                }
    				            }
    				
    				            Header {
                                    title: qsTr("End Time") + Retranslate.onLanguageChanged	            
    				                topMargin: 10.0
    				            }
    				            
    				            DateTimePicker {	
    				                id: end_date	                    
                                    title: qsTr("Time") + Retranslate.onLanguageChanged	            
    				                objectName: "endtime"
    				                mode: DateTimePickerMode.Time
    				                minuteInterval: 1
    				            }
    				            
    				            Container
    				            {
    				                layout: DockLayout {
    				                }
    				                horizontalAlignment: HorizontalAlignment.Fill
    				                topPadding: 10.0
    				                Label {
                                        text: qsTr("Bluetooth") + Retranslate.onLanguageChanged	            
    				                    horizontalAlignment: HorizontalAlignment.Left
    		                            id: bt_end_label
    				                }
    				                ToggleButton {
    				                    objectName: "bt_on_off_end"
    				                    horizontalAlignment: HorizontalAlignment.Right
    				                }
    				            }
    				        } // container bt
    			            
    			        } // end of bluetooth
    					
    					Container {
    					    topPadding: 10
    					    Header {
    					        title: qsTr("Application to Launch")
    					    }
                            DropDown {
                                topPadding: 10
                                visible: false
                                id: dd_sch1
                                objectName: "dd_apps"
                                title: qsTr("Application")
                                selectedIndex: 0
                            }
                        }

    					
    				}
	
	        } // container
	    } // scrollview
    } // page

    attachedObjects: [

        FilePicker {
            id: filePicker
            title: qsTr("Select a File") + Retranslate.onLanguageChanged	            
            directories: [ "/accounts/1000/shared" ]
            onFileSelected: {                
                _Scheduler.manipulatePhoto(selectedFiles);
            }
        }
    
    ]

} // sheet
