import bb.cascades 1.0
import bb.cascades.pickers 1.0

Sheet {
    Page {
        objectName: "page"
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Edit Wallpaper") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
             dismissAction: ActionItem {
                 title: qsTr("Cancel")
                 onTriggered: {
                     _wallpaper.cancel()
                 }
             }
                         
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _wallpaper.save()
                }
            
            }
        
        }// titleBar
        
        actions: [
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _wallpaper.delete_record()
                }
                objectName: "action_delete"
            }
        ]

        ScrollView {
            Container {
                Header {
                    title: qsTr("Set Temperature")
                }
                DropDown {
                    title: qsTr("When temperature is")
                    objectName: "dd_action"

                    selectedIndex: 0
                    Option {
                        text: qsTr("Above")
                    }
                    Option {
                        text: qsTr("Below")
                    }
                }
                Container {
                    leftPadding: 20
                    rightPadding: 20
                    topPadding: 10
                    Label {
                        id: lb_temp
                        text: "0"
                        horizontalAlignment: HorizontalAlignment.Center
                        objectName: "lb_temp"
                    }
                    Slider {
                        horizontalAlignment: HorizontalAlignment.Fill
                        fromValue: -75
                        toValue: 75
                        value: 0
                        onImmediateValueChanged: {
                            _wallpaper.update_temperature(immediateValue);
    //                        lb_temp.setText(Math.round(immediateValue))
                        }
                        objectName: "sl_temp"
                    }
                    Container {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Notify me with Hub a message") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        ToggleButton {
                            objectName: "tg_notify_hub"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }

                }

                Header {
                    title: qsTr("Set Wallpaper")
                }
                Container {
                    leftPadding: 20
                    rightPadding: 20
                    topPadding: 10
                    horizontalAlignment: HorizontalAlignment.Fill
                    Button {
                        text: qsTr("Browse")
                        horizontalAlignment: HorizontalAlignment.Fill
                        onClicked: {
                            filePicker.open()
                        }
                    }
                 ImageView {
                     id: img
                     scalingMethod: ScalingMethod.AspectFill
                     objectName: "img_wallpaper"
                     verticalAlignment: VerticalAlignment.Center
                     preferredWidth: 480
                     preferredHeight: 480.0
                     horizontalAlignment: HorizontalAlignment.Center
                     imageSource: "asset:///images/ic_graphic.png"    
                 }
                }
            }
        } // scrollview
    }
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: qsTr("Select a Picture.") + Retranslate.onLanguageChanged	            
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/camera"]
            onFileSelected: {
                _wallpaper.manipulateFile(0, selectedFiles);
            }
        }
    ]

}
