import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet
{

    peekEnabled: false
	Page {
	    id: sheetModify
	
	    
	    titleBar: TitleBar {
	        id: addBar
            title: qsTr("Settings") + Retranslate.onLanguageChanged	            
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
	            onTriggered: {
                    _Settings.cancelSettings()
	            }
	        }
	        
	        acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
	            onTriggered: {

                    _Settings.saveSettings()
	            }
	        }
            objectName: "title_bar" // titleBar
	    }
	    

	    ScrollView {
	
	
		    Container
		    {
		        layout: StackLayout {
		        }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
                horizontalAlignment: HorizontalAlignment.Fill

				Container
				{
                    objectName: "container_bbm_apps_notification"

                    visible: false
                    Header {
                        title: qsTr("New BBM and Applications")
                    }
                    Container
	                {
	                    topPadding: 10
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("Notify new BBM Contact") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    ToggleButton {
	                        objectName: "tg_bbm_notify_new_contact"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                } 
	                Divider {

                    }
	                Container
	                {
	                    topPadding: 10
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    Label {
                            text: qsTr("Notify new Application") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    ToggleButton {
	                        objectName: "tg_bbm_notify_new_apps"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                } 
	                Divider {
                     
                     }
	                Label {
                        multiline: true
                        text: qsTr("When you get a new BBM or Application message you can tell Power Tools to notify you with a Hub messsge.  You can then open the Hub message and setup a new LED for the BBM contact or application.") + Retranslate.onLanguageChanged	            
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall

                    }
                    Header {
                        title: qsTr("On System Reset")
                    }
                    Container
                    {
                        topPadding: 10
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("When Power Tools is started show message in the Hub") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        ToggleButton {
                            objectName: "tg_show_startup_msg"
                            horizontalAlignment: HorizontalAlignment.Right
                            verticalAlignment: VerticalAlignment.Center
                        }
                    } 

	            
	            } // bbm and app notification
	

				Container
				{
                    objectName: "container_stop_led"
                    visible: false
//                    Header {
//                       title: qsTr("Stop LED and Ringtone") + Retranslate.onLanguageChanged	            
//	                }

                    Header {
                        title: qsTr("LED Blinking Speed") + Retranslate.onLanguageChanged
                        visible: false
                    }
                    DropDown {
                        title: qsTr("Blink Speed")
                        objectName: "blinking_speed"
                        Option {
                            text: "100 ms"
                        }
                        Option {
                            text: "200 ms"
                        }
                        Option {
                            text: "300 ms"
                        }
                        Option {
                            text: "400 ms"
                        }
                        Option {
                            text: "500 ms"
                        }
                        Option {
                            text: "600 ms"
                        }
                        Option {
                            text: "700 ms"
                        }
                        Option {
                            text: "800 ms"
                        }
                        Option {
                            text: "900 ms"
                        }
                        
                        Option {
                            text: "1 Second"
                        }
                        Option {
                            text: "2 Seconds"
                        }
                        Option {
                            text: "3 Seconds"
                        }
                        Option {
                            text: "4 Seconds"
                        }
                        Option {
                            text: "5 Seconds"
                        }
                    
                    }
                    Label {
                        text: qsTr("This controls the LED blinking rate for each Message.") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }
                    Divider {
                        
                    }
                    Container {
                        DropDown {
                             title: qsTr("When screen is On") + Retranslate.onLanguageChanged	
                             objectName: "dd_screen_on"
                             Option {
                                 text: qsTr("Normal") + Retranslate.onLanguageChanged	
                                 description: qsTr("Blink LED and play ringtone") + Retranslate.onLanguageChanged	
                             }
                             Option {
                                 text: qsTr("LED Only") + Retranslate.onLanguageChanged	
                                 description: qsTr("Blink LED Only") + Retranslate.onLanguageChanged	
                             }
                             Option {
                                 text: qsTr("Ringtone Only") + Retranslate.onLanguageChanged	
                                 description: qsTr("Play ringtone Only") + Retranslate.onLanguageChanged	
                             }
                             Option {
                                 text: qsTr("Do Not Disturb") + Retranslate.onLanguageChanged	
                                 description: qsTr("No LED and ringtone") + Retranslate.onLanguageChanged	
                             }
                             Option {
                                 text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	
                                 description: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	
                             }
                                                  
                         }
                        
                        Label {
                            text: qsTr("What to do when the screen is on when there is a new message.") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                        }
                    } // container

                   Header {
                       title: qsTr("Stop LED")
                   }
    
			        Container
			        {
		                layout: DockLayout {
			            }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    topPadding: 10.0
	                    Label {
                            text: qsTr("When message is read or deleted") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    CheckBox {
	                        objectName: "led_stop_read_delete"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                } // led stop blink

                    Label {
                        text: qsTr("If this is enabled Power Tools will stop all LEDs and the ringtone for all the messages queued when you read or deleted a message.") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }

	                
	                Divider {        
	                }
	
	                Container
	                {
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    Label {
                            text: qsTr("When down volume key is pressed down") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    CheckBox {
	                        objectName: "led_stop_volume_key"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                } // volume key

                    Label {
                        text: qsTr("If another application already have this key event set then Power Tools will not be able to use this key.") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }
	
	                Divider {        
	                }
	                Container
	                {
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    Label {
                            text: qsTr("When device is unlocked") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    CheckBox {
	                        objectName: "led_stop_unlock"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                } 

                    Label {
                        text: qsTr("When the screen is unlocked Power Tools will stop all LEDs and the ringtone for all the messages queued.") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }

                    Divider {        
                    }
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("When Power Tools is opened") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        CheckBox {
                            objectName: "led_stop_open_powertools"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    } 
                    
                    Label {
                        text: qsTr("When you run Power Tools it will stop all LEDs and the ringtone for all the messages queued.") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }


                    Divider {        
                    }
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("When you flip the device") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        CheckBox {
                            objectName: "led_stop_flip"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    } 
                    
                    Label {
                        text: qsTr("When you flip the device over Power Tools will stop all LEDs and the ringtone for all the messages queued.") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }

	            
	            } // stop led


				Container {
                    objectName: "container_general"

                    visible: false
                    Header {
                        title: qsTr("Localization") + Retranslate.onLanguageChanged	            
                    }
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Turn off Language Localization") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        CheckBox {
                            objectName: "cb_turn_off_localization"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }


	
	                Header {
                        title: qsTr("Bedside Mode") + Retranslate.onLanguageChanged	            
	                }
	                Container
	                {
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    topPadding: 10.0
	                    Label {
                            text: qsTr("Turn off All Alerts") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    CheckBox {
	                        objectName: "bedside_all_alerts_off"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                }
                    Label {
                        text: qsTr("When Bedside Mode is enabled all Alerts and LEDs in Power Tools will be disabled except for Contacts that you have set VIP.") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }

                    Container
                    {
                        objectName: "container_call_blocker"
                        Header {
                            title: qsTr("Call Blocker") + Retranslate.onLanguageChanged	            
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Disable Caller Blocker") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                objectName: "call_blocker_off"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Label {
                            text: qsTr("This will disable Call Blocker in Power Tools.  You will receive all phone calls.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                        }
                    }


                    Header {
                        title: qsTr("System Sound Notifications") + Retranslate.onLanguageChanged	            
                    }
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Disable Geofencing") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        CheckBox {
                            objectName: "geofencing_off"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
                    Divider {
                        
                    }

                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Disable System Sound Notifications") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        CheckBox {
                            objectName: "sound_notifications_off"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
                    Label {
                        text: qsTr("This will disable the System Sounds Notifications in Power Tools.  It is a useful feature if you go out of town or on vacation.") + Retranslate.onLanguageChanged	            
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }
                    
                    Header {
                        title: qsTr("Daily Usage Tracking")
                    }
                    Container
                    {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Enable Tracking") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        CheckBox {
                            objectName: "daily_usage_tracking"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
                    Label {
                        text: qsTr("Tracks your daily device usage and view hourly and daytime usage reports.  Tracking is saved locally to your device and it is not shared with anyone.") + Retranslate.onLanguageChanged	            
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }
	            
	            } // general




				Container
				{
                    objectName: "container_the_wave"
                    visible: false

                    Header { 
                        title: qsTr("The Wave Workaround") + Retranslate.onLanguageChanged	            
                    }
                    Container
                    {
                        topPadding: 10
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("Enable Workaround") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        ToggleButton {
                            objectName: "led_wave_workaround"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    } 
                    Label {
                        text: "Enable Workaround if you have a Passport or if you have an OS version that is not compatible with the regular Wave."
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.Small
                    }

                    
                    Header { 
                        title: qsTr("Stop LED and Ringtone") + Retranslate.onLanguageChanged	            
	        		}
	                Container
	                {
	                    topPadding: 10
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    Label {
                            text: qsTr("Stop LED and Ringtone") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    ToggleButton {
	                        objectName: "led_stop_wave"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                } 
	                Label {
                        text: qsTr("If the LED is blinking you can wave at the top of the BlackBerry to stop the LED from blinking.") + Retranslate.onLanguageChanged	            
	                    multiline: true
	                    textStyle.fontStyle: FontStyle.Italic
	                    textStyle.fontSize: FontSize.XSmall
	                }
	                
                    Header { 
                        title: qsTr("Incoming Calls") + Retranslate.onLanguageChanged	            
                    }
                    Container
                    {
                        topPadding: 10
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("Reject Call") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        ToggleButton {
                            objectName: "reject_call_wave"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    } 
                    Label {
                        text: qsTr("Wave to reject the incoming call.") + Retranslate.onLanguageChanged	            
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }
/*
                    Header { 
                        topPadding: 5
                        title: "Alarm Sound"     
                    }
                    Container
                    {
                        topPadding: 10
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: "Stop Alarm Sound"
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        ToggleButton {
                            objectName: "stop_alarms_wave"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    } 
                    Label {
                        text: "Wave to stop the alarm sound."
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.XSmall
                    }
*/	                
	                Divider {
                     
                     }
                     Label {
                         text: qsTr("Device must be facing up on a flat surface.") + Retranslate.onLanguageChanged	            
                         multiline: true
                     }
	
	                Container
	                {
	                    topPadding: 10
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    visible: false
	                    Label {
                            text: qsTr("System wide") + Retranslate.onLanguageChanged	            
	                        horizontalAlignment: HorizontalAlignment.Left
	                        multiline: true
	                    }
	                    CheckBox {
	                        objectName: "led_stop_wave_system"
	                        horizontalAlignment: HorizontalAlignment.Right
	                    }
	                } 
	            } // the wave
				
                Container
                {
                    objectName: "container_flip_hush"
                    visible: false

                    DropDown {
                        id: mode
                        title: qsTr("Mode") + Retranslate.onLanguageChanged	            
                        objectName: "flip_hush_mode"
                        selectedIndex: 1
                        onSelectedIndexChanged: {
                            // normal and phone only
                            if (selectedIndex == 0)
                            {
                                container_fliphush.setVisible(false)
/*                                hush_led.setVisible(false)
                                hush_divider1.setVisible(false)
                                hush_divider2.setVisible(false)
                                hush_divider3.setVisible(false)
                                hush_disable_when_holster.setVisible(false)
                                hush_note.setVisible(false)
  */
                            }
                            else
                            {
                                container_fliphush.setVisible(true)
/*                                hush_led.setVisible(true)
                                hush_divider1.setVisible(true)
                                hush_divider2.setVisible(true)
                                hush_divider3.setVisible(true)
                                hush_disable_when_holster.setVisible(true)
                                hush_note.setVisible(true)
  */                          }
                        }
                        Option {
                            value: "Do Nothing"
                            text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                            description: qsTr("Do not change Profile") + Retranslate.onLanguageChanged	            
                            imageSource: "asset:///images/ic_mode_nothing.png"
                        }
                        Option {
                            value: "silent"
                            imageSource: "asset:///images/ic_mode_silent.png"
                            
                            text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                            description: qsTr("Mute phone and system sounds") + Retranslate.onLanguageChanged	            
                        
                        }
                        Option {
                            value: "vibrate"
                            imageSource: "asset:///images/ic_mode_vibrate.png"
                            
                            text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                            description: qsTr("Vibrate on incoming call and mute all sounds") + Retranslate.onLanguageChanged	            
                        
                        }
                        Option {
                            value: "normal"
                            imageSource: "asset:///images/ic_mode_normal.png"
                            
                            text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                            description: qsTr("Allow all sounds") + Retranslate.onLanguageChanged	            
                        
                        }
                        Option {
                            value: "phonecall"
                            imageSource: "asset:///images/ic_mode_phone.png"
                            text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                            description: qsTr("Allow phone sound and mute system sounds") + Retranslate.onLanguageChanged	            
                        
                        }
                        Option {
                            value: "alloff"
                            imageSource: "asset:///images/ic_mode_alloff.png"
                            
                            text: qsTr("All Alerts Off") + Retranslate.onLanguageChanged	            
                            description: qsTr("Mute all sounds") + Retranslate.onLanguageChanged	            
                        }
                    }
                    Container {
                        id: container_fliphush
                        Label {
                            text: qsTr("When you flip the device (screen facing down) Power Tools will set the system Notification to the selected Mode.  Flip it back to go back to the last Notification mode.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                        }
                        Divider {
                            id: hush_divider1 
                        }
                        
                        Container
                        {
                            id: hush_led
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Turn on LED") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "facedown_led_on"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } 
                        
                        Divider {
                            id: hush_divider2 
                        }
                        
                        Container
                        {
                            id: hush_disable_when_holster
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Disable when in Holster") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "disable_holster_hush"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } 
                        Divider {
                        }
                        Container
                        {
                            
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Vibrate When Facedown") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "facedown_vibrate"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } 
                        Divider {
                            id: hush_divider3                         
                        }
    
    
                        Label {
                            id: hush_note
                            text: qsTr("Flip Hush will over ride all System Sound Notifications Profiles in Power Tools.  System Sound Notifications Profiles will be delayed until you turn off Flip Hush.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }
                    }
                        
                        Header {
                            title: qsTr("Flash Light LED") + Retranslate.onLanguageChanged	            
                        }
                        
                        DropDown {
                            title: qsTr("Blink Speed") + Retranslate.onLanguageChanged	            
                            objectName: "flash_led_blinking_speed"
                            onSelectedIndexChanged: {
                                if (selectedIndex == 1)
                                {
                                    flash_custom_pattern.setVisible(true)
                                    flash_duration.setVisible(true)
                                }
                                else
                                if (selectedIndex == 0)
                                {
                                	flash_custom_pattern.setVisible(false)
                                    flash_duration.setVisible(false)
                                }
                                else
                                {
                                    flash_custom_pattern.setVisible(false)
                                    flash_duration.setVisible(true)
                                    
                                }
                            }
                            selectedIndex: 1
                            Option {
                                text: qsTr("Disabled") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("Custom Pattern") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: "100 ms"
                            }
                            Option {
                                text: "200 ms"
                            }
                            Option {
                                text: "300 ms"
                            }
                            Option {
                                text: "400 ms"
                            }
                            Option {
                                text: "500 ms"
                            }
                            Option {
                                text: "600 ms"
                            }
                            Option {
                                text: "700 ms"
                            }
                            Option {
                                text: "800 ms"
                            }
                            Option {
                                text: "900 ms"
                            }
                            
                            Option {
                                text: "1 Second"
                            }
                            Option {
                                text: "2 Seconds"
                            }
                            Option {
                                text: "3 Seconds"
                            }
                            Option {
                                text: "4 Seconds"
                            }
                            Option {
                                text: "5 Seconds"
                            }
                            Option {
                                text: "6 Seconds"
                            }
                            Option {
                                text: "7 Seconds"
                            }
                            Option {
                                text: "8 Seconds"
                            }
                            Option {
                                text: "9 Seconds"
                            }
                            Option {
                                text: "10 Seconds"
                            }
                        
                        }
    
                        DropDown {
                            id: flash_duration
                            title: qsTr("Blink Duration") + Retranslate.onLanguageChanged	            
                            objectName: "flash_ledduration"
                            selectedIndex: 1
                            Option {
                                text: "5 Times"
                            }
                            Option {
                                text: "10 Times"
                            }
                            Option {
                                text: "25 Times"
                            }
                            Option {
                                text: "50 Times"
                            }
                            Option {
                                text: "75 Times"
                            }
                            Option {
                                text: "100 Times"
                            }
                            Option {
                                text: "150 Times"
                            }
                            Option {
                                text: "200 Times"
                            }
                            Option {
                                text: "250 Times"
                            }
                            Option {
                                text: "300 Times"
                            }
                            Option {
                                text: "350 Times"
                            }
                            Option {
                                text: "400 Times"
                            }
                            Option {
                                text: "450 Times"
                            }
                            Option {
                                text: "500 Times"
                            }
                        }
    
                        Container {
                            id: flash_custom_pattern
    
    	                    Header {
                                title: qsTr("Flash Light Pattern (in Milliseconds)") + Retranslate.onLanguageChanged	            
    	                    }
    	                    
    	                    Container {
    	                        topPadding: 10
    	                        layout: StackLayout {
    	                            orientation: LayoutOrientation.LeftToRight
    	                        }
    	                        TextField {
    	                            text: "100"
                                    objectName: "flashled_custom1"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
    	                        TextField {
    	                            text: "500"
                                    objectName: "flashled_custom2"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
    	                        }
    	                        TextField {
    	                            text: "100"
                                    objectName: "flashled_custom3"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
    	                        }
    	                    }
                            Container {
                                topPadding: 10
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                TextField {
                                    text: "500"
                                    objectName: "flashled_custom4"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                                TextField {
                                    text: "100"
                                    objectName: "flashled_custom5"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                                TextField {
                                    text: "500"
                                    objectName: "flashled_custom6"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                            }
    	                }
                        Label {
                            text: qsTr("This controls the Flash Light blinking rate for all the messsages when you flip the device over.") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                        }
                    
                    

                } // flip hush
                
                Container
                {
                    objectName: "container_active_frame"
                    visible: false
                    horizontalAlignment: HorizontalAlignment.Fill

                    Container {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Show Hub message when charging") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        CheckBox {
                            objectName: "show_hub_message_charging"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
                    Divider {
                    
                    }

                    Header {
                        title: qsTr("Battery Information") + Retranslate.onLanguageChanged
                        visible: false
                    }

                    Container {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Show Battery") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        CheckBox {
                            objectName: "show_battery"
                            horizontalAlignment: HorizontalAlignment.Right
//                            onCheckedChanged: {
 //                               temp.setVisible(checked)
  //                          }
                        }
                    }
                    
                    Header {
                        title: qsTr("Memory Information") + Retranslate.onLanguageChanged
                        visible: false
                    }
                    
                    Divider {
                        
                    }
                    Container {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Show Memory") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        CheckBox {
                            objectName: "show_memory"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
                    Header {
                        title: qsTr("Weather Information (Internet Required)") + Retranslate.onLanguageChanged
                        visible: false
                    }
                    Divider {
                    
                    }
                    
                    Container {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Label {
                            text: qsTr("Show Weather") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                        }
                        CheckBox {
                            objectName: "show_weather"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                    }
                    Label {
                        text: qsTr("Go to the Weather screen to configure it.")
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.Small
                        multiline: true
                    }

                    Divider {                        
                    }
                    
                    Label {
                        text: qsTr("If you want to display the Active Frame when you plugin the Charger then you must enable Instant Previews in the Settings->Notifications application.  When you see the Instant Preview message just touch it to open Power Tools.") + Retranslate.onLanguageChanged	            
                        multiline: true
                        textStyle.fontSize: FontSize.Small
                    }

                } // active frame


                Container
                {
                    objectName: "container_theme"
                    visible: false
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    Container {
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0

                        Header {
                            title: qsTr("Main Screen Icons")                            
                        }
                        DropDown {
                            objectName: "dd_app_icons"
                            title: qsTr("Icons") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Fill
                            Option {
                                value: "square"
                                text: qsTr("Square") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "iso7"
                                text: qsTr("iOS7") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "polygon"
                                text: qsTr("Polygon") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "Round"
                                text: qsTr("Round") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "Shadow"
                                text: qsTr("Shadow") + Retranslate.onLanguageChanged	            
                            }
                        }

                        Header {
                            title: qsTr("Theme (OS10.3 and Higher") + Retranslate.onLanguageChanged	            
                        }
                        DropDown {
                            objectName: "dd_theme"
                            title: qsTr("Theme") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Fill
/*                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                    Application.themeSupport.setVisualStyle(VisualStyle.Dark);
                                else
                                    Application.themeSupport.setVisualStyle(VisualStyle.Bright);
                            }
 */
                            Option {
                                value: "dark"
                                text: qsTr("Dark") + Retranslate.onLanguageChanged	            

                            
                            }
                            Option {
                                value: "bright"
                                text: qsTr("Bright") + Retranslate.onLanguageChanged	            
                            }
                        }

                        Header {
                            title: qsTr("Brand Color") + Retranslate.onLanguageChanged	            
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            topPadding: 10
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Primary") + Retranslate.onLanguageChanged	            
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 300.0
                            }
                            Container {
                                layout: DockLayout {

                                }
                                Container {
                                    id: primary_color
                                    background: Color.create(txt_primary_color.text)                                
                                    preferredWidth: 100.0
                                    verticalAlignment: VerticalAlignment.Fill
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    objectName: "container_theme_primary"
                                    onTouch: {
                                        _Settings.colorPicker(0)
                                    }
                                }
                                ImageView {
                                    imageSource: "asset:///images/img_red_rect.png"
                                    preferredWidth: 100.0
                                    overlapTouchPolicy: OverlapTouchPolicy.Allow
                                    touchPropagationMode: TouchPropagationMode.PassThrough
                                }
                            }
                            
                            TextField {
                                id: txt_primary_color
                                text: "#ff000000"
                                hintText: qsTr("html color or select the color box")
                                objectName: "txt_container_theme_primary"
//                                onTextChanged: {
 //                                   Application.themeSupport.setPrimaryColor(Color.create(text), Color.create(txt_primary_base_color.text))
  //                              }
                            }

                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            topPadding: 10
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Primary base") + Retranslate.onLanguageChanged	            
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 300.0
                            }
                            Container {
                                layout: DockLayout {
                                
                                }
    
                                Container {
                                    id: primary_base
                                    background: Color.create(txt_primary_base_color.text)                                
                                    preferredWidth: 100.0
                                    verticalAlignment: VerticalAlignment.Fill
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    objectName: "container_theme_primary_base"
                                    onTouch: {
                                        _Settings.colorPicker(1)
                                    }
                                }
                                ImageView {
                                    imageSource: "asset:///images/img_red_rect.png"
                                    preferredWidth: 100.0
                                    overlapTouchPolicy: OverlapTouchPolicy.Allow
                                    touchPropagationMode: TouchPropagationMode.Full
                                }
                            }
                            
                            TextField {
                                id: txt_primary_base_color
                                text: "#ff000000"
                                hintText: qsTr("html color or select the color box")
                                objectName: "txt_container_theme_primary_base"
//                                onTextChanged: {
 //                                   Application.themeSupport.setPrimaryColor(Color.create(txt_primary_color.text), Color.create(text))
  //                              }
                            }
                        }

                        Header {
                            title: qsTr("Select Wallpaper")
                        }
                        Container {
                            topPadding: 10
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            
                            TextArea {                           
                                id: tf_file 
                                hintText: qsTr("Select a file or select the Search button") + Retranslate.onLanguageChanged	            
                                objectName: "tf_wallpaper"
                                maximumLength: 256
                            }
                            Button {
                                id: bt_search
                                preferredWidth: 100.0
                                imageSource: "asset:///images/search.png"
                                onClicked: {
                                    filePicker.open()
                                }
                                verticalAlignment: VerticalAlignment.Center
                            }
                        }
                        Label {
                            text: qsTr("Clear wallpaper name to reset to default.")
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                        }
                        Header {
                            title: qsTr("Listview Text Colors")
                        }

                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            topPadding: 10
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Title") + Retranslate.onLanguageChanged	            
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 300.0
                            }
                            Container {
                                layout: DockLayout {
                                
                                }
                                Container {
                                    id: title_color
                                    background: Color.create(txt_title_color.text)                                
                                    preferredWidth: 100.0
                                    verticalAlignment: VerticalAlignment.Fill
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    objectName: "container_title_color"
                                    onTouch: {
                                        _Settings.colorPicker(2)
                                    }
                                }
                                ImageView {
                                    imageSource: "asset:///images/img_red_rect.png"
                                    preferredWidth: 100.0
                                    overlapTouchPolicy: OverlapTouchPolicy.Allow
                                    touchPropagationMode: TouchPropagationMode.PassThrough
                                }
                            }
                            
                            TextField {
                                id: txt_title_color
                                text: "#ff000000"
                                hintText: qsTr("html color or select the color box")
                                objectName: "txt_title_color"
                            }
                        
                        }

                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            topPadding: 10
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Description") + Retranslate.onLanguageChanged	            
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 300.0
                            }
                            Container {
                                layout: DockLayout {
                                
                                }
                                Container {
                                    id: desc_color
                                    background: Color.create(txt_descr_color.text)                                
                                    preferredWidth: 100.0
                                    verticalAlignment: VerticalAlignment.Fill
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    objectName: "container_descr_color"
                                    onTouch: {
                                        _Settings.colorPicker(3)
                                    }
                                }
                                ImageView {
                                    imageSource: "asset:///images/img_red_rect.png"
                                    preferredWidth: 100.0
                                    overlapTouchPolicy: OverlapTouchPolicy.Allow
                                    touchPropagationMode: TouchPropagationMode.PassThrough
                                }
                            }
                            
                            TextField {
                                id: txt_descr_color
                                text: "#ff000000"
                                hintText: qsTr("html color or select the color box")
                                objectName: "txt_descr_color"
                            }
                        
                        }

                                            
                    } // container
                } // theme

                Container
                {
                    objectName: "container_pebble"
                    visible: false
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    
                    Container {
                        id: container_pebble
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
    
                        Header {
                            title: qsTr("Send Message and Notification") + Retranslate.onLanguageChanged	            
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Only Send Message When Device is Locked") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_only_when_locked"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Divider {
                        
                        }

                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Text Message") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_text"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Divider {
                            
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Email Message") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_email"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Divider {
                            
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Apps eg: BBM, WhatsUp") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_applications"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }

                        Label {
                            text: qsTr("Power Tools can not read Application messages such as BBM, WhatsUp, Facebook etc... You will just get a New Message notification.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }
                        Divider {
                        
                        }

                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Battery Status") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_battery"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Label {
                            text: qsTr("Low battery warning must be set in the System Event Sounds screen.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }
                        Divider {                        
                        }

                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Cell Signal Status") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_cell"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Label {
                            text: qsTr("Report when there is no cell signal.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }
                        Divider {
                        
                        }


                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Alarms") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_alarm"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }

                        Divider {                        
                        }

                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Incoming Calls") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_phone"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Divider {                        
                        }

                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Geofencing") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_geofencing"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        
                        Divider {
                            
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("WiFi Connect and Disconnect") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_pebble_wifi"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        
                        Divider {
                        
                        }
/*
                        Label {
                            text: "Power Tools can only send the New Message notification for Applications such as BBM, WhatsUp, Facebook etc..."
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }
*/

                    }
                    
                } // pebble watch


                Container
                {
                    objectName: "container_email"
                    visible: false
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    Container {
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        
                        Header {
                        title: qsTr("Sync Messages Interval") + Retranslate.onLanguageChanged	            
                        }    
                        DropDown {
                            objectName: "dd_sync_message"
                            title: qsTr("Sync Hub Messages Every") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Fill
                            Option {
                                text: qsTr("Do Not Sync")
                            }
                            Option {
                                text: qsTr("1 Minute")
                            }
                            Option {
                                text: qsTr("2 Minutes")
                            }
                            Option {
                                text: qsTr("3 Minutes")
                            }
                            Option {
                                text: qsTr("4 Minutes")
                            }
                            Option {
                                text: qsTr("5 Minutes")
                            }
                            Option {
                                text: qsTr("6 Minutes")
                            }
                            Option {
                                text: qsTr("7 Minutes")
                            }
                            Option {
                                text: qsTr("8 Minutes")
                            }
                            Option {
                                text: qsTr("9 Minutes")
                            }
                            Option {
                                text: qsTr("10 Minutes")
                            }
                            Option {
                                text: qsTr("15 Minutes")
                            }
                            Option {
                                text: qsTr("20 Minutes")
                            }
                            Option {
                                text: qsTr("25 Minutes")
                            }
                            Option {
                                text: qsTr("30 Minutes")
                            }
                            Option {
                                text: qsTr("45 Minutes")
                            }
                            Option {
                                text: qsTr("1 Hour")
                            }
                            Option {
                                text: qsTr("2 Hours")
                            }
                            Option {
                                text: qsTr("3 Hours")
                            }
                            Option {
                                text: qsTr("4 Hours")
                            }
                            Option {
                                text: qsTr("5 Hours")
                            }
                            Option {
                                text: qsTr("6 Hours")
                            }
                        
                        }
                        Divider {
                            
                        }
                        Container
                        {
                            horizontalAlignment: HorizontalAlignment.Fill
                            objectName: "container_email_accounts"

                        }
                        Label {
                            text: qsTr("Go to the Schedule screen to add a schedule to automatically sync accounts.")
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }


                        Header {
                            title: qsTr("Message Blocker") + Retranslate.onLanguageChanged	            
                        }
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Disable Message Blocker") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                objectName: "message_blocker_off"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }

                        Label {
                            text: qsTr("This will disable Messge Blocker in Power Tools.  You will receive all messages including spam.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                        }
                        Divider {
                            
                        }
                        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Do not block messsage if Sender is in Contacts") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            CheckBox {
                                objectName: "message_blocker_in_contact"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Label {
                            text: qsTr("This will search the Contacts database and it will delay the ringtone if your Contacts database is large.") + Retranslate.onLanguageChanged	            
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                        }

                        
                        Header {
                            title: qsTr("Delay Send") + Retranslate.onLanguageChanged	            
                        }    
                        DropDown {
                            objectName: "dd_delay_send_minutes"
                            title: qsTr("Minutes to delay") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Fill
                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                {
                                    lb_delay_send.setVisible(false)
                                    container_delay_send.setVisible(false)
                                }
                                else
                                {
                                    lb_delay_send.setVisible(true)
                                    container_delay_send.setVisible(true)
                                }
                            }
                            selectedIndex: 0
                            Option {
                                text: qsTr("Disable")
                            }
                            Option {
                                text: qsTr("1 Minute")
                            }
                            Option {
                                text: qsTr("2 Minutes")
                            }
                            Option {
                                text: qsTr("3 Minutes")
                            }
                            Option {
                                text: qsTr("4 Minutes")
                            }
                            Option {
                                text: qsTr("5 Minutes")
                            }
                            Option {
                                text: qsTr("6 Minutes")
                            }
                            Option {
                                text: qsTr("7 Minutes")
                            }
                            Option {
                                text: qsTr("8 Minutes")
                            }
                            Option {
                                text: qsTr("9 Minutes")
                            }
                            Option {
                                text: qsTr("10 Minutes")
                            }
                            Option {
                                text: qsTr("15 Minutes")
                            }
                            Option {
                                text: qsTr("20 Minutes")
                            }
                            Option {
                                text: qsTr("30 Minutes")
                            }
                            Option {
                                text: qsTr("45 Minutes")
                            }
                            Option {
                                text: qsTr("1 Hour")
                            }
                            Option {
                                text: qsTr("2 Hours")
                            }
                            Option {
                                text: qsTr("3 Hours")
                            }
                            Option {
                                text: qsTr("4 Hours")
                            }
                            Option {
                                text: qsTr("5 Hours")
                            }
                            Option {
                                text: qsTr("6 Hours")
                            }
                        }
                        Container {
                            id: container_delay_send
                            objectName: "container_delay_send"
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                Label {
                                    text: qsTr("Vibrate when messages are sent")	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                    multiline: true
                                }
                                CheckBox {
                                    objectName: "cb_delay_send_vib"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
                            Divider {
                                
                            }
                        }
                        Label {
                            id: lb_delay_send
                            text: qsTr("Check the email accounts that you want to use in delay send.")
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }

                        
                    }

                
                } // email container


                Container
                {
                    objectName: "container_weather"
                    visible: false
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    Container {
                        horizontalAlignment: HorizontalAlignment.Fill
                        topPadding: 10.0
                        Header {
                            title: qsTr("Weather Information (Internet Required)") + Retranslate.onLanguageChanged	            
                        }

                        Container
                        {
                            topPadding: 10
                            layout: DockLayout {
                            }

                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: qsTr("Enable Weather Information") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                id: tb_enable_weather
                                objectName: "tg_enable_weather"
                                horizontalAlignment: HorizontalAlignment.Right
                                verticalAlignment: VerticalAlignment.Center
                                onCheckedChanged: {
                                    container_weather.setVisible(checked)
                                }
                            }
                        } 
                        Divider {
                            
                        }
                        Container
                        {
                            id: container_weather
                            visible: tb_enable_weather.checked
                            Container {
                                topPadding: 10

                                DropDown {
                                    objectName: "temp_source_Dropdown"
                                    title: qsTr("Provider") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("Open Weather") + Retranslate.onLanguageChanged	            
                                    
                                    }
                                    Option {
                                        text: qsTr("Yahoo") + Retranslate.onLanguageChanged	                                                
                                    }
/*                                    
                                    onSelectedIndexChanged: {
                                        if (selectedIndex == 0)
                                        {
                                            bt_woeid_lookup.setVisible(false)
                                            temp_search.setVisible(true)   
                                            city_search.setHintText(qsTr("Enter city and state eg: Las Vegas, NV"))
                                        }
                                        else
                                        {
                                            bt_woeid_lookup.setVisible(true)
                                            temp_search.setVisible(false)   
                                            city_search.setHintText(qsTr("Enter WOEID. eg: 2502265 for Sunnyvale"))
                                        }
                                    }
*/
                                }
/*
                                Button {
                                    id: bt_woeid_lookup
                                    text: qsTr("Search for WOEID")
                                    onClicked: {
                                        invoke_search_WOEID.trigger("bb.action.OPEN")
                                    }
                                    horizontalAlignment: HorizontalAlignment.Center
                                    imageSource: "asset:///images/search.png"
                                }
*/
                                DropDown {
                                    topPadding: 10
                                    objectName: "temp_search_Dropdown"
                                    id: temp_search
                                    title: qsTr("Search Type") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    selectedIndex: 0
                                    onSelectedIndexChanged: {
                                        if (selectedIndex == 0)
                                            city_search.setVisible(false)
                                        else
                                            city_search.setVisible(true)
                                    }
                                    Option {
                                        value: "Current Location"
                                        
                                        text: qsTr("Current Location") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Search use the current GPS coordinates") + Retranslate.onLanguageChanged	            
                                    
                                    }
                                    Option {
                                        value: "City Name"
                                        
                                        text: qsTr("City Name/Postal Code") + Retranslate.onLanguageChanged	            
                                        description: qsTr("Search by City and State or Postal Code") + Retranslate.onLanguageChanged	            
                                    
                                    }
                                }
                                TextField {
                                    id: city_search
                                    hintText: qsTr("Enter city or postal code eg: Las Vegas, NV or 90210") + Retranslate.onLanguageChanged	            
                                    objectName: "text_cityname"
                                }
                            
                            }
                            Label {
                                text: qsTr("In Active Frame Mode the weather is updated every 5 minutes.") + Retranslate.onLanguageChanged	            
                                multiline: true
                                textStyle.fontSize: FontSize.Small
                                visible: false
                            }
                            
                            Header {
                                title: qsTr("Custom Font")
                            }
                            Container {
                                topPadding: 10
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                
                                }
                                
                                TextField {                           
                                    id: tf_font
                                    hintText: qsTr("Select a ttf font.") + Retranslate.onLanguageChanged	            
                                    objectName: "tf_font"
                                    maximumLength: 256
                                    onTextChanging: {
                                        if (text.length == 0)
                                            container_weather_language.setVisible(false)
                                        else 
                                            container_weather_language.setVisible(true)
                                    } 
                                }
                                Button {
                                    preferredWidth: 100.0
                                    imageSource: "asset:///images/ic_search_map.png"
                                    onClicked: {
                                        fontBrowser.open()
                                    }
                                }
                            }
                            
                            Container {
                                id: container_weather_language
                                visible: tf_font.text.length == 0 ? false : true
                                Header {
                                    title: qsTr("Language")                                
                                }
                                
                                DropDown {
                                    objectName: "dd_to_language"
                                    title: qsTr("Translation Language")
                                    id: dd_to_lang    
                                    Option {
                                        text: qsTr("Afrikaans")             //0                           
                                    }
                                    Option {
                                        text: qsTr("Arabic")                  
                                    }
                                    Option {
                                        text: qsTr("Chinese Cantonese")                         
                                    }
                                    Option {
                                        text: qsTr("Chinese Mandarin")                           
                                    }
                                    Option {
                                        text: qsTr("Croatian")                                    
                                    }
                                    Option {
                                        text: qsTr("Czech")                                    
                                    }
                                    Option {
                                        text: qsTr("Danish")                                               
                                    }
                                    Option {
                                        text: qsTr("Dutch")                                      
                                    }
                                    Option {
                                        text: qsTr("English AU/NZ")  //8                          
                                    }
                                    Option {
                                        text: qsTr("English CAN/US")                            
                                    }
                                    Option {
                                        text: qsTr("English GB")                            
                                    }
                                    Option {
                                        text: qsTr("Finnish")    //9                     
                                    }
                                    Option {
                                        text: qsTr("French")                           
                                    }
                                    Option {
                                        text: qsTr("Greek")                         
                                    }
                                    Option {
                                        text: qsTr("Hindi")                          
                                    }
                                    Option {
                                        text: qsTr("Hungarian ")     //13                        
                                    }
                                    Option {
                                        text: qsTr("Indonesian ")                           
                                    }
                                    Option {
                                        text: qsTr("Italian")                           
                                    }
                                    
                                    
                                    Option {
                                        text: qsTr("Japanese")   //16                        
                                    }
                                    
                                    
                                    Option {
                                        text: qsTr("Korean")                           
                                    }
                                    Option {
                                        text: qsTr("Lao")                           
                                    }
                                    Option {
                                        text: qsTr("German")                           
                                    }
                                    
                                    
                                    Option {
                                        text: qsTr("Norwegian")   //19                   
                                    }
                                    
                                    
                                    Option {
                                        text: qsTr("Pakistan Urdu")                      
                                    }
                                    Option {
                                        text: qsTr("Polish")                      
                                    }
                                    Option {
                                        text: qsTr("Portuguese")                       
                                    }
                                    
                                    Option {
                                        text: qsTr("Romanian")      //22              
                                    }
                                    Option {
                                        text: qsTr("Russian")                     
                                    }
                                    Option {
                                        text: qsTr("Spanish")                     
                                    }
                                    Option {
                                        text: qsTr("Swedish")                       
                                    }
                                    Option {
                                        text: qsTr("Thai")    //26                  
                                    }
                                    Option {
                                        text: qsTr("Tamil")    //26                  
                                    }
                                    Option {
                                        text: qsTr("Turkish")                       
                                    }
                                    Option {
                                        text: qsTr("Vietnamese")                       
                                    }                            
                                }
                            }


                            
                            Header {
                                title: qsTr("Measurement") + Retranslate.onLanguageChanged	            
                            }
                            
                            DropDown {
                                objectName: "temperatureDropdown"
                                id: temp
                                title: qsTr("Unit") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                selectedIndex: 0
                                Option {
                                    value: "Metric"
                                    
                                    text: qsTr("Metric") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Display temperature in Celsius eg: 20°C") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "Imperial"
                                    
                                    text: qsTr("Imperial") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Display temperature in Fahrenheit eg: 68°F") + Retranslate.onLanguageChanged	            
                                
                                }
                            }
                            Header {
                                title: qsTr("Weather Wallpaper")
                                visible: false
                            }
                            Divider {
                                
                            }
                            Container {
                                horizontalAlignment: HorizontalAlignment.Center
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight

                                }
                                Button {
                                    text: qsTr("Wallpaper Setup")
                                    horizontalAlignment: HorizontalAlignment.Center
                                    onClicked: {
                                        _Settings.manage_wallpapers()
                                    }
                                    imageSource: "asset:///images/ic_wallpaper.png"
                                }
                                Button {
                                    text: qsTr("Help")
                                    horizontalAlignment: HorizontalAlignment.Center
                                    onClicked: {
                                        _Settings.weather_help()
                                    }
                                    imageSource: "asset:///images/ic_help.png"
                                }

                                
                            }
                            
                            
                            Label {
                                text: qsTr("Set wallpaper when outside temperature changes.")
                                multiline: true
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.Small
                                visible: false
                            }
    
                        }
                    }
                } // weather


                // home screen
                Container
                {
                    objectName: "container_shortcuts"
                    visible: false
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    topPadding: 10.0
                    
                    DropDown {
                        id: dd_shortcut
                        objectName: "shortcutsDropdown"
                        title: qsTr("Shortcut") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Fill
                        selectedIndex: 0
                        Option {
                            text: qsTr("Turn On Speech") + Retranslate.onLanguageChanged	                                    
                            imageSource: "asset:///images/ic_speech_on.png"
                        }
                        Option {
                            text: qsTr("Turn Off Speech") + Retranslate.onLanguageChanged	                                    
                            imageSource: "asset:///images/ic_speech_off.png"
                        }
                        Option {
                            text: qsTr("Blank Icon") + Retranslate.onLanguageChanged	                                    
                            description: "Create an invisible icon"
                            imageSource: "asset:///images/ic_blank.png"
                        }
                        Option {
                            text: qsTr("Sound Notification") + Retranslate.onLanguageChanged	                                    
                            description: "Set a Sound Notification for a period of time"
                            imageSource: "asset:///images/ic_system_sound.png"
                        }
                        Option {
                            text: qsTr("Send Delayed Messages") + Retranslate.onLanguageChanged	                                    
                            description: "Send all the delayed messages"
                            imageSource: "asset:///images/icon_send_delay_email.png"
                        }
                        Option {
                            text: qsTr("Speak New Messages") + Retranslate.onLanguageChanged	                                    
                            description: "Speak all the new messages"
                            imageSource: "asset:///images/ic_speech.png"
                        }

                        
                        onSelectedIndexChanged: {
                            if (selectedIndex == 2)
                            {
                                container_sound_notifications.setVisible(false)
                                container_blank_icon.setVisible(true)
                                
                            }
                            else
                            // sound notification
                            if (selectedIndex == 3)
                            {
                                container_sound_notifications.setVisible(true)
                                container_blank_icon.setVisible(false)
                            }
                            else
                            {
                                container_sound_notifications.setVisible(false)
                                container_blank_icon.setVisible(false)
                            }
                        }
                    }
                    
                    Container {
                        leftPadding: 20
                        rightPadding: 20
                        topPadding: 10
                        id: container_blank_icon
                        visible: false
                        Label {
                            id: lb_temp
                            text: qsTr("Icons to create 1")
                            horizontalAlignment: HorizontalAlignment.Center
                            objectName: "lb_temp"
                        }
                        Slider {
                            id: sl_icon_size
                            horizontalAlignment: HorizontalAlignment.Fill
                            fromValue: 1
                            toValue: 32
                            value: 1
                            onImmediateValueChanged: {
                                lb_temp.setText(qsTr("Icons to create") + " " + Math.round(immediateValue))
                                //                            _wallpaper.update_temperature(immediateValue);
                            }
                            objectName: "sl_icon_size"
                        }
                    
                    }
                    
                    Container {
                        id: container_sound_notifications
                        Divider {
                            
                        }
                        DropDown {
                            id: dd_shortcut_notification
                            title: qsTr("Mode") + Retranslate.onLanguageChanged	            
                            selectedIndex: 0
                            Option {
                                imageSource: "asset:///images/ic_mode_silent.png"
                                
                                text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                imageSource: "asset:///images/ic_mode_vibrate.png"
                                
                                text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                imageSource: "asset:///images/ic_mode_normal.png"
                                
                                text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                imageSource: "asset:///images/ic_mode_phone.png"
                                text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                            
                            }
                            Option {
                                imageSource: "asset:///images/ic_mode_alloff.png"                                
                                text: qsTr("All Alerts Off") + Retranslate.onLanguageChanged	            
                            }
                        }
                        
                        DropDown {
                            id: dd_notification_duration
                            title: qsTr("Duration") + Retranslate.onLanguageChanged	            
                            selectedIndex: 0
                            Option {
                                text: qsTr("15 Minutes") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("30 Minutes") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("45 Minutes") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("1 Hour") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("2 Hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("3 Hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("4 Hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("5 Hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("6 Hours") + Retranslate.onLanguageChanged	            
                            }

                        }
                        Header {
                            title: qsTr("When profile is activated")
                        }
                        Container
                        {
                            topPadding: 10
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: qsTr("Do not allow other tasks to change it until completed") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "tg_homescreen_do_not_change"
                                horizontalAlignment: HorizontalAlignment.Right
                                verticalAlignment: VerticalAlignment.Center
                            }
                        } 
                        
                    } // sound notification container
                    
                     
                    Divider {
                        
                    }
                    
                    Button {
                        text: qsTr("Create Shortcut")
                        imageSource: "asset:///images/icon_create.png"
                        onClicked: {
                            _Settings.create_icon(dd_shortcut.selectedIndex, dd_shortcut_notification.selectedIndex, dd_notification_duration.selectedIndex, sl_icon_size.value)
                        }
                        horizontalAlignment: HorizontalAlignment.Center

                    }
                    
                    Divider {
                        
                    }
                    Label {
                        text: qsTr("Shortcut is created on the HomeScreen.  Just select the icon to run it.")
                        multiline: true
                        textStyle.fontStyle: FontStyle.Italic
                        textStyle.fontSize: FontSize.Small
                    }

                } // shortcuts


            } // container
        } // scrollview


    }
	
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: qsTr("Select a picture")
            directories : [ "/accounts/1000/shared/camera"]
            onFileSelected: {    
                tf_file.setText("file://"+selectedFiles);            
            }
        },

        FilePicker {
            id: fontBrowser
            type: FileType.Other
            title: qsTr("Select a Font") + Retranslate.onLanguageChanged	            
            directories : [ "/accounts/1000/shared/downloads"]
            filter: [ "*.ttf" ]
            onFileSelected: {                    
                tf_font.setText(selectedFiles)
                _mainApp.selectFont(selectedFiles);   
            }
        },
        
        Invocation
        {
            id: invoke_search_WOEID
            query.mimeType: "text/html"
            query.uri: "http://woeid.rosselliot.co.nz/"
            query.invokeActionId: "bb.action.OPEN"
        }


    
    ]

}
