import bb.cascades 1.0
//! [0]
NavigationPane {
    objectName: "navPane"
    backButtonsVisible: false

    
    Page {
        
        titleBar: TitleBar {
            title: qsTr("Power Tools")
            visibility: ChromeVisibility.Visible

            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _app.close_window()
                }
                objectName: "action_close"
            }

        } // titleBar
        
        actions: [
            
            ActionItem {
                title: qsTr("Resize") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_resize.png"
                onTriggered: {
                    fileinfo.setVisible(false)
                    resize_container.setVisible(true)
                }
                objectName: "action_resize"
                },

            ActionItem {
                title: qsTr("Shred") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_shred.png"
                onTriggered: {
                    fileinfo.setVisible(true)
                    resize_container.setVisible(false)
                    _app.doAction(1)
                }
                objectName: "action_shred"
            },

            ActionItem {
                title: qsTr("Encrypt") + Retranslate.onLanguageChanged	            
                        ActionBar.placement: ActionBarPlacement.OnBar
                        imageSource: "asset:///images/ic_encrypt.png"
                        onTriggered: {
                            fileinfo.setVisible(true)
                            resize_container.setVisible(false)
                            _app.doAction(2)
                        }
                        objectName: "action_encrypt"
            }

        ]

	    objectName: "page"

	    ScrollView {
	         
		    Container {
	            layout: DockLayout {
	            }
	            
	            Container
	            {
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Top
	                objectName: "fileinfo_container"
	                ImageView {
	                    id: fileimage
	                    scalingMethod: ScalingMethod.AspectFit
	                    preferredHeight: 240
	                    horizontalAlignment: HorizontalAlignment.Center
	                    objectName: "file_image"
	                    topPadding: 10
	                }
	                
	                Header
	                {
                        title: qsTr("File Name") + Retranslate.onLanguageChanged	            
	                
	                }
	                Label {
	                    objectName: "filename"
	                    multiline: true
	                }
	                Label {
	                    objectName: "location"
	                    multiline: true
	                    textStyle.fontSize: FontSize.XSmall
	                    textStyle.fontStyle: FontStyle.Italic
	                }
	                
	                Container {
	                    id: fileinfo
	                    
		                
		                Header {
                            title: qsTr("File Size") + Retranslate.onLanguageChanged	            
		                
		                }
		                
		                Label {
		                    objectName: "filesize"
		                }
		                
		                Header {
                            title: qsTr("Last Modified") + Retranslate.onLanguageChanged	            
		                
		                }
		                
		                Label {
		                    objectName: "modifydate"
		                }
		            } // container
	
	
	                // [1]
	                Container {
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    id: resize_container
	                    visible: false
	                    Header {
                            title: qsTr("Resize Properties") + Retranslate.onLanguageChanged	            
	                    
	                    }
	                    DropDown {
                            title: qsTr("Resize To") + Retranslate.onLanguageChanged	            
	                        
		                    selectedIndex: 0
		                    objectName: "resize"
		                    onSelectedIndexChanged: {
		                        // if percentage
		                        if (selectedIndex > 0 && selectedIndex < 6)
		                        {
	                                aspect_ratio.setVisible(false)
		                        }
		                        else
	                            	aspect_ratio.setVisible(true)
		                    }
	                    Option {
                                text: qsTr("Screen Size") + Retranslate.onLanguageChanged	            
	                        }
	                        
	                        Option {
	                            text: "12%"
	                        }
	                        Option {
	                            text: "25%"
	                        }
	                        Option {
	                            text: "50%"
	                        }
	                        Option {
	                            text: "75%"
	                        }
	                        Option {
	                            text: "125%"
	                        }
	                        
	                        Option {
	                            text: "150%"
	                        }
	                        Option {
	                            text: "200%"
	                        }
	
	                        Option {
	                            text: "240 x 320"
	                        }
	                        Option {
	                            text: "360 x 640"
	                        }
	                        Option {
	                            text: "576 x 1024"
	                        }
	                        Option {
	                            text: "720 x 1280"
	                        }
	                        Option {
	                            text: "1080 x 1920"
	                        }
	                    
	                    }
	                    
	                    DropDown {
                            title: qsTr("Aspect Ratio") + Retranslate.onLanguageChanged	            
	                        id: aspect_ratio
		                    selectedIndex: 2
		                    objectName: "aspect_ratio"
		                    Option {
	                            imageSource: "asset:///images/ic_scaled_size.png"

                                text: qsTr("Ignore Aspect") + Retranslate.onLanguageChanged	            
                                description: qsTr("The image is scaled to size") + Retranslate.onLanguageChanged	            

	                        
	                        }
	                        Option {
	                            imageSource: "asset:///images/ic_scaled_keepratio.png"

                                text: qsTr("Keep Aspect") + Retranslate.onLanguageChanged	            
                                description: qsTr("Scaled as large as possible inside size, preserving the aspect ratio") + Retranslate.onLanguageChanged	            

	                        }
	                        Option {
	                            imageSource: "asset:///images/ic_scaled_expand.png"

                                text: qsTr("Keep Aspect By Expanding") + Retranslate.onLanguageChanged	            
                                description: qsTr("Scaled as small as possible outside size, preserving the aspect ratio") + Retranslate.onLanguageChanged	            

	                        }
	                    }
	
	                    DropDown {
                            title: qsTr("Format") + Retranslate.onLanguageChanged	            
	                        selectedIndex: 1
	                        objectName: "save_format"
	                        Option {
	                            text: "BMP"
	                        }
	                        Option {
	                            text: "JPG"
	                        }
	                        Option {
	                            text: "PNG"
	                        }
	                    }
	
	
		                Button {
                            text: qsTr("Resize") + Retranslate.onLanguageChanged	            
		                    verticalAlignment: VerticalAlignment.Center
		                    horizontalAlignment: HorizontalAlignment.Center
		                    onClicked: {
		                        _app.doAction(0)
		                    }
	                     objectName: "resize_button"
	
	                }
	
	            } // [1]
	            
	            }
	            
	            
	            
	            // show the activity indication center of the screen
	            // [0]
	            Container {
	                horizontalAlignment: HorizontalAlignment.Center
	                verticalAlignment: VerticalAlignment.Center
	                //	            background: Color.DarkGreen
	                
	                Container {
	                    objectName: "progress_container"
	                    visible: false
	                    
	                    layout: DockLayout {
	                    }
	                    preferredWidth: 1280
	                    preferredHeight: 240
	                    
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    Container {
	                        leftPadding: 10.0
	                        rightPadding: 10.0
	                        ImageView {
	                            imageSource: "asset:///images/wipe_background.png"
	                            preferredWidth: 1280
	                            preferredHeight: 240
	                        }
	                    }
	                    Container {
	                        leftPadding: 10.0
	                        rightPadding: 10.0
	                        layout: StackLayout {
	                        }
	                        
	                        //	            opacity: 0.7
	                        horizontalAlignment: HorizontalAlignment.Center
	                        Label {
	                            text: "Pass 1 of 7"
	                            horizontalAlignment: HorizontalAlignment.Center
	                            objectName: "pass_label"
	                            textStyle.color: Color.Green
	                        }
	                        Label {
	                            horizontalAlignment: HorizontalAlignment.Center
	                            objectName: "filename_label"
	                            textStyle.fontSize: FontSize.Small
	                            textStyle.color: Color.White
	                        }
	                        
	                        ProgressIndicator {
	                            toValue: 7.0
	                            objectName: "progress_indicator"
	                            fromValue: 1.0
	                            value: 1.0
	                        
	                        }
	                        
	                        Label {
	                            text: ""
	                        }
	                    
	                    }
	                }
	            } // [0] progress
	        
	        } // scroll

        }
    
}
//! [0]
}