import bb.cascades 1.3

    
NavigationPane {
    Page {

        
        titleBar: TitleBar {
            id: addBar
            title: "Power Tools"
        }// titleBar
        
        actions: [
            ActionItem {
                title: qsTr("Quick Settings")
                imageSource: "asset:///images/ic_quick_settings.png"
                onTriggered: {
                    _Settings.do_quick_settings()
                }
            },
            
            ActionItem {
                title: qsTr("Stop") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_banned_phone.png"
                onTriggered: {
                    _Settings.turn_off_blocking()
                }
                objectName: "stop_call_blocking"
            },

            ActionItem {
                title: qsTr("Get PowerBot App") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_powerbot.png"
                onTriggered: {
                    get_powerbot.trigger("bb.action.OPEN")
                }
            },
            

            ActionItem {
                title: qsTr("Send Delayed Messages") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_email.png"
                onTriggered: {
                    _Settings.send_delayed_messagers(false)
                }
                objectName: "action_delay_send"
                shortcuts: [
                    Shortcut {
                        key: "S"
                    }
                ]
            },

            ActionItem {
                title: qsTr("Batch Processing") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_batch.png"
                onTriggered: {
                    _Settings.batchProcessing()
                }
                shortcuts: [
                    Shortcut {
                        key: "P"
                    }
                ]
            }            
 
            ,
            ActionItem {
                title: qsTr("View Blocked Log") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_viewlog.png"
                onTriggered: {
                    _Settings.viewLog()
                }
                shortcuts: [
                    Shortcut {
                        key: "L"
                    }
                ]
            },
            
            
            ActionItem {
                title: qsTr("Backup Database") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_restore_files.png"
                onTriggered: {
                    _Settings.backupRestore(0)
                }
                shortcuts: [
                    Shortcut {
                        key: "B"
                    }
                ]
            }
            ,
            ActionItem {
                title: qsTr("Restore Database") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_save.png"
                onTriggered: {
                    _Settings.backupRestore(1)
                }
                shortcuts: [
                    Shortcut {
                        key: "R"
                    }
                ]
            },

            ActionItem {
                title: qsTr("List") + Retranslate.onLanguageChanged	            
               // ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_view_list.png"
                onTriggered: {
                    _Settings.setlistviewmode(false)
                }
                objectName: "list_mode"
            }
        
        ]

    	objectName: "page"
    	
    	Container {
            layout: DockLayout {
            }

            objectName: "mainContainer"
            // show the banned phone icon
            ImageView 
            {
                
                imageSource: "asset:///images/sheet_background.jpg"
                scalingMethod: ScalingMethod.AspectFill
                objectName: "img_background"
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
            }
            
            Container
            {	
                layout: DockLayout {
                }
	            
	            // list browser
	            id: browse_container
	            horizontalAlignment: HorizontalAlignment.Fill
	
	            objectName: "container_listview"
	            
	            ListView {
	                id: listView
	                dataModel: _Settings.model
                    focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
	                listItemComponents: [
	                    ListItemComponent {
	                        type: "item"
	                        StandardListItem {
	                            title: ListItemData.title
	                            description: ListItemData.description
	                            status: ListItemData.status
	                            imageSource: ListItemData.image
	                            imageSpaceReserved: false                            
                                textFormat: TextFormat.Html
	                        }
	                    }
	                ] // listItem
	                
	                onTriggered: {
	                    clearSelection()
	                    _Settings.selectedItem(indexPath)
	                }
	                
	                objectName: "itemList"
	                leadingVisualSnapThreshold: 0.6            
	            } // listview
	        
	        
	        } // list container
    
    
            // grid layout
            Container
            {
                objectName: "container_grid"
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center
                visible: false
//                ScrollView {
                    ListView {
                        id: recipeList
                        focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Center
                        layout: GridListLayout {
                            columnCount: 3
                            objectName: "maingridlist"
                        }
                        
                        dataModel: XmlDataModel {
                            objectName: "xml_icons"
//                            source: _Settings.xml_iconfile; //"models/icons_normal.xml"
                        }
                        
                        listItemComponents: [
                            
                            ListItemComponent {
                                
                                type: "recipeitem"
                                Container {
                                    id: itemRoot
                                    layout: DockLayout {
                                    }
/*
                                    Container {
                                        background: Color.create("#75b5d3")
                                        opacity: itemRoot.ListItem.active  ? 0.7 : 0.0
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        verticalAlignment: VerticalAlignment.Fill
                                    }
*/
                                    ImageView {
                                        id: img
                                        imageSource: ListItemData.image
                                        objectName: ListItemData.tool
                                        opacity: itemRoot.ListItem.active  ? 0.5 : 1.0
 //                                       horizontalAlignment: HorizontalAlignment.Center
//                                        verticalAlignment: VerticalAlignment.Center
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        verticalAlignment: VerticalAlignment.Fill
                                    }
                                }
                            
                            }
                        ]
                        
                        onTriggered: {
                            _Settings.open_tool(indexPath)
                        }
                        
                        objectName: "grid_listview"
                    }// ListView
               // } // scroll view
            
            }
    
	        
	    } // main container
    
    	
    } // page
    
    onCreationCompleted: {
        
//        phone.callUpdated.connect(_mainApp.onCallUpdated);
        Application.setCover(appCover);
            
    }

    attachedObjects: [
        
        Invocation {
            id: get_powerbot
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://content/59950110" 
            query.invokeActionId: "bb.action.OPEN"
        },
        
        SceneCover {
            id: appCover
            
            content: Container {
                layout: DockLayout {
                }
                background: (Application.themeSupport.theme.colorTheme.style == VisualStyle.Dark)?Color.Black:Color.White

                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    ImageView {
                        objectName: "toolbox_img"
                        imageSource: "asset:///images/ic_toolbox.png"
                    }
                }
                
                // show the current profile
                Container {
                    rightPadding: 10
                    topPadding: 5
                    horizontalAlignment: HorizontalAlignment.Right
                    verticalAlignment: VerticalAlignment.Top
                    ImageView {
                        objectName: "profile_img"
                        preferredWidth: 64.0
                        preferredHeight: 64.0
                    }
                
                }
                
                // show the weather icon
                Container {
                    objectName: "container_weather"
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Top
                    Container
                    {
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        Container {
                            ImageView {
//                                imageSource: "asset:///images/01d.png"
                                objectName: "weather_img"
                            }
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                        }
                        
                        Container {
                            leftPadding: 10
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Querying...") + Retranslate.onLanguageChanged	            
                                objectName: "weather_label"
                            }
                        }
                    }
                
                }
                
                
                // show the current profile
                Container {
                    layout: StackLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Bottom
                    Label{
                        bottomPadding: 10
                        objectName: "time_to_charge"
                        textStyle.color: Color.Green
                        visible: false
                    }
                
                }
                
                Container {
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    
                    
                    
                    Container {
                        
                        // first column
                        Container {
                            objectName: "battery_container" // container
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            ImageView {
                                horizontalAlignment: HorizontalAlignment.Right
                                objectName: "battery_img"
                                imageSource: "asset:///images/ic_battery_50.png"
                            }
                            Label {
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Center
                                objectName: "battey_label"
                                text: ""
                            }
                        
                        }

                        // first column
                        Container {
                            objectName: "battery_container2" // container
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
/*                            ImageView {
                                horizontalAlignment: HorizontalAlignment.Right
                                objectName: "battery_img"
                                imageSource: "asset:///images/ic_battery_50.png"
                                visible: false
                            }
*/                            Label {
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Center
                                objectName: "battey_current_label"
                                text: ""
                                textStyle.fontSize: FontSize.Small
                            }
                        
                        }

                        
                        // second column
                        Container {
                            objectName: "memory_container" 
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            ImageView {
                                horizontalAlignment: HorizontalAlignment.Right
                                objectName: "memory_img"
                                imageSource: "asset:///images/ic_memory.png"
                            }
                            Label {
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Center
                                objectName: "memory_label"
                                text: ""
                            }
                        }
                    } // container
                
                
                } // main container
            
            
            }

        } // scene
    
    ]

}

