import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Manage System Sound Profiles") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _SoundProfile.cancelEditSoundProfileSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _SoundProfile.saveEditSoundProfileSettings()
                }
            
            }
        }// titleBar
        
        actions: [
            
            
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _SoundProfile.help()
                }
            },

            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _SoundProfile.deleteItem()
                }
                objectName: "delete_action"
            }

        ]

        objectName: "page"
        
        Container {
            SegmentedControl {
                
                leftPadding: 5
                rightPadding: 5
                topPadding: 5
                id: segmented1
                enabled: !tb_disabled.checked
                Option {
                    id: option1
                    text: qsTr("General")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Start Time")
                }
                Option {
                    id: option3
                    text: qsTr("End Time")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_general.setVisible(true)
                        container_start.setVisible(false)
                        container_end.setVisible(false)
                    }
                    else
                        if (selectedIndex == 1)
                        {
                        container_general.setVisible(false)
                        container_start.setVisible(true)
                        container_end.setVisible(false)
                        }
                        else
                            if (selectedIndex == 2)
                            {
                            container_general.setVisible(false)
                            container_start.setVisible(false)
                            container_end.setVisible(true)
                            }
                }
            } // segement
            
            Container {
                leftPadding: 15.0
                topPadding: 5.0
                rightPadding: 15.0
                id: container_general
                ScrollView {
                    
                    
                    Container
                    {
                        layout: StackLayout { }


                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Disable")
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_disabled
                                objectName: "tb_disable"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    main_container.setVisible(!checked)
                                    segmented1.setEnabled(checked)
                                }
                            }
                        }
                        
                        Divider {
                        
                        }
                        
                        Container {
                            id: main_container
                            visible: !tb_disabled.checked
                            Header {
                                title: qsTr("Profile Name") + Retranslate.onLanguageChanged	            
                            }
                            TextField {
                                id: contactNumber
                                objectName: "profile_name"
                                hintText: qsTr("Enter a profile name") + Retranslate.onLanguageChanged	            
                            
                            }
                            
                            
                            DropDown {
                                id: repeatalarmdropdown
                                objectName: "repeatDropdown"
                                
                                title: qsTr("Recurrence") + Retranslate.onLanguageChanged	            
                                
                                Option {
                                    value: "Everyday"
                                    
                                    text: qsTr("Everyday") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Activate everyday.") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "Weekdays"
                                    
                                    text: qsTr("Weekdays") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Activate Monday to Friday.") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    value: "Weekly"
                                    
                                    text: qsTr("Weekly") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Activate every week.") + Retranslate.onLanguageChanged	            
                                
                                
                                }
                                
                                onSelectedValueChanged: {
                                    if (selectedIndex == 2)
                                    {
                                        weekdays1.setVisible(true);
                                        weekdays2.setVisible(true);
                                    }
                                    else
                                    {
                                        weekdays1.setVisible(false);
                                        weekdays2.setVisible(false);
                                    }
                                }
                                selectedIndex: 0
                            } // DropDown
    
                            Container
                            {
                                id: weekdays1
                                horizontalAlignment: HorizontalAlignment.Left
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                visible: false
                                CheckBox {
                                    id: monday
                                    objectName: "monday"
                                    text: "Mon"
                                }
                                CheckBox {
                                    id: tuesday
                                    objectName: "tuesday"
                                    text: "Tue"
                                }
                                CheckBox {
                                    id: wednesday
                                    objectName: "wednesday"
                                    text: "Wed"
                                }
                                CheckBox {
                                    id: thursday
                                    objectName: "thursday"
                                    text: "Thr"
                                }
                            }
                            
                            Container
                            {
                                id: weekdays2
                                horizontalAlignment: HorizontalAlignment.Left
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                visible: false
                                CheckBox {
                                    id: friday
                                    objectName: "friday"
                                    text: "Fri"
                                }
                                CheckBox {
                                    id: saturday
                                    objectName: "saturday"
                                    text: "Sat"
                                }
                                
                                CheckBox {
                                    id: sunday
                                    objectName: "sunday"
                                    text: "Sun"
                                }
                                
                                CheckBox {
                                    id: all
                                    objectName: "all"
                                    text: qsTr("All")
                                    onCheckedChanged: {
                                        if (checked)
                                        {
                                            monday.setChecked(true);
                                            tuesday.setChecked(true);
                                            wednesday.setChecked(true);
                                            thursday.setChecked(true);
                                            friday.setChecked(true);
                                            saturday.setChecked(true);
                                            sunday.setChecked(true);
                                        }
                                        else
                                        {
                                            monday.setChecked(false);
                                            tuesday.setChecked(false);
                                            wednesday.setChecked(false);
                                            thursday.setChecked(false);
                                            friday.setChecked(false);
                                            saturday.setChecked(false);
                                            sunday.setChecked(false);
                                        }
                                    }
                                }
                            } // repeat container
                        
    
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                Label {
                                    text: qsTr("Over ride VIP")
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_override_vip"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
                            Label {
                                text: qsTr("When enabled this Profile will over ride VIP status.  LED and Ringtone will be disabled.")
                                multiline: true
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.Small
                            }
                        } // container
                    }
                    
                } // scrollview
            } // general container


            // start time
            Container {
                leftPadding: 15.0
                topPadding: 5.0
                rightPadding: 15.0
                id: container_start

                visible: false
                ScrollView {
                    Container
                    {
                        id: start_time
//                        visible: ib_start.checked
                        DateTimePicker {		                    
                            title: qsTr("Time") + Retranslate.onLanguageChanged	            
                            objectName: "starttime"
                            mode: DateTimePickerMode.Time
                            minuteInterval: 1
                        }
                        //Unknown = 0, Silent = 1, Vibrate = 2, Normal = 3, PhoneOnly = 4, AlertsOff = 5
                        
                        Container
                        {
                            id: profile1
                            visible: true
                            topPadding: 10.0
                            DropDown {
                                id: mode
                                title: qsTr("Mode") + Retranslate.onLanguageChanged	            
                                objectName: "mode"
                                selectedIndex: 0
                                onSelectedIndexChanged: {
                                    // normal and phone only
                                    if (selectedIndex == 2 || selectedIndex == 3)
                                    {
                                        start_led.setVisible(true)
                                        start_sound.setVisible(true)
                                        start_vibrate.setVisible(true)
                                        start_preview.setVisible(true)
                                        //start_volume.setVisible(true)
                                    }
                                    // silent and vibrate
                                    else
                                        if (selectedIndex == 0 || selectedIndex == 1)
                                        {
                                        start_led.setVisible(true)
                                        start_sound.setVisible(false)
                                        start_vibrate.setVisible(false)
                                        start_preview.setVisible(true)
                                        //start_volume.setVisible(false)
                                        start_sound.setSelectedIndex(0)
                                        start_vibrate.setSelectedIndex(0)
                                    
                                        }
                                        // all off
                                        else
                                        {
                                            start_led.setVisible(false)
                                            start_sound.setVisible(false)
                                            start_vibrate.setVisible(false)
                                            start_preview.setVisible(false)
                                            //start_volume.setVisible(false)
                                            
                                            start_led.setSelectedIndex(0)
                                            start_sound.setSelectedIndex(0)
                                            start_preview.setSelectedIndex(0)
                                            start_vibrate.setSelectedIndex(0)
                                        
                                        }
                                }
                                Option {
                                    value: "silent"
                                    imageSource: "asset:///images/ic_mode_silent.png"
                                    
                                    text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute phone and system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "vibrate"
                                    imageSource: "asset:///images/ic_mode_vibrate.png"
                                    
                                    text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Vibrate on incoming call and mute all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "normal"
                                    imageSource: "asset:///images/ic_mode_normal.png"
                                    
                                    text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "phonecall"
                                    imageSource: "asset:///images/ic_mode_phone.png"
                                    text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow phone sound and mute system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "alloff"
                                    imageSource: "asset:///images/ic_mode_alloff.png"
                                    
                                    text: qsTr("All Alerts Off") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute all sounds") + Retranslate.onLanguageChanged	            
                                }
                            }
                        } // mode container
                        
                      //  Container
                      //  {
                         //   topPadding: 10.0
                            DropDown {
                                id: start_led
                                title: qsTr("LED") + Retranslate.onLanguageChanged	            
                                objectName: "led"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                       // }
                       // Container
                      //  {
                          //  topPadding: 10.0
                            DropDown {
                                id: start_sound
                                title: qsTr("Sound") + Retranslate.onLanguageChanged	            
                                objectName: "sound"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                      //  }
                        
                       // Container
                     //   {
                       //     topPadding: 10.0
                            DropDown {
                                id: start_vibrate
                                title: qsTr("Vibrate") + Retranslate.onLanguageChanged	            
                                objectName: "vibrate"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                      //  }
                        
                      //  Container
                       // {
                        //    topPadding: 10.0
                            DropDown {
                                id: start_preview
                                title: qsTr("Instant Preview") + Retranslate.onLanguageChanged	            
                                objectName: "preview"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                       // }
                        
                        Header {
                            title: qsTr("Phone Calls") + Retranslate.onLanguageChanged	            
                        }
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Block all incoming calls") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "block_incoming_calls"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        
                        } // container                    
                        
                        Divider {
                        
                        }
                        
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Block all outgoing calls") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "block_outgoing_calls"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        
                        } // container                    
                        Divider {
                        
                        }
                        
                        Container
                        {
                            topPadding: 10
                            id: adjust_start_volume
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: qsTr("Adjust Volumes") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: start_sound_tb
                                objectName: "tb_adjust_start_volumes"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        
                        
                        Container {          
                            visible: start_sound_tb.checked
                            
                            Header {
                                title: qsTr("Volume") + Retranslate.onLanguageChanged	            
                            }
                            
                            Container {
                                id: start_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "start_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            
                            Header {
                                title: qsTr("Main Volume") + Retranslate.onLanguageChanged	            
                            }
                            Container {
                                id: media_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "main_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            Label {
                                text: qsTr("Adjust media volume and the volume of your applications.") + Retranslate.onLanguageChanged	            
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.XSmall
                            
                            }
                        } // volume	                                    
                    } // start time

                
                } // scrollview
                
            } // end start time container
            

            // end time
            Container {
                leftPadding: 15.0
                topPadding: 5.0
                rightPadding: 15.0
                id: container_end
                visible: false
                ScrollView {
                    Container
                    {
                        id: end_time
//                        visible: ib_end.checked
                        
                        DateTimePicker {		                    
                            title: qsTr("Time") + Retranslate.onLanguageChanged	            
                            objectName: "endtime"
                            mode: DateTimePickerMode.Time
                            minuteInterval: 1
                        }
                        //Unknown = 0, Silent = 1, Vibrate = 2, Normal = 3, PhoneOnly = 4, AlertsOff = 5
                        
                        Container
                        {
                            id: profile2
                            visible: true
                            topPadding: 10.0
                            DropDown {
                                id: mode2
                                title: qsTr("Mode") + Retranslate.onLanguageChanged	            
                                objectName: "mode_end"
                                selectedIndex: 0
                                onSelectedIndexChanged: {
                                    // normal and phone only
                                    if (selectedIndex == 2 || selectedIndex == 3)
                                    {
                                        end_led.setVisible(true)
                                        end_sound.setVisible(true)
                                        end_vibrate.setVisible(true)
                                        end_preview.setVisible(true)
                                        //end_volume.setVisible(true)
                                    }
                                    // silent and vibrate
                                    else
                                        if (selectedIndex == 0 || selectedIndex == 1)
                                        {
                                        end_led.setVisible(true)
                                        end_sound.setVisible(false)
                                        end_vibrate.setVisible(false)
                                        end_preview.setVisible(true)
                                        //end_volume.setVisible(false)
                                        
                                        end_sound.setSelectedIndex(0)
                                        end_vibrate.setSelectedIndex(0)
                                    
                                        }
                                        // all off
                                        else
                                        {
                                            end_led.setVisible(false)
                                            end_sound.setVisible(false)
                                            end_vibrate.setVisible(false)
                                            end_preview.setVisible(false)                                    
                                            //end_volume.setVisible(false)
                                            
                                            end_led.setSelectedIndex(0)
                                            end_sound.setSelectedIndex(0)
                                            end_vibrate.setSelectedIndex(0)
                                            end_preview.setSelectedIndex(0)
                                        
                                        }
                                }
                                Option {
                                    value: "silent"
                                    imageSource: "asset:///images/ic_mode_silent.png"
                                    
                                    text: qsTr("Silent") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute phone and system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "vibrate"
                                    imageSource: "asset:///images/ic_mode_vibrate.png"
                                    
                                    text: qsTr("Vibrate Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Vibrate on incoming call and mute all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "normal"
                                    imageSource: "asset:///images/ic_mode_normal.png"
                                    
                                    text: qsTr("Normal") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow all sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "phonecall"
                                    imageSource: "asset:///images/ic_mode_phone.png"
                                    text: qsTr("Phone Calls Only") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Allow phone sound and mute system sounds") + Retranslate.onLanguageChanged	            
                                
                                }
                                Option {
                                    value: "alloff"
                                    imageSource: "asset:///images/ic_mode_alloff.png"
                                    
                                    text: qsTr("All Alerts Off") + Retranslate.onLanguageChanged	            
                                    description: qsTr("Mute all sounds") + Retranslate.onLanguageChanged	            
                                }
                            }
                        } // mode container
                        
                      //  Container
                      //  {
                         //   topPadding: 10.0
                            DropDown {
                                id: end_led
                                title: qsTr("LED") + Retranslate.onLanguageChanged	            
                                objectName: "led_end"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                       // }
                       // Container
                       // {
                        //    topPadding: 10.0
                            DropDown {
                                id: end_sound
                                title: qsTr("Sound") + Retranslate.onLanguageChanged	            
                                objectName: "sound_end"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                      //  }
                        
                        //Container
                       // {
                         //   topPadding: 10.0
                            DropDown {
                                id: end_vibrate
                                title: qsTr("Vibrate") + Retranslate.onLanguageChanged	            
                                objectName: "vibrate_end"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                       // }
                        
                       // Container
                      //  {
                        //    topPadding: 10.0
                            DropDown {
                                id: end_preview
                                title: qsTr("Instant Preview") + Retranslate.onLanguageChanged	            
                                objectName: "preview_end"
                                selectedIndex: 0
                                Option {
                                    text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("On") + Retranslate.onLanguageChanged	            
                                }
                                Option {
                                    text: qsTr("Off") + Retranslate.onLanguageChanged	            
                                }
                            }
                      //  }
                        
                        Header {
                            title: qsTr("Phone Calls") + Retranslate.onLanguageChanged	            
                        }
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Block all incoming calls") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "block_incoming_calls_end"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        
                        } // container                    
                        Divider {
                        
                        }
                        
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Block all outgoing calls") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "block_outgoing_calls_end"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        
                        } // container                    
                        
                        Divider {
                        
                        }
                        Container
                        {
                            topPadding: 10
                            id: adjust_end_volume
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: qsTr("Adjust Volumes") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: end_sound_tb
                                objectName: "tb_adjust_end_volumes"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        
                        Container
                        {
                            visible: end_sound_tb.checked
                            
                            Header {
                                title: qsTr("Volume") + Retranslate.onLanguageChanged	            
                            }
                            
                            
                            Container {
                                id: end_volume
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "end_volume"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            
                            Header {
                                title: qsTr("Main Volume") + Retranslate.onLanguageChanged	            
                            }
                            Container {
                                id: media_volume_end
                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 15
                                bottomPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                
                                // The minimum position of the slider means night-time so an image of a
                                // moon is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound0.png"
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                
                                // The slider component
                                Slider {
                                    leftMargin: 10
                                    rightMargin: 10
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    objectName: "main_volume_end"
                                    toValue: 100.0
                                
                                }
                                
                                // At the maximum position of the slider means day-time so an image of a
                                // sun is added to illustrate this.
                                ImageView {
                                    imageSource: "asset:///images/sound3.png"
                                    verticalAlignment: VerticalAlignment.Center
                                
                                } // Sun icon Image
                            } // Slider Container
                            Label {
                                text: qsTr("Adjust media volume and the volume of your applications.") + Retranslate.onLanguageChanged	            
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.XSmall
                            
                            }	                
                        }
                    
                    } // container


                } // scrollview
            
            } // end end time container
             
            
        } // main container
        

    } // page
} // sheet