import bb.cascades 1.2

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Speech Setting") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _speech.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _speech.saveSettings()
                }
            
            }
        }// titleBar

        
        objectName: "page"

        Container {
            topPadding: 10
            SegmentedControl {
                
                leftPadding: 5
                rightPadding: 5
                topPadding: 5
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("General")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Accounts")
                }
                Option {
                    id: option3
                    text: qsTr("Translations")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_general.setVisible(true)
                        container_accounts.setVisible(false)
                        container_translations.setVisible(false)
                    }
                  else
                   if (selectedIndex == 1)
                   {
                       container_general.setVisible(false)
                       container_accounts.setVisible(true)
                       container_translations.setVisible(false)
                   }
                 else
                     if (selectedIndex == 2)
                     {
                         container_general.setVisible(false)
                         container_accounts.setVisible(false)
                         container_translations.setVisible(true)
                     }
                }
            } // segement 
        
        
            Container {
                visible: true
                id: container_general
                ScrollView {
                    Container
                    {
                        layout: StackLayout {
                        }
                        leftPadding: 10.0
                        topPadding: 10.0
                        rightPadding: 10.0
                        bottomPadding: 10.0
                        
                        Divider {
                        
                        }

                        horizontalAlignment: HorizontalAlignment.Fill
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Enable") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_disable
                                objectName: "bt_enable"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    main_container.setVisible(checked)
                                }
                                checked: true
                            }
                        } 
                        
                        
                        Container {
                            id: main_container
                            visible: tb_disable.checked
                            topPadding: 10
                        
                            Header {
                                title: qsTr("Speech API Key")
                            }
                            TextField {
                                objectName: "tx_api_key"
                                hintText: qsTr("Enter your API key")
                                maximumLength: 120
                            }
                        
                            Label {
                                text: qsTr("To get your own API key please sign up at http://www.voicerss.org/login.aspx and then enter or paste the API key here.  Note that the free API key gives you 350 daily requests.")
                                multiline: true
                                content.flags: TextContentFlag.ActiveText
                            }
                            
                        
                            DropDown {
                                objectName: "dd_language"            
                                title: qsTr("Language") + Retranslate.onLanguageChanged

                                selectedIndex: 0
                                
                                                           
                                Option {
                                text: qsTr("Catalan")
                                }	            
                                Option {
                                text: qsTr("Chinese (China)")
                                }	            
                                Option {
                                text: qsTr("Chinese (Hong Kong)")
                                }	            
                                Option {
                                text: qsTr("Chinese (Taiwan)")
                                }	            
                                Option {
                                text: qsTr("Danish")
                                }	            
                                Option {
                                text: qsTr("Dutch")
                                }	            
                                Option {
                                text: qsTr("English (Australia)")
                                }	            
                                
                                Option {
                                text: qsTr("English (Canada)")
                                }	            
                                Option {
                                text: qsTr("English (Great Britain)")
                                }	            
                                Option {
                                text: qsTr("English (India)")
                                }	            
                                Option {
                                text: qsTr("English (United States)")
                                }	            
                                
                                Option {
                                text: qsTr("Finnish")
                                }	            
                                Option {
                                text: qsTr("French (Canada)")
                                }	            
                                Option {
                                text: qsTr("French (France)")
                                }	            
                                Option {
                                text: qsTr("German")
                                }	            
                                Option {
                                text: qsTr("Italian")
                                }	            
                                Option {
                                text: qsTr("Japanese")
                                }	           
                                 
                                Option {
                                text: qsTr("Korean")
                                }	            
                                Option {
                                text: qsTr("Norwegian")
                                }	            
                                Option {
                                text: qsTr("Polish")
                                }	            
                                Option {
                                text: qsTr("Portuguese (Brazil)")
                                }	            
                                Option {
                                text: qsTr("Portuguese (Portugal)")
                                }	            
                                Option {
                                text: qsTr("Russian")
                                }	            
                                Option {
                                text: qsTr("Spanish (Mexico)")
                                }	            
                                Option {
                                    text: qsTr("Spanish (Spain)")
                                }	            
                                Option {
                                    text: qsTr("Swedish (Sweden)")
                                }	            

/*
                                Option {
                                    text: qsTr("Use System Setting")
                                }	            
                                Option {
                                    text: qsTr("Cantonese Female")
                                }	            
                                Option {
                                    text: qsTr("US English Female")
                                }	            
                                Option {
                                    text: qsTr("UK English Female")
                                }	 
*/

                            }
                            
                            DropDown {
                                objectName: "dd_audio_format"            
                                title: qsTr("Audio Format") + Retranslate.onLanguageChanged
                                selectedIndex: 17
                                Option {
                                    text: qsTr("8khz_8bit_mono")
                                    description: qsTr("Poor quality and uses less bandwidth")
                                }	 
                                Option {
                                    text: qsTr("8khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("8khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("8khz_16bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("11khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("11khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("11khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("11khz_16bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("12khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("12khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("12khz_16bit_mono")    // 10
                                }	 
                                Option {
                                    text: qsTr("12khz_16bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("16khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("16khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("16khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("16khz_16bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("22khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("22khz_8bit_stereo")    //17
                                }	 
                                Option {
                                    text: qsTr("22khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("22khz_16bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("24khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("24khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("24khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("24khz_16bit_stereo")
                                    description: qsTr("Good quality and uses average bandwidth")
                                }	 
                                Option {
                                    text: qsTr("32khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("32khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("32khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("32khz_16bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("44khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("44khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("44khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("44khz_16bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("48khz_8bit_mono")
                                }	 
                                Option {
                                    text: qsTr("48khz_8bit_stereo")
                                }	 
                                Option {
                                    text: qsTr("48khz_16bit_mono")
                                }	 
                                Option {
                                    text: qsTr("48khz_16bit_stereo")
                                    description: qsTr("Best quality and uses more bandwidth")
                                }	 
                            }
                            
                            DropDown {
                                objectName: "dd_speech_speed"            
                                title: qsTr("Speech Speed") + Retranslate.onLanguageChanged
                                
                                selectedIndex: 2
                                Option {
                                    text: qsTr("Slower")
                                }	            
                                Option {
                                    text: qsTr("Slow")
                                }	            
                                Option {
                                    text: qsTr("Normal")
                                }	            
                                Option {
                                    text: qsTr("Fast")
                                }	                                        
                                Option {
                                    text: qsTr("Faster")
                                }	                                        
                            }

                            DropDown {
                                objectName: "dd_delay"            
                                title: qsTr("Speak Delay") + Retranslate.onLanguageChanged
                                
                                selectedIndex: 0
                                Option {
                                    text: qsTr("No Delay")
                                }	            
                                Option {
                                    text: qsTr("3 Seconds")
                                }	            
                                Option {
                                    text: qsTr("5 Seconds")
                                }	            
                                Option {
                                    text: qsTr("10 Seconds")
                                }	            
                                Option {
                                    text: qsTr("15 Seconds")
                                }	            
                            
                            }

                            
                            Divider {
                            
                            }

                            Header {
                                title: qsTr("Text Message")
                                visible: false
                            }
            
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                Label {
                                    text: qsTr("Speak incoming Text Message") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_speak_text_message"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
            
                            Header {
                                title: qsTr("Email Message")
                                visible: false
                            }
                            
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                Label {
                                    text: qsTr("Speak incoming Email Message") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_speak_email_message"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }

                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                Label {
                                    text: qsTr("Show dialog box when speaking") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_speak_all_hub_message"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }


                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                Label {
                                    text: qsTr("Mark message as read when spoken") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_change_message_status"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
                            

                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                visible: false
                                Label {
                                    text: qsTr("No LED and Ringtone") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_disable_led_ringtone"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }

                            Header {
                                title: qsTr("Phone Calls Only Notification")
                            }
                            
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                leftPadding: 15
                                Label {
                                    text: qsTr("Allow Speaking in Phone Calls Only Mode") + Retranslate.onLanguageChanged	            
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_speak_phone_only_mode"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
            
                            DropDown {
                                objectName: "dd_email_speak_what"            
                                title: qsTr("Speak") + Retranslate.onLanguageChanged
                                
                                Option {
                                    text: qsTr("Entire Message")
                                }	            
                                Option {
                                    text: qsTr("First Sentence")
                                }	            
                                Option {
                                    text: qsTr("Message Header")
                                }	            
                            
                            }

                            Divider {
                            
                            }
                            
                            
                            Label {
                                text: qsTr("Warning: The Speech feature is experimental only and it may not work without notice.")
                                multiline: true
                                textStyle.color: Color.Red
                            }
                            
                        } // container
                    } 
                }
            } // general


            Container {
                visible: false
                id: container_accounts
                ScrollView {
                    Container
                    {
                        leftPadding: 10.0
                        topPadding: 10.0
                        rightPadding: 10.0
                        bottomPadding: 10.0
            
                        Header {
                            title: qsTr("Speak on these Accounts") + Retranslate.onLanguageChanged
                        }
                        Container
                        {
                            horizontalAlignment: HorizontalAlignment.Fill
                            objectName: "container_email_accounts"
                        
                        }

                        Header {
                            title: qsTr("Speak only when connected to") + Retranslate.onLanguageChanged
                        }
                    
                        DropDown {
                            id: bt_devices
                            title: "Bluetooth Devices"
                            objectName: "dd_bt_devices"
                            selectedIndex: 0
                            Option {
                                text: qsTr("None")
                                value: "None"
                            }
                        }
                        
                        DropDown {
                            id: wifi_devices
                            title: "Wifi Network"
                            objectName: "dd_wifi_devices"
                            selectedIndex: 0
                            Option {
                                text: qsTr("None")
                                value: "None"
                            }
                        }

                    
                    }  
                    
                      
                } // accounts
            }



            Container {
                id: container_translations
                visible: false
                ScrollView {
                    Container
                    {
                        leftPadding: 10.0
                        topPadding: 10.0
                        rightPadding: 10.0
                        bottomPadding: 10.0
                        Header {
                            title: qsTr("Translations")
                        }
                        TextField {
                            text : qsTr("You have a new text message from")
                            hintText: qsTr("You have a new text message from")
                            objectName: "txt_trans_1"
                        }
                        TextField {
                            text : qsTr("Next text message from")
                            hintText: qsTr("Next text message from")
                            objectName: "txt_trans_2"
                        }
                        TextField {
                            text : qsTr("You have a new email message from")
                            hintText: qsTr("You have a new email message from")
                            objectName: "txt_trans_3"
                        }
                        TextField {
                            text : qsTr("Next email message from")
                            hintText: qsTr("Next email message from")
                            objectName: "txt_trans_4"
                        }
                        TextField {
                            text : qsTr("email message from")
                            hintText: qsTr("email message from")
                            objectName: "txt_trans_5"
                        }
                        TextField {
                            text : qsTr("subject")
                            hintText: qsTr("subject")
                            objectName: "txt_trans_6"
                        }
                        TextField {
                            text : qsTr("Here is the first sentence of the message")
                            hintText: qsTr("Here is the first sentence of the message")
                            objectName: "txt_trans_7"
                        }
                        
                    
                    }
                }
            } // translations

        
        } // container
        
        
    
    

        
    } // page
} // sheet