import bb.cascades 1.2
Sheet {
    
    peekEnabled: false
    TabbedPane {
        showTabsOnActionBar: true
        //activeTab: tab_setting
        Tab {
            title: qsTr("Calls") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_phone_connect.png"
            
            
            Page {
                id: page1
                titleBar: TitleBar {
                    title: qsTr("Phone Call Log") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
                    acceptAction: ActionItem {
                        title: qsTr("Close") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.closeWindow()
                        }
                    
                    }
                } // title
                
                
                actions: [
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help()
                        }
                    },
                    
                    DeleteActionItem {
                        title: qsTr("Delete Call Log") + Retranslate.onLanguageChanged
//                        imageSource: "asset:///images/ic_delete.png"
                        onTriggered: {
                            _block.deleteCallLog(0)
                        }
                    }
                    
                ]
                
                Container
                {
                    layout: DockLayout {
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                                        
                    ListView {
                        id: listView
                        dataModel: _block.model_calls
                        focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
                        
                        listItemComponents: [
                            ListItemComponent {
                                type: "item"
                                StandardListItem {
                                    title: ListItemData.title
                                    description: ListItemData.description
                                    status: ListItemData.status
                                    imageSource: ListItemData.image
                                    imageSpaceReserved: false                            
                                }
                            }
                        ] // listItem
                        
                        onTriggered: {
                            clearSelection()
                            _block.selectedCallItem(indexPath)
                        }
                        
                        objectName: "itemListCalls"
                        leadingVisualSnapThreshold: 0.6            
                    } // listview
                
                } // container
            
            
            
            } // page
        }
        

        
        Tab {
            id: blacklist
            title: qsTr("Contacts") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_lookup.png"
            onTriggered: {
                ls_tab3.requestFocus()

            }
            Page {
                id: page3
                
                titleBar: TitleBar {
                    id: addBar
                    title: qsTr("Contacts") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
                    dismissAction: ActionItem {
                        title: qsTr("New") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.newBlacklist()
                        }                    
                    }
                    
                    acceptAction: ActionItem {
                        title: qsTr("Close") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.closeWindow()
                        }
                    
                    }
                }
                
                actions: [
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help()
                        }
                    },

                    DeleteActionItem {
                       title: qsTr("Delete Contacts DB") + Retranslate.onLanguageChanged
                       onTriggered: {
                           _block.deleteCallLog(1)
                       }
                    }

                ]
                
                Container
                {
                    layout: DockLayout {
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    ListView {
                        id: ls_tab3
                        dataModel: _block.model_blacklist
                        focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable

                        listItemComponents: [
                            ListItemComponent {
                                type: "item"
                                StandardListItem {
                                    title: ListItemData.title
                                    description: ListItemData.description
                                    status: ListItemData.status
                                    imageSource: ListItemData.image
                                    imageSpaceReserved: false                            
                                }
                            }
                        ] // listItem
                        
                        onTriggered: {
                            clearSelection()
                            _block.selectedBlacklistItem(indexPath)
                        }
                        
                        objectName: "itemListBlacklist"
                        leadingVisualSnapThreshold: 0.6            
                    } // listview
                
                    Container {
                        bottomPadding: 10
                        verticalAlignment: VerticalAlignment.Bottom
                        horizontalAlignment: HorizontalAlignment.Center
                        visible: false
                        Button {
                            text: qsTr("New") + Retranslate.onLanguageChanged
                            onClicked: {
                                _block.newBlacklist()
                            }
                        }
                    }
                
                
                } // container
            
            }
        } // blacklist

        Tab {
            id: tab_setting
            title: qsTr("Settings") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_settings.png"
            Page {
                
                titleBar: TitleBar {
                    title: qsTr("Settings") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
                    acceptAction: ActionItem {
                        title: qsTr("Close") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.closeWindow()
                        }
                    
                    }
                }
                
                actions: [
                    
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help()
                        }
                    }
                ]
                
                ScrollView {
                    Container
                    {
                        layout: StackLayout {
                        }
                        topPadding: 10
                        leftPadding: 10
                        rightPadding: 10
                        
                        Header {
                            title: qsTr("General Phone Calls") + Retranslate.onLanguageChanged
                        }
                        DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Limit minutes") + Retranslate.onLanguageChanged
                            objectName: "dd_general_talk_time"
                            selectedIndex: 0
                            Option {
                                text: qsTr("No Limit")
                            }
                            Option {
                                text: qsTr("1 Minute")
                            }
                            Option {
                                text: qsTr("2 Minutes")
                            }
                            Option {
                                text: qsTr("3 Minutes")
                            }
                            Option {
                                text: qsTr("4 Minutes")
                            }
                            Option {
                                text: qsTr("5 Minutes")
                            }
                            Option {
                                text: qsTr("6 Minutes")
                            }
                            Option {
                                text: qsTr("7 Minutes")
                            }
                            Option {
                                text: qsTr("8 Minutes")
                            }
                            Option {
                                text: qsTr("9 Minutes")
                            }
                            Option {
                                text: qsTr("10 Minutes")
                            }
                            Option {
                                text: qsTr("11 Minutes")
                            }
                            Option {
                                text: qsTr("12 Minutes")
                            }
                            Option {
                                text: qsTr("13 Minutes")
                            }
                            Option {
                                text: qsTr("14 Minutes")
                            }
                            Option {
                                text: qsTr("15 Minutes")
                            }
                            Option {
                                text: qsTr("16 Minutes")
                            }
                            Option {
                                text: qsTr("17 Minutes")
                            }
                            Option {
                                text: qsTr("18 Minutes")
                            }
                            Option {
                                text: qsTr("19 Minutes")
                            }
                            Option {
                                text: qsTr("20 Minutes")
                            }
                        }
                        
                        Header {
                            title: qsTr("Call Type")
                        }
                        DropDown {
                            horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Type") + Retranslate.onLanguageChanged
                            objectName: "dd_general_call_type"
                            selectedIndex: 0
                            Option {
                                text: qsTr("All Calls")
                            }
                            Option {
                                text: qsTr("Incoming Only")
                            }
                            Option {
                                text: qsTr("Outgoing Only")
                            }
                        }

                        Header {
                            title: qsTr("Notification")
                        }
                        Container
                        {
                            topPadding: 10
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: qsTr("Warn when time about to expire") + Retranslate.onLanguageChanged	            
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "tg_general_warn_me"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } 
                        Divider {
                            
                        }
                        Label {
                            text: qsTr("The general settings for callers not in the Contacts list.  Just to be safe Power Tools will end the call 5 seconds earlier.")
                            textStyle.fontStyle: FontStyle.Italic
                            multiline: true
                        }
                        

                    
                    } // container
                } // scroll view
            
            }
        } // settings

        
    }
}