import bb.cascades 1.2
import bb.cascades.pickers 1.0

Page {
    actions: [
        
        ActionItem {
            id: action_item
            title: qsTr("Export") + Retranslate.onLanguageChanged	            
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_doctype_xls.png"
            onTriggered: {
                savePicker.open()
            }
        },
        ActionItem {
             id: action_summary
             title: qsTr("Summary") + Retranslate.onLanguageChanged	            
//             ActionBar.placement: ActionBarPlacement.OnBar
             imageSource: "asset:///images/ic_text.png"
             onTriggered: {
                 _Usage.doSummary()
             }
            objectName: "action_summary"
        },
        ActionItem {
                    title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                    ActionBar.placement: ActionBarPlacement.OnBar
                    imageSource: "asset:///images/ic_delete.png"
                    onTriggered: {
                        _Usage.doDelete()
                    }
        }
    ]

    content: Container {
        // Create a ListView that uses an XML data model
        ListView {
            dataModel: XmlDataModel {
                //source: "models/usage.xml"
                objectName: "xml_file"
            }
            focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
            
            listItemComponents: [
                ListItemComponent {
                    type: "header"
                    
                    // Use a predefined Header to represent "header"
                    // items
                    Header {
                        title: ListItemData.title
                        //subtitle: ListItemData.subtitle
                    }
                },
                ListItemComponent {
                    type: "item"
                    
                    // Use a predefined StandardListItem to represent "listItem"
                    // items
                    StandardListItem {
                        title: ListItemData.title
                       // description: ListItemData.subtitle
                       status: ListItemData.status
                    }
                }
            ]
            onTriggered: {
                clearSelection()
                _Usage.viewDate(indexPath)
            }
            objectName: "listview"
        }
    }

    attachedObjects: [
        
        FilePicker {
            id: savePicker
            mode: FilePickerMode.Saver
            title: qsTr("Enter a file name") + Retranslate.onLanguageChanged	            
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/documents"]
            onFileSelected: {
                _Usage.doexport(selectedFiles)
            }
        }
    ]

}