import bb.cascades 1.2

Page {
    titleBar: TitleBar{
        objectName: "title_bar"
        title: qsTr("Usage")
    }

    property bool list_mode : true
    
    actions: [
        
        ActionItem {
            id: action_item
            title: qsTr("List") + Retranslate.onLanguageChanged	            
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_view_list.png"
            onTriggered: {
                if (list_mode == true)
                {
                    list_mode = false;
                    action_item.setImageSource ("asset:///images/barChart.png")
                    action_item.setTitle("Graph")
                    container_listview.setVisible(false)
                    container_graph.setVisible(true)
                }
                else {
                    list_mode = true;
                    action_item.setImageSource ("asset:///images/ic_view_list.png")
                    action_item.setTitle("List")
                    container_listview.setVisible(true)
                    container_graph.setVisible(false)
                    
                }
            }
        }
    ]

    Container {
        layout: DockLayout {

        }

        Container {
            id: container_listview
            // Create a ListView that uses an XML data model
            ListView {
                dataModel: XmlDataModel {
                    //source: "models/usage.xml"
                    objectName: "xml_file_detail"
                }
                
                listItemComponents: [
                    ListItemComponent {
                        type: "header"
                        
                        // Use a predefined Header to represent "header"
                        // items
                        Header {
                            title: ListItemData.title
                            //subtitle: ListItemData.subtitle
                        }
                    },
                    ListItemComponent {
                        type: "item"
                        
                        // Use a predefined StandardListItem to represent "listItem"
                        // items
                        StandardListItem {
                            title: ListItemData.title
                            // description: ListItemData.subtitle
                            status: ListItemData.status
                        }
                    }
                ]
                objectName: "listview"
            }
        } // listview container
        
        Container {
            visible: false
            id: container_graph
            ScrollView {
                Container {
                    Divider {                        
                    }
                    objectName: "container_graph"
                } // graph
            }
        }
        
    } // main container
}