import bb.cascades 1.2

Page {
        
    property bool graph_hourly : true

    actions: [
        
        ActionItem {
            id: action_item
            title: qsTr("Hourly") + Retranslate.onLanguageChanged	            
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_hourly.png"
            onTriggered: {
                if (graph_hourly)
                {
                    action_item.setImageSource("asset:///images/ic_daytime.png")
                    action_item.setTitle(qsTr("Daytime"))	            
                    graph_hourly = false
                    container_hourly.setVisible(false)
                    container_weekday.setVisible(false)
                    container_daytime.setVisible(true)
                    title.setTitle(qsTr("Total Usage for") + " " + _Summary.total_report_days + " "+ qsTr("Days"))

                }
                else 
                {
                    graph_hourly = true
                    action_item.setImageSource("asset:///images/ic_hourly.png")
                    action_item.setTitle(qsTr("Hourly"))	            
                    container_hourly.setVisible(true)
                    container_daytime.setVisible(false)
                    container_weekday.setVisible(false)
                    title.setTitle(qsTr("Hourly Usage Summary"))
                    
                }
            }
        },
        
        ActionItem {
            id: action_summary
            title: qsTr("Week Days") + Retranslate.onLanguageChanged	            
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_weekly.png"
            onTriggered: {
                container_hourly.setVisible(false)
                container_daytime.setVisible(false)
                container_weekday.setVisible(true)
                title.setTitle(qsTr("Week days usage for") + " " + _Summary.total_report_days + " "+ qsTr("Days"))
            }
        }

        
        
        
/*        ,
        ActionItem {
            id: action_summary
            title: qsTr("Daytime") + Retranslate.onLanguageChanged	            
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_daytime.png"
            onTriggered: {
                container_hourly.setVisible(false)
                container_daytime.setVisible(true)
                title.setTitle(qsTr("Total Usage for") + " " + _Summary.total_report_days + " "+ qsTr("Days"))
            }
        }
 */
    ]
    titleBar: TitleBar {
        id: title
        title: qsTr("Hourly Usage Summary")

    }
    
    Container {
        layout: DockLayout {

        }
        
        Container {
            id: container_hourly
            ScrollView {
                Container {
                    Label {
                        text: qsTr("Average Hourly Usage")
                        horizontalAlignment: HorizontalAlignment.Center
                        objectName: "lb_total_days"
                    }
                    Divider {
                        
                    }
                    objectName: "container_hourly"
                } // graph
            }
        } // hourly
        
        Container {
            id: container_daytime
            visible: false
            ScrollView {
                Container {
                    objectName: "container_daytime"
                } // graph
            }

        } // daytime

        Container {
            id: container_weekday
            visible: false
            ScrollView {
                Container {
                    objectName: "container_weekday"
                } // graph
            }
        
        } // daytime
        

    }

}
