import bb.cascades 1.0
import bb.cascades.pickers 1.0

Sheet {
    
	
	Page {
	    id: sheetModify
	    
	    
	    titleBar: TitleBar {
	        id: addBar
            title: qsTr("Message Log") + Retranslate.onLanguageChanged	            
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
                id: action_close
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
	            onTriggered: {
	                _Log.closeMessageLog()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            id: action_delete
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
	            onTriggered: {
	                _Log.deleteMessageLog()
	            }
                objectName: "delete_action"
            }
	    }// titleBar
	    
        actions: [
            
            ActionItem {
                id: action_export
                title: qsTr("Export CSV") + Retranslate.onLanguageChanged	            
//                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_text.png"
                onTriggered: {
                    fileSaver.open()
                }
                objectName: "export_action"
            }
        ]

        objectName: "page"
        Container {
	        layout: DockLayout {
	        }
	        
	        Container {
	            id: container_view
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                leftPadding: 20
                rightPadding: 20

                background: Color.DarkGray
                visible: false
                Label {
                    text: "Message"
                    textStyle.fontSize: FontSize.Large
                    horizontalAlignment: HorizontalAlignment.Center
                }
                Divider {
                    
                }
                TextArea {
                    objectName: "lb_message"
                }
                Divider {
                    
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    Button {
                        text: qsTr("Close")
                        onClicked: {
                            container_main.setVisible(true)
                            container_view.setVisible(false)
                            sheetModify.addAction(action_export)
                        }
                    }
                    Button {
                        text: qsTr("Reply")
                        onClicked: {
                            container_main.setVisible(true)
                            container_view.setVisible(false)
                            sheetModify.addAction(action_export)
                        }
                    }

                }
            }
	        
	        Container {
	            id: container_main
	            horizontalAlignment: HorizontalAlignment.Fill
                visible: true
                ListView {
	                id: listview
	                dataModel: _Log.model
                    focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToFocusable
	                
	                
	                listItemComponents: [
	                    ListItemComponent {
	                        type: "item"
	                        
	                        StandardListItem {
	                            id: itemRoot
	                            title: ListItemData.title
	                            description: ListItemData.description
	                            status: ListItemData.status
	//                            imageSource: ListItemData.image
	                            imageSpaceReserved: false
	                        } // container
	                    }
	                ] // listItem
	                
	                onTriggered: {
	                    clearSelection()
//                        container_main.setVisible(false)
//                        container_view.setVisible(true)
 //                       sheetModify.removeAction(action_export)
                        _Log.showLog(indexPath)
	                }
	                objectName: "itemList"
	                leadingVisualSnapThreshold: 0.6
	            } // listview            
	        }
	    
	    }
	}
	
    attachedObjects: [
        
        FilePicker {
            id: fileSaver
            mode: FilePickerMode.Saver
            type: FileType.Document
            filter: [ "*.txt"]
            title: qsTr("Enter a file to export") + Retranslate.onLanguageChanged	            
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/documents"]
            onFileSelected: {
                
                _Log.exportLog(selectedFiles);
            }
        }
    
    ]

}