import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Encrypted Files") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _Encrypted.closeWindow()
                }
            }
            
        }// titleBar

        actions: [
            
            ActionItem {
                title: qsTr("Clear Database") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _Encrypted.clearDatabase()
                }
                objectName: "clear_action"
            },
            
            ActionItem {
                title: qsTr("Decrypt All") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_decrypt.png"
                onTriggered: {
                    _Encrypted.decryptAll(false, true)
                }
                objectName: "decrypt_action"
            },
            
            ActionItem {
                title: qsTr("Encrypt All") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_encrypt.png"
                onTriggered: {
                    _Encrypted.decryptAll(false, false)
                }
                objectName: "encrypt_action"
            }
        ]
        
        Container {
            layout: DockLayout {
            }
            
            Container {
                
                horizontalAlignment: HorizontalAlignment.Fill
                ListView {
                    id: listview
                    dataModel: _Encrypted.model
                    
                    
                    listItemComponents: [
                        ListItemComponent {
                            type: "item"
                            
                            StandardListItem {
                                id: itemRoot
                                title: ListItemData.title
                                description: ListItemData.description
                                status: ListItemData.status
                                imageSource: ListItemData.image
                                imageSpaceReserved: false
                            } // container
                        }
                    ] // listItem
                    
                    onTriggered: {
                        clearSelection()
                        _Encrypted.decryptFile(indexPath)
                    }
                    objectName: "itemList"
                    leadingVisualSnapThreshold: 0.6
                } // listview            
            } // main

            // show the activity indication center of the screen
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                
                Container
                {
                    objectName: "progress_container"
                    visible: false
                    
                    layout: DockLayout {
                    }
                    preferredWidth: 1280
                    preferredHeight: 250
                    
                    leftPadding: 10.0
                    rightPadding: 10.0
                    Container
                    {
                        leftPadding: 10.0
                        rightPadding: 10.0
                        ImageView {
                            imageSource: "asset:///images/wipe_background.png"
                            preferredWidth: 1280
                            preferredHeight: 240
                        }
                    }
                    Container 
                    {
                        leftPadding: 10.0
                        rightPadding: 10.0
                        layout: StackLayout {
                        }
                        
                        //	            opacity: 0.7
                        horizontalAlignment: HorizontalAlignment.Center
                        Label {
                            text: qsTr("Decrypting") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Center
                            objectName: "pass_label"
                            textStyle.color: Color.Green
                        }
                        Label {
                            horizontalAlignment: HorizontalAlignment.Center
                            objectName: "filename_label"
                            textStyle.fontSize: FontSize.Small
                            textStyle.color: Color.White
                        }
/*                        
                        ProgressIndicator {
                            toValue: 7.0
                            objectName: "progress_indicator"
                            fromValue: 1.0
                            value: 1.0
                        
                        }
  */                      
                        
                        ProgressIndicator {
                            toValue: 7.0
                            objectName: "master_indicator"
                            fromValue: 1.0
                            value: 1.0
                        
                        }
                        
                        Label {
                            text: ""
                        }
                    
                    } //[0]
                }
            }

        
        }
    }
}