import bb.cascades 1.0
import bb.cascades.pickers 1.0

Sheet {
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("White List")
            visibility: ChromeVisibility.Visible
        }// titleBar
        
        actions: [
            ActionItem {
                title: qsTr("Add")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _mainApp.edit_whitelist(null,true)
                }
            },
            
            ActionItem {
                id: deleteAction
                title: qsTr("Close")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _mainApp.close_whitelist()
                }
            }
        ]
        
        attachedObjects: [
            
            FilePicker {
                id: fileSaver
                mode: FilePickerMode.Saver
                type: FileType.Document
                filter: [ "*.txt"]
                title: qsTr("Enter a file to export")
                //            directories: [ "/accounts/1000/shared" ]
                directories : [ "/accounts/1000/shared/documents"]
                onFileSelected: {
                    
                    _mainApp.exportLog(selectedFiles);
                }
            }
        
        ]
        
        Container {
            layout: DockLayout {
            }
            
            Container {
                
                horizontalAlignment: HorizontalAlignment.Fill
                ListView {
                    id: listview
                    dataModel: _mainApp.whitelistmodel
                    
                    
                    listItemComponents: [
                        ListItemComponent {
                            type: "item"
                            
                            StandardListItem {
                                id: itemRoot
                                title: ListItemData.title
                                description: ListItemData.description
                                imageSource: ListItemData.image
                                imageSpaceReserved: false
                            
                            } // container
                        }
                    ] // listItem
                    
                    onTriggered: {
                        clearSelection()
                        _mainApp.edit_whitelist(indexPath, false)
                    }
                    
                    objectName: "whiteList"
                    leadingVisualSnapThreshold: 0.6
                } // listview
            
            
            }
        
        }
    }
}
