import bb.cascades 1.0
import bb.cascades.pickers 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        actions: [
            ActionItem {
                title: qsTr("View Status")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_cancel.png"
                onTriggered: {
                    _mainApp.viewStatus();
                }
                objectName: "viewStatus"
            },
            
            
            ActionItem {
                title: qsTr("Clear Counters")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _mainApp.clearCounters();
                }
                objectName: "clearLed"
            }
        ]

        
        titleBar: TitleBar {
            id: addBar
            title: "Settings"
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
                    _mainApp.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: "Save"
                onTriggered: {
                    _mainApp.saveSettings()
                }
            }
        }// titleBar

        ScrollView {
	        Container
	        {
	            layout: StackLayout {
	            }
	            leftPadding: 10.0
	            topPadding: 10.0
	            rightPadding: 10.0
	            bottomPadding: 10.0
	
				Header {
        			title: "Blocking Calls"
        		}
	            
	            DropDown {
	                id: repeatalarmdropdown
	                objectName: "blockDropdown"
	                horizontalAlignment: HorizontalAlignment.Fill
	                
	                title: "Block Duration"
	                
                    Option {
                        value: "forever"
                        text: "Forever"
                        description: "Block Forever"
                    }
	                Option {
	                    value: "5 Minutes"
	                    text: "5 Minutes"
	                    description: "Block for 5 minutes."
	                }
	                Option {
	                    value: "15 Minutes"
	                    text: "15 Minutes"
	                    description: "Block for 15 minutes."
	                }
	                Option {
	                    value: "30 Minutes"
	                    text: "30 Minutes"
	                    description: "Block for 30 minutes."
	                }
	                Option {
	                    value: "45 Minutes"
	                    text: "45 Minutes"
	                    description: "Block for 45 minutes."
	                }
	                Option {
	                    value: "1 Hour"
	                    text: "Hour"
	                    description: "Block for 1 hour."
	                }
	                Option {
	                    value: "2 Hours"
	                    text: "2 Hours"
	                    description: "Block for 2 hours."
	                }
	                Option {
	                    value: "3 Hours"
	                    text: "3 Hours"
	                    description: "Block for 3 hours."
	                }
	                Option {
	                    value: "4 Hours"
	                    text: "4 Hours"
	                    description: "Block for 4 hours."
	                }
	                Option {
	                    value: "5 Hours"
	                    text: "5 Hours"
	                    description: "Block for 5 hours."
	                }
	                Option {
	                    value: "6 Hours"
	                    text: "6 Hours"
	                    description: "Block for 6 hours."
	                }
	                Option {
	                    value: "7 Hours"
	                    text: "7 Hours"
	                    description: "Block for 7 hours."
	                }
	                Option {
	                    value: "8 Hours"
	                    text: "8 Hours"
	                    description: "Block for 8 hours."
	                }
	                
	                
	                Option {
	                    value: "Everyday"
	                    text: "Everyday"
	                    description: "Activate everyday."
	                }
/*
	                Option {
	                    value: "Weekdays"
	                    text: "Weekdays"
	                    description: "Activate Monday to Friday."
	                }
	                Option {
	                    value: "Weekly"
	                    text: "Weekly"
	                    description: "Activate week."
	                }
*/	                
	                onSelectedValueChanged: {
	                    if (selectedIndex == 15)
	                    {
	                        start_time.setVisible(true);
                            end_time.setVisible(true);
	                        weekdays1.setVisible(true);
	                        weekdays2.setVisible(true);
	                    }
	                    else
	                    {
	                        if (selectedIndex == 13 || selectedIndex == 14)
	                        {
	                            start_time.setVisible(true);
                                end_time.setVisible(true);
	                            weekdays1.setVisible(false);
	                            weekdays2.setVisible(false);
	                        }
	                        else 
	                        {
	                            start_time.setVisible(false);
                                end_time.setVisible(false);
	                            weekdays1.setVisible(false);
	                            weekdays2.setVisible(false);
	                        }
	                    }
	                }
	                selectedIndex: 1
	            } // DropDown
	            
	            Container
	            {
	                id: weekdays1
	                horizontalAlignment: HorizontalAlignment.Left
	                layout: StackLayout {
	                    orientation: LayoutOrientation.LeftToRight
	                }
	                visible: false
	                CheckBox {
	                    id: monday
	                    objectName: "monday"
	                    text: "Mon"
	                }
	                CheckBox {
	                    id: tuesday
	                    objectName: "tuesday"
	                    text: "Tue"
	                }
	                CheckBox {
	                    id: wednesday
	                    objectName: "wednesday"
	                    text: "Wed"
	                }
	                CheckBox {
	                    id: thursday
	                    objectName: "thursday"
	                    text: "Thr"
	                }
	            }
	            
	            Container
	            {
	                id: weekdays2
	                horizontalAlignment: HorizontalAlignment.Left
	                layout: StackLayout {
	                    orientation: LayoutOrientation.LeftToRight
	                }
	                visible: false
	                CheckBox {
	                    id: friday
	                    objectName: "friday"
	                    text: "Fri"
	                }
	                CheckBox {
	                    id: saturday
	                    objectName: "saturday"
	                    text: "Sat"
	                }
	                
	                CheckBox {
	                    id: sunday
	                    objectName: "sunday"
	                    text: "Sun"
	                }
	                
	                CheckBox {
	                    id: all
	                    objectName: "all"
	                    text: "All"
	                    onCheckedChanged: {
	                        if (checked)
	                        {
	                            monday.setChecked(true);
	                            tuesday.setChecked(true);
	                            wednesday.setChecked(true);
	                            thursday.setChecked(true);
	                            friday.setChecked(true);
	                            saturday.setChecked(true);
	                            sunday.setChecked(true);
	                        }
	                        else
	                        {
	                            monday.setChecked(false);
	                            tuesday.setChecked(false);
	                            wednesday.setChecked(false);
	                            thursday.setChecked(false);
	                            friday.setChecked(false);
	                            saturday.setChecked(false);
	                            sunday.setChecked(false);
	                        }
	                    }
	                }
	            }
	            
	            DateTimePicker {		   
	                id: start_time                 
	                horizontalAlignment: HorizontalAlignment.Fill
	                
	                title: "Start Time"
	                objectName: "starttime"
	                mode: DateTimePickerMode.Time
	                minuteInterval: 1
	            }

                DateTimePicker {		   
                    id: end_time                 
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    title: "End Time"
                    objectName: "endtime"
                    mode: DateTimePickerMode.Time
                    minuteInterval: 1
                }
	            
	            Header {
	                title: "Blocking Types"
	            }
	
	            Container
	            {
	                layout: DockLayout {
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
	                topPadding: 10.0
	                Label {
	                    text: "Block Incoming Calls"
	                    horizontalAlignment: HorizontalAlignment.Left
	                    multiline: true
	                }
	                ToggleButton {
	                    objectName: "block_incoming"
	                    horizontalAlignment: HorizontalAlignment.Right
	                }
	            }
	
	            Container
	            {
	                layout: DockLayout {
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
	                topPadding: 10.0
	                Label {
	                    text: "Block Outgoing Calls"
	                    horizontalAlignment: HorizontalAlignment.Left
	                    multiline: true
	                }
	                ToggleButton {
	                    objectName: "block_outgoing"
	                    horizontalAlignment: HorizontalAlignment.Right
	                }
	            }
	        
	        }
	    } // scroll view
    
    }
}
