import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet
{
    TabbedPane {
        showTabsOnActionBar: true
        Tab {
            title: qsTr("Connect") + Retranslate.onLanguageChanged	            
            imageSource: "asset:///images/ic_phone_connect.png"
        
        	Page {
        	
        	    titleBar: TitleBar {
        	        id: addBar
                    title: qsTr("Phone Settings") + Retranslate.onLanguageChanged	            
        	        visibility: ChromeVisibility.Visible
        	        
        	        dismissAction: ActionItem {
                        title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
        	            onTriggered: {
        	                _mainApp.cancelSettings()
        	            }
        	        }
        	        
        	        acceptAction: ActionItem {
                        title: qsTr("Save") + Retranslate.onLanguageChanged	            
        	            onTriggered: {
        	                _mainApp.saveSettings()
        	            }
        	        }
        	    }// titleBar
        	
        		ScrollView {
        	        Container
        	        {
        	            layout: StackLayout {
        	            }
        	            leftPadding: 10.0
        	            topPadding: 10.0
        	            rightPadding: 10.0
        	            bottomPadding: 10.0
        		
        				Header {
                               title: qsTr("Incoming Call") + Retranslate.onLanguageChanged	            
        	       		}	
        				
                           DropDown {
                               horizontalAlignment: HorizontalAlignment.Fill
                               id: ledcolor
                               title: qsTr("Known Caller LED") + Retranslate.onLanguageChanged	            
                               objectName: "incomingcolor"
                               onSelectedIndexChanged: {
                                   if (selectedIndex > 0)
                                   {
                                       _mainApp.test_led(selectedIndex);
                                   }
                               
                               }
                               selectedIndex: 0
                               Option {
                                   text: qsTr("None") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_none.png"
                               }
                               Option {
                                   text: qsTr("Blue") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_blue.png"
                               }
                               Option {
                                   text: qsTr("Cyan") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_cyan.png"
                               }
                               Option {
                                   text: qsTr("Green") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_green.png"
                               }
                               Option {
                                   text: qsTr("Magenta") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_magenta.png"
                               }
                               Option {
                                   text: qsTr("Red") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_red.png"
                               }
                               Option {
                                   text: qsTr("White") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_white.png"
                               }
                               Option {
                                   text: qsTr("Yellow") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_yellow.png"
                               }
                               
                               // same coolor
                               Option {
                                   text: qsTr("Blue & Blue") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_blue_blue.png"
                               }
                               Option {
                                   text: qsTr("Cyan & Cyan") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_cyan_cyan.png"
                               }
                               Option {
                                   text: qsTr("Green & Green") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_green_green.png"
                               }
                               Option {
                                   text: qsTr("Magenta & Magenta") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_mag_mag.png"
                               }
                               Option {
                                   text: qsTr("Red & Red") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_red_red.png"
                               }
                               Option {
                                   text: qsTr("White & White") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_white_white.png"
                               }
                               Option {
                                   text: qsTr("Yellow & Yellow") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_yellow_yellow.png"
                               }
                               
                               // 2 color
                               Option {
                                   text: qsTr("Blue & Green") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_blue_green.png"
                               }
                               Option {
                                   text: qsTr("Blue & Yellow") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_blue_yellow.png"
                               }
                               Option {
                                   text: qsTr("Cyan & Magenta") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_cyan_mag.png"
                               }
                               Option {
                                   text: qsTr("Green & Magenta") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_green_mag.png"
                               }
                               Option {
                                   text: qsTr("Green & Red") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_green_red.png"
                               }
                               Option {
                                   text: qsTr("Green & White") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_green_white.png"
                               }
                               Option {
                                   text: qsTr("Green & Yellow") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_green_yellow.png"
                               }
                               
                               Option {
                                   text: qsTr("Magenta & Blue") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_mag_blue.png"
                               }
                               Option {
                                   text: qsTr("Magenta & Yellow") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_mag_yellow.png"
                               }
                               
                               Option {
                                   text: qsTr("Red & Blue") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_red_blue.png"
                               }
                               Option {
                                   text: qsTr("Red & White") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_red_white.png"
                               }
                               Option {
                                   text: qsTr("Red & Yellow") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_red_yellow.png"
                               }
                               
                               Option {
                                   text: qsTr("Rainbow") + Retranslate.onLanguageChanged	            
                                   imageSource: "asset:///images/ic_led_rainbow.png"
                               }
                           }

        				
        	            DropDown {
        	                horizontalAlignment: HorizontalAlignment.Fill
                            title: qsTr("Private/Unknown Caller LED") + Retranslate.onLanguageChanged	            
        	                objectName: "incomingcolor_private"
        	                onSelectedIndexChanged: {
        	                    if (selectedIndex > 0)
        	                    {
        	                        _mainApp.test_led(selectedIndex);
        	                    }
        	                
        	                }
        	                selectedIndex: 0
                            Option {
                                text: qsTr("None") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_none.png"
                            }
                            Option {
                                text: qsTr("Blue") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_blue.png"
                            }
                            Option {
                                text: qsTr("Cyan") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_cyan.png"
                            }
                            Option {
                                text: qsTr("Green") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_green.png"
                            }
                            Option {
                                text: qsTr("Magenta") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_magenta.png"
                            }
                            Option {
                                text: qsTr("Red") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_red.png"
                            }
                            Option {
                                text: qsTr("White") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_white.png"
                            }
                            Option {
                                text: qsTr("Yellow") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_yellow.png"
                            }
        	                
        	                // same coolor
        	                Option {
                                text: qsTr("Blue & Blue") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_blue_blue.png"
        	                }
        	                Option {
                                text: qsTr("Cyan & Cyan") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_cyan_cyan.png"
        	                }
        	                Option {
                                text: qsTr("Green & Green") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_green_green.png"
        	                }
        	                Option {
                                text: qsTr("Magenta & Magenta") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_mag_mag.png"
        	                }
        	                Option {
                                text: qsTr("Red & Red") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_red_red.png"
        	                }
        	                Option {
                                text: qsTr("White & White") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_white_white.png"
        	                }
                            Option {
                                text: qsTr("Yellow & Yellow") + Retranslate.onLanguageChanged	            
                                imageSource: "asset:///images/ic_led_yellow_yellow.png"
                            }
        	                
        	                // 2 color
        	                Option {
                                text: qsTr("Blue & Green") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_blue_green.png"
        	                }
        	                Option {
                                text: qsTr("Blue & Yellow") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_blue_yellow.png"
        	                }
        	                Option {
                                text: qsTr("Cyan & Magenta") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_cyan_mag.png"
        	                }
        	                Option {
                                text: qsTr("Green & Magenta") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_green_mag.png"
        	                }
        	                Option {
                                text: qsTr("Green & Red") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_green_red.png"
        	                }
        	                Option {
                                text: qsTr("Green & White") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_green_white.png"
        	                }
        	                Option {
                                text: qsTr("Green & Yellow") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_green_yellow.png"
        	                }
        	                
        	                Option {
                                text: qsTr("Magenta & Blue") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_mag_blue.png"
        	                }
        	                Option {
                                text: qsTr("Magenta & Yellow") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_mag_yellow.png"
        	                }
        	                
        	                Option {
                                text: qsTr("Red & Blue") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_red_blue.png"
        	                }
        	                Option {
                                text: qsTr("Red & White") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_red_white.png"
        	                }
        	                Option {
                                text: qsTr("Red & Yellow") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_red_yellow.png"
        	                }
        	                
        	                Option {
                                text: qsTr("Rainbow") + Retranslate.onLanguageChanged	            
        	                    imageSource: "asset:///images/ic_led_rainbow.png"
        	                }
        	            }
        	            Label {
        	                text: qsTr("You must edit each Sound Notification eg: Silent and select Customize App Notifications.  Select Phone  and set the LED to OFF in Settings->Notifications app.")
                            multiline: true
                            textStyle.color: Color.Yellow
                            textStyle.fontSize: FontSize.Small
                        }

                        Divider {
                            
                        }
                        DropDown {
                            title: qsTr("Vibrate") + Retranslate.onLanguageChanged	            
                            objectName: "dd_vib_incoming_call"
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                {
                                    container_always_vib.setVisible(false)
                                    lb_vib.setVisible(false)
                                }
                                else
                                {
                                    container_always_vib.setVisible(true)
                                    lb_vib.setVisible(true)
                                }
                            }
                            Option {
                                text: qsTr("No Vibrate")
                            }
                            Option {
                                text: qsTr("Forever")
                            }
                            Option {
                                text: qsTr("1 Time")
                            }
                            Option {
                                text: qsTr("2 Times")
                            }
                            Option {
                                text: qsTr("3 Times")
                            }
                            Option {
                                text: qsTr("4 Times")
                            }
                            Option {
                                text: qsTr("5 Times")
                            }
                            Option {
                                text: qsTr("6 Times")
                            }
                            Option {
                                text: qsTr("7 Times")
                            }
                            Option {
                                text: qsTr("8 Times")
                            }
                            Option {
                                text: qsTr("9 Times")
                            }
                            Option {
                                text: qsTr("10 Times")
                            }
                            Option {
                                text: qsTr("11 Times")
                            }
                            Option {
                                text: qsTr("12 Times")
                            }
                            Option {
                                text: qsTr("13 Times")
                            }
                            Option {
                                text: qsTr("14 Times")
                            }
                            Option {
                                text: qsTr("15 Times")
                            }
                        }
                        Container {
                            id: container_always_vib
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Always Vibrate") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "tb_always_vibrate"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        Label {
                            id: lb_vib
                            text: qsTr("Set Always Vibrate to bypass System Sound Notification settings.")
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                        }

        
                        Header {
                            title: qsTr("Flash Light LED") + Retranslate.onLanguageChanged	            
                        }
                        
                        DropDown {
                            title: qsTr("Blink Speed") + Retranslate.onLanguageChanged	            
                            objectName: "flash_led_blinking_speed"
                            onSelectedIndexChanged: {
                                if (selectedIndex == 1)
                                {
                                    flash_custom_pattern.setVisible(true)
                                    flash_duration.setVisible(true)
                                }
                                else
                                    if (selectedIndex == 0)
                                    {
                                    flash_custom_pattern.setVisible(false)
                                    flash_duration.setVisible(false)
                                    }
                                    else
                                    {
                                        flash_custom_pattern.setVisible(false)
                                        flash_duration.setVisible(true)
                                    
                                    }
                            }
                            selectedIndex: 1
                            Option {
                                text: qsTr("Disabled") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: qsTr("Custom Pattern") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: "100 ms"
                            }
                            Option {
                                text: "200 ms"
                            }
                            Option {
                                text: "300 ms"
                            }
                            Option {
                                text: "400 ms"
                            }
                            Option {
                                text: "500 ms"
                            }
                            Option {
                                text: "600 ms"
                            }
                            Option {
                                text: "700 ms"
                            }
                            Option {
                                text: "800 ms"
                            }
                            Option {
                                text: "900 ms"
                            }
                            
                            Option {
                                text: "1 " + qsTr("Second")
                            }
                            Option {
                                text: "2 " + qsTr("Seconds")
                            }
                            Option {
                                text: "3 " + qsTr("Seconds")
                            }
                            Option {
                                text: "4 " + qsTr("Seconds")
                            }
                            Option {
                                text: "5 " + qsTr("Seconds")
                            }
                            Option {
                                text: "6 " + qsTr("Seconds")
                            }
                            Option {
                                text: "7 " + qsTr("Seconds")
                            }
                            Option {
                                text: "8 " + qsTr("Seconds")
                            }
                            Option {
                                text: "9 " + qsTr("Seconds")
                            }
                            Option {
                                text: "10 " + qsTr("Seconds")
                            }
                        
                        }
                        
                        DropDown {
                            id: flash_duration
                            title: qsTr("Blink Duration") + Retranslate.onLanguageChanged	            
                            objectName: "flash_ledduration"
                            selectedIndex: 1
                            Option {
                                text: "5" + qsTr("Times")
                            }
                            Option {
                                text: "10" + qsTr("Times")
                            }
                            Option {
                                text: "25" + qsTr("Times")
                            }
                            Option {
                                text: "50" + qsTr("Times")
                            }
                            Option {
                                text: "75" + qsTr("Times")
                            }
                            Option {
                                text: "100" + qsTr("Times")
                            }
                            Option {
                                text: "150" + qsTr("Times")
                            }
                            Option {
                                text: "200" + qsTr("Times")
                            }
                            Option {
                                text: "250" + qsTr("Times")
                            }
                            Option {
                                text: "300" + qsTr("Times")
                            }
                            Option {
                                text: "350" + qsTr("Times")
                            }
                            Option {
                                text: "400" + qsTr("Times")
                            }
                            Option {
                                text: "450" + qsTr("Times")
                            }
                            Option {
                                text: "500" + qsTr("Times")
                            }
                        }
                        
                        Container {
                            id: flash_custom_pattern
                            
                            Header {
                                title: qsTr("Flash Light Pattern (in Milliseconds)") + Retranslate.onLanguageChanged	            
                            }
                            
                            Container {
                                topPadding: 10
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                TextField {
                                    text: "100"
                                    objectName: "flashled_custom1"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                                TextField {
                                    text: "500"
                                    objectName: "flashled_custom2"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                                TextField {
                                    text: "100"
                                    objectName: "flashled_custom3"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                            }
                            Container {
                                topPadding: 10
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                TextField {
                                    text: "500"
                                    objectName: "flashled_custom4"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                                TextField {
                                    text: "100"
                                    objectName: "flashled_custom5"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                                TextField {
                                    text: "500"
                                    objectName: "flashled_custom6"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                }
                            }
                        }
                        Label {
                            text: qsTr("This controls the Flash Light blinking rate for all incoming calls when you flip the device over.") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                        }
        	            
        	            Divider {
        	            
        	            }
        	
        				Header {
                               title: qsTr("Phone Connects") + Retranslate.onLanguageChanged	            
        	       		}
        		        Container {
        		            layout: DockLayout {
        		            }
        		            horizontalAlignment: HorizontalAlignment.Fill
        		            topPadding: 10.0
        		            Label {
                                text: qsTr("On call connect (Once)") + Retranslate.onLanguageChanged	            
        		                horizontalAlignment: HorizontalAlignment.Left
        		            }
        		            ToggleButton {
        	                    id: tb_connect
        		                objectName: "vib_connect"
        		                horizontalAlignment: HorizontalAlignment.Right
        	                    onCheckedChanged: {
        	                            vib_duration.setVisible(tb_connect.checked || tb_disconnect.checked)
        	                    }
        	                }
        		        }
        		        Divider {
        		        
        		        }
        		        
        		        Container {
        		            layout: DockLayout {
        		            }
        		            horizontalAlignment: HorizontalAlignment.Fill
        		            topPadding: 10.0
        		            Label {
                                text: qsTr("On call disconnect (Twice)") + Retranslate.onLanguageChanged	            
        		                horizontalAlignment: HorizontalAlignment.Left
        		            }
        		            ToggleButton {
        		                id: tb_disconnect
        		                objectName: "vib_disconnect"
        		                horizontalAlignment: HorizontalAlignment.Right
        	                    onCheckedChanged: {
        	                        vib_duration.setVisible(tb_connect.checked || tb_disconnect.checked)
        	                    }
        		            }
        		        
        		        } // container                    
        	
        	            DropDown {
        	                id: vib_duration
                            title: qsTr("Vibrate Duration") + Retranslate.onLanguageChanged	            
        	                objectName: "vib_duration"
        	                Option {
        	                    text: "100 ms"
        	                }
        	                Option {
        	                    text: "200 ms"
        	                }
        	                Option {
        	                    text: "300 ms"
        	                }
        	                Option {
        	                    text: "400 ms"
        	                }
        	                Option {
        	                    text: "500 ms"
        	                }
        	                Option {
        	                    text: "600 ms"
        	                }
        	                Option {
        	                    text: "700 ms"
        	                }
        	                Option {
        	                    text: "800 ms"
        	                }
        	                Option {
        	                    text: "900 ms"
        	                }
        	                
        	                Option {
                                text: "1 "+qsTr("Second")
        	                }
        	                Option {
                                text: "2 "+qsTr("Seconds")
        	                }
        	                Option {
                                text: "3 "+qsTr("Seconds")
        	                }
        	            
        	            }
        	            
        	            Header {
                            title: qsTr("When on a Phone Call")
        	            }
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Do not vibrate for new Messages") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                objectName: "vib_on_call"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }

        		    
        		    }
        	    }
        	}
    	
    	} // connect tab
    }
    
    attachedObjects: [
        
        FilePicker {
            id: select_incoming
            type: FileType.Picture
            filter: [ "*.wav", "*.mp3", "*.amr", "*.aac", "*.m4a", "*.ogg" ]
            title: qsTr("Select a Ringtone") + Retranslate.onLanguageChanged	            
            directories : [ "/accounts/1000/shared/music"]
            onFileSelected: {
                
                _mainApp.selectedringtone(0, selectedFiles);
            }
        },
        
        FilePicker {
            id: filePicker2
            type: FileType.Picture
            filter: [ "*.wav", "*.mp3", "*.amr", "*.aac", "*.m4a", "*.ogg" ]
            title: qsTr("Select a Ringtone") + Retranslate.onLanguageChanged	            
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/music"]
            onFileSelected: {                
                _mainApp.selectedringtone(1, selectedFiles);
            }
        }
    ]

}
