import bb.cascades 1.2

Sheet
{
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("System Events") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _mainApp.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _mainApp.saveSettings()
                }
            }
        }// titleBar
        
        ScrollView {
            
	        Container
	        {
	            layout: StackLayout {
	            }
	            leftPadding: 5.0
	            topPadding: 5.0
	            rightPadding: 5.0
	            bottomPadding: 5.0
	            
	            Header {
                    title: qsTr("Screen Lock Sounds") + Retranslate.onLanguageChanged	            
	            }	
	            
	            DropDown {
                    title: qsTr("Screen Lock") + Retranslate.onLanguageChanged	            
	                objectName: "screen_lock"
	                Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
	                }
	                Option {
	                    text: "Lock Sound1"
	                }
	                Option {
	                    text: "Lock Sound2"
	                }
	                Option {
	                    text: "Lock Sound3"
	                }
	                Option {
	                    text: "Lock Sound4"
	                }
	                Option {
	                    text: "Lock Sound5"
	                }
	                Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
	                }
	                onSelectedIndexChanged: {
	                    if (selectedIndex > 0 && selectedIndex < 6)
                            _mainApp.delayPlaySound(selectedIndex, 0, selectedIndex);
	                    else 
	                    {
	                        if (selectedValue == "select")
	                            _mainApp.delayPlaySoundEx(selectedIndex, 0);                                    
                            else
                                _mainApp.resetProfilePictureIndex(0, true, selectedIndex)
	                    }

	                }
	                selectedIndex: 0
	            }
	            
	            DropDown {
                    title: qsTr("Screen Unlock") + Retranslate.onLanguageChanged	            
	                objectName: "screen_unlock"
	                Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
	                }
	                Option {
	                    text: "Unlock Sound1"
	                }
	                Option {
	                    text: "Unlock Sound2"
	                }
	                Option {
	                    text: "Unlock Sound3"
	                }
	                Option {
	                    text: "Unlock Sound4"
	                }
	                Option {
	                    text: "Unlock Sound5"
	                }
	                Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
	                }
	                onSelectedIndexChanged: {
                        if (selectedIndex > 0 && selectedIndex < 6)
                            _mainApp.delayPlaySound(selectedIndex+5, 1, selectedIndex);
                        else 
                        {
                            if (selectedValue == "select")
                                _mainApp.delayPlaySoundEx(selectedIndex, 1);                                    
                            else
                                _mainApp.resetProfilePictureIndex(1, true, selectedIndex)
                        }
	                
	                }
	                selectedIndex: 0
	            }
	            
	            DropDown {
	                
                    title: qsTr("Password Lock") + Retranslate.onLanguageChanged	            
	                objectName: "password_lock"
	                Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
	                }
	                Option {
	                    text: "Lock Sound1"
	                }
	                Option {
	                    text: "Lock Sound2"
	                }
	                Option {
	                    text: "Lock Sound3"
	                }
	                Option {
	                    text: "Lock Sound4"
	                }
	                Option {
	                    text: "Lock Sound5"
	                }
	                Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
	                }
	                onSelectedIndexChanged: {
                        if (selectedIndex > 0 && selectedIndex < 6)
                            _mainApp.delayPlaySound(selectedIndex, 2, selectedIndex);
                        else 
                        {
                            if (selectedValue == "select")
                                _mainApp.delayPlaySoundEx(selectedIndex, 2);                                    
                            else
                                _mainApp.resetProfilePictureIndex(2, true, selectedIndex)
                        }
	                
	                }
	                selectedIndex: 0
	            }
	
                Header {
                    title: qsTr("System Startup Sound") + Retranslate.onLanguageChanged	            
                }	
                DropDown {
                    
                    title: qsTr("Startup") + Retranslate.onLanguageChanged	            
                    objectName: "startup_sound"
                    Option {
                        text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                    }
                    Option {
                        text: "Startup Sound1"
                    }
                    Option {
                        text: "Startup Sound2"
                    }
                    Option {
                        text: "Startup Sound3"
                    }
                    Option {
                        text: "Startup Sound4"
                    }
                    Option {
                        text: "Startup Sound5"
                    }
                    Option {
                        text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                        value: "select"
                    }
                    onSelectedIndexChanged: {
                        if (selectedIndex > 0 && selectedIndex < 6)
                            _mainApp.delayPlaySound(selectedIndex+10, 6, selectedIndex);
                        else 
                        {
                            if (selectedValue == "select")
                                _mainApp.delayPlaySoundEx(selectedIndex, 6);                                    
                            else
                                _mainApp.resetProfilePictureIndex(6, true, selectedIndex)
                        }
                    
                    }
                    selectedIndex: 0
                }
	
	            // battery
	            Container
	            {
                    visible: false
                    Header {
                        title: qsTr("Battery Charging Sounds") + Retranslate.onLanguageChanged	            
    	            }	
    	            DropDown {
    	                
                        title: qsTr("Charging") + Retranslate.onLanguageChanged	            
    	                objectName: "charger_connected"
    	                Option {
                            text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
    	                }
    	                Option {
    	                    text: "Connect Sound1"
    	                }
    	                Option {
                            text: "Connect Sound2"
    	                }
    	                Option {
                            text: "Connect Sound3"
    	                }
    	                Option {
                            text: "Connect Sound4"
    	                }
    	                Option {
                            text: "Connect Sound5"
    	                }
    	                Option {
                            text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                            value: "select"
    	                }
    	                onSelectedIndexChanged: {
                            if (selectedIndex > 0 && selectedIndex < 6)
                                _mainApp.delayPlaySound(selectedIndex, 3, selectedIndex);
                            else 
                            {
                                if (selectedValue == "select")
                                    _mainApp.delayPlaySoundEx(selectedIndex, 3);                                    
                                else
                                    _mainApp.resetProfilePictureIndex(3, true, selectedIndex)
                            }
    	                
    	                }
    	                selectedIndex: 0
    	            }
    	            DropDown {
    	                
                        title: qsTr("Discharging") + Retranslate.onLanguageChanged	            
    	                objectName: "charger_disconnected"
    	                Option {
                            text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
    	                }
    	                Option {
    	                    text: "Disconnect Sound1"
    	                }
    	                Option {
                            text: "Disconnect Sound2"
    	                }
    	                Option {
                            text: "Disconnect Sound3"
    	                }
    	                Option {
                            text: "Disconnect Sound4"
    	                }
    	                Option {
                            text: "Disconnect Sound5"
    	                }
    	                Option {
                            text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                            value: "select"
    	                }
    	                onSelectedIndexChanged: {
                            if (selectedIndex > 0 && selectedIndex < 6)
                                _mainApp.delayPlaySound(selectedIndex+5, 4, selectedIndex);
                            else 
                            {
                                if (selectedValue == "select")
                                    _mainApp.delayPlaySoundEx(selectedIndex, 4);                                    
                                else
                                    _mainApp.resetProfilePictureIndex(4, true, selectedIndex)
                            }
    	                
    	                }
    	                selectedIndex: 0
    	            }
    	
                    DropDown {
                        
                        title: qsTr("Fully Charged") + Retranslate.onLanguageChanged	            
                        objectName: "charger_full"
                        Option {
                            text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: "Charged Sound1"
                        }
                        Option {
                            text: "Charged Sound2"
                        }
                        Option {
                            text: "Charged Sound3"
                        }
                        Option {
                            text: "Charged Sound4"
                        }
                        Option {
                            text: "Charged Sound5"
                        }
                        Option {
                            text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                            value: "select"
                        }
                        onSelectedIndexChanged: {
                            if (selectedIndex > 0 && selectedIndex < 6)
                                _mainApp.delayPlaySound(selectedIndex+10, 5, selectedIndex);
                            else 
                            {
                                if (selectedValue == "select")
                                    _mainApp.delayPlaySoundEx(selectedIndex, 5);                                    
                                else
                                    _mainApp.resetProfilePictureIndex(5, true, selectedIndex)
                            }
                        
                        }
                        selectedIndex: 0
                    }
    
                    Header {
                        title: qsTr("Low Battery Warning Sound") + Retranslate.onLanguageChanged	            
                    }
    
                    DropDown {
                        
                        title: qsTr("Warning Sound") + Retranslate.onLanguageChanged	            
                        objectName: "battery_warning_level"
                        Option {
                            text: qsTr("No Sound") + Retranslate.onLanguageChanged	            
                        }
                        Option {
                            text: "Warning Sound1"
                        }
                        Option {
                            text: "Warning Sound2"
                        }
                        Option {
                            text: "Warning Sound3"
                        }
                        Option {
                            text: "Warning Sound4"
                        }
                        Option {
                            text: "Warning Sound5"
                        }
                        Option {
                            text: qsTr("Browse Music...") + Retranslate.onLanguageChanged	            
                            value: "select"
                        }
                        onSelectedIndexChanged: {
                            if (selectedIndex == 0)
                                battery_warning.setVisible(false)
                            else
                            if (selectedIndex > 0 && selectedIndex < 6)
                            {
                                battery_warning.setVisible(true)
                                _mainApp.delayPlaySound(selectedIndex+15, 7, selectedIndex);
                            }
                            else 
                            {
                                battery_warning.setVisible(true)
                                if (selectedValue == "select")
                                    _mainApp.delayPlaySoundEx(selectedIndex, 7);                                    
                                else
                                    _mainApp.resetProfilePictureIndex(7, true, selectedIndex)
                            }
                        
                        }
                        selectedIndex: 0
                    }                
                    Container {
                        id: battery_warning
                        leftPadding: 10
                        rightPadding: 10
                        topPadding: 15
                        bottomPadding: 15
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        
                        // The minimum position of the slider means night-time so an image of a
                        // moon is added to illustrate this.
                        ImageView {
                            imageSource: "asset:///images/battery0.png"
                            verticalAlignment: VerticalAlignment.Center
                        }
                        Label {
                            text: " " + Math.round(battery_value.immediateValue) + "%"
    //                        textStyle.color: Color.Red
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center
                        }
                        
                        // The slider component
                        Slider {
                            id: battery_value
                            leftMargin: 10
                            rightMargin: 10
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Center
                            
                            layoutProperties: StackLayoutProperties {
                                spaceQuota: 1
                            }
                            objectName: "battery_warning_value"
                            toValue: 100
                        
                        }
                        
                        // At the maximum position of the slider means day-time so an image of a
                        // sun is added to illustrate this.
                        ImageView {
                            imageSource: "asset:///images/battery3.png"
                            verticalAlignment: VerticalAlignment.Center
                        
                        } // Sun icon Image
                    } // Slider Container
                
                } // battery
	            
                Header {
                    title: qsTr("Launch Application") + Retranslate.onLanguageChanged	            
                }	
                DropDown {
                    topPadding: 10
                    id: dd_sch1
                    objectName: "dd_apps"
                    title: qsTr("Application")
                    selectedIndex: 0
                }
                Label {
                    text: qsTr("Launch application whenever you turn on the screen.")
                    multiline: true
                }

	            
	        }
	    } // scroll view
    
    }
}
