import bb.cascades 1.0
import bb.cascades.pickers 1.0
import bb.system 1.0

    Page {

        Menu.definition: MenuDefinition {
            //Define Actions in the application menu
            actions: [
                ActionItem {
                    title: "Help"
                    imageSource: "asset:///images/ic_help.png"
                    onTriggered: {
                        myQmlDialog.show()
                    }
                },
                
                // define the actions for first tab here
                ActionItem {
                    title: qsTr("Settings")
                    imageSource: "asset:///images/ic_settings.png"
                    onTriggered: {
                        _mainApp.openAppSettings()
                    }
                },

                ActionItem {
                    title: "More Apps"
                    imageSource: "asset:///images/ic_moreapps.png"
                    onTriggered: {
                        invokeappworld.trigger("bb.action.OPEN")
                    }
                },
                
                ActionItem {
                    title: "Add Review"
                    imageSource: "asset:///images/ic_review.png"
                    onTriggered: {
                        addreview.trigger("bb.action.OPEN")
                    }
                }
/*
                // define the actions for first tab here
                ActionItem {
                    title: qsTr("Invite")
                    imageSource: "asset:///images/ic_bbm.png"
                    onTriggered: {
                        _app.invitedownload()
                    }
                }
*/

            
            ] // end of actions list
        } // end of MenuDefinition

	        
       Container {
                layout: DockLayout {
                }

            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Center

			Container {
                layout: StackLayout {
                }
                horizontalAlignment: HorizontalAlignment.Center
	            Label {
	                text: "Activate: Mon to Fri"
	                horizontalAlignment: HorizontalAlignment.Center
	                textStyle.fontSize: FontSize.XLarge
	                objectName: "activate_label"
	                textStyle.color: Color.DarkGreen
	            }
	            Label {
	                text: "11:00pm to 7:00am"
	                horizontalAlignment: HorizontalAlignment.Center
	                textStyle.fontSize: FontSize.XLarge
	                objectName: "activate_label2"
	                textStyle.color: Color.DarkGreen
	            }
	        }

            Container {
                layout: StackLayout {
                }
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center



				ImageToggleButton {
                    imageSourceChecked: "asset:///images/ic-ON.png"
  //                  imageSourceDisabledChecked: "asset:///images/ic-OFF.png"
//                    imageSourcePressedChecked: "asset:///images/ic-ON.png"
//                    imageSourcePressedUnchecked: "asset:///images/ic-OFF.png"
                    imageSourceDefault: "asset:///images/ic-OFF.png"
	                objectName: "img_on_off"
	                onCheckedChanged: {
	                    _mainApp.setState(checked)
                        footer.setVisible(!checked)
	                }
                 	horizontalAlignment: HorizontalAlignment.Center

            	}
				
				Label {
					text: "Incoming Blocked: "
	                horizontalAlignment: HorizontalAlignment.Center
	                textStyle.fontSize: FontSize.XLarge
	                objectName: "counter_label"
	            }

                Label {
                    text: "Outgoing Blocked: "
                    horizontalAlignment: HorizontalAlignment.Center
                    textStyle.fontSize: FontSize.XLarge
                    objectName: "counter_label2"
                }
				
            }
            Container {
	            verticalAlignment: VerticalAlignment.Bottom
	            bottomPadding: 80
                layout: StackLayout {
                
                }
                Container {
                    Divider {		            
                    }
                    
                }

				Container {
				    id: footer
		            layout: StackLayout {
		                orientation: LayoutOrientation.LeftToRight
		
			            }
		            leftPadding: 10
		            topPadding: 20
	                horizontalAlignment: HorizontalAlignment.Center
	                ImageView {
                        imageSource: "asset:///images/ic-ON_small.png"
	                    objectName: "img_incoming"
	                }
		            Label {
		                 	text: "Incoming"
	                    objectName: "incoming_status"
	                }
			        

                    ImageView {
                        imageSource: "asset:///images/ic-ON_small.png"
                        objectName: "img_outgoing"
                    }
                    Label {
                        text: "Outgoing"
                        objectName: "outgoing_status"
                    }
                } // container
	            
	        }
            
       } // container
    
    attachedObjects: [
        
        Invocation
        {
            id: invokeappworld
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://vendor/184"
            query.invokeActionId: "bb.action.OPEN"
        },
        
        Invocation {
            id: addreview
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://content/18614593"
            query.invokeActionId: "bb.action.OPEN"
        },

        SystemDialog {
            id: myQmlDialog
            cancelButton.label: undefined
            title: "About"
            body: "Wallpaper Changer v2.0.0\n© Copyright 2013 Toysoft Inc.\r\nAll Rights Reserved.\nwww.toysoft.ca\nsupport@toysoft.ca

Wallpaper Changer is a Headless application to change the HomeScreen wallpaper.
            
You can set it to Randomly or Sequentially to change the wallpaper from a folder.

Set how often you want the wallpaper to change.  You can set it to change on a Timer, Daily, Weekdays or Weekly.

You can even set a different wallpaper when the device is password locked.            

Permissions:  Make sure you set all the permissions in the Settings->Security Privacy->Application Permissions application for Wallpaper Changer.

"
        }

    
    ]
    titleBar: TitleBar {
    	title: "Buzz Off"
    }

} // sheet
