import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet
{
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Wallpaper Setup") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _mainApp.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _mainApp.saveSettings()
                }
            }
        }// titleBar

        actions: [
            ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _mainApp.help()
                }
                ActionBar.placement: ActionBarPlacement.OnBar
            }
        ]


        Container {
            SegmentedControl {
                
                leftPadding: 10
                rightPadding: 10
                topPadding: 10
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("Home Screen")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Lock Screen")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_homescreen.setVisible(true)
                        container_lockscreen.setVisible(false)
                    }
                    else
                        if (selectedIndex == 1)
                        {
                        container_homescreen.setVisible(false)
                        container_lockscreen.setVisible(true)
                        }
                }
            } 

        Container
        {
            id: container_homescreen
            visible: true
                ScrollView {
                    id: id_scrollview
                    Container {
                        layout: StackLayout {
                        }
                        leftPadding: 10
                        bottomPadding: 10
                        topPadding: 10
                        rightPadding: 10
                        
                        Header {
                            title: qsTr("Wallpaper Properties") + Retranslate.onLanguageChanged	            
        
                        }
        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Enable smart change mode") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "tg_change_sleep_only"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        
                        Label {
                            text: qsTr("When Smart mode is enabled wallpaper will only change when the device goes to sleep.") + Retranslate.onLanguageChanged	            
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.XSmall
                            multiline: true
                        }
                        Header {
                            title: qsTr("Custom Font")
                            visible: false
                        }
                        Container {
                            topPadding: 10
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }

                            visible: false
                            TextField {                           
                                id: tf_font
                                hintText: qsTr("Select a ttf font.") + Retranslate.onLanguageChanged	            
                                objectName: "tf_font"
                                maximumLength: 256
                            }
                            Button {
                                id: bt_search
                                preferredWidth: 100.0
                                imageSource: "asset:///images/ic_search_map.png"
                                onClicked: {
                                    fontBrowser.open()
                                }
                            }
                        }

                        Header {
                            title: qsTr("Rotation Type")
                        }
        
                        DropDown {
                            objectName: "typeDropdown"
                            
                            title: qsTr("Type") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Fill
                            onSelectedIndexChanged: {
                                file_info.setText("");
                                if (selectedIndex == 0)
                                {
                                    changetype.setVisible(false)	                    
                                    select_button.setText(qsTr("Browse for a picture...") + Retranslate.onLanguageChanged)
                                }
                                else
                                {
                                    changetype.setVisible(true)	                    
                                    select_button.setText(qsTr("Browse for a folder...") + Retranslate.onLanguageChanged)
                                }
                            }
                            //                    selectedIndex: 0
                            visible: false
                            Option {
                                value: "File"
        
                                text: qsTr("File") + Retranslate.onLanguageChanged	            
                                description: qsTr("Set a picture as wallpaper.") + Retranslate.onLanguageChanged	            
        
                            }
                            Option {
                                value: "Folder"
        
                                text: qsTr("Folder") + Retranslate.onLanguageChanged	            
                                description: qsTr("Set a picture from a folder.") + Retranslate.onLanguageChanged	            
        
                            }
                        }
                        
                        DropDown {
                            objectName: "changetypeDropdown"
                            id: changetype
                            title: qsTr("Change Type") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Fill
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                    wallpaper.setVisible(false)
                                else
                                	wallpaper.setVisible(true)
                            }
                            Option {
                                value: "Do Nothing"
        
                                text: qsTr("Do Nothing") + Retranslate.onLanguageChanged	            
                                description: qsTr("Do not change wallpaper") + Retranslate.onLanguageChanged	            
        
                            }
                            Option {
                                value: "Random"
        
                                text: qsTr("Random") + Retranslate.onLanguageChanged	            
                                description: qsTr("Set a random picture.") + Retranslate.onLanguageChanged	            
        
                            }
                            Option {
                                value: "Sequential"
        
                                text: qsTr("Sequential") + Retranslate.onLanguageChanged	            
                                description: qsTr("Set a picture in sequence one after another.") + Retranslate.onLanguageChanged	            
        
                            }
                        }
                        Container {
                            id: wallpaper
                        
                        Container {
                            layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight

                                }
                            horizontalAlignment: HorizontalAlignment.Center
                            id: foldercontainer
                            
                            Button {
                                id: select_button
                                text: qsTr("Add Wallpapers") + Retranslate.onLanguageChanged	            
                                onClicked: {
                                    filePicker.open();
                                }
                                objectName: "folder_button"
                            
                            }
                            Button {
                                text: qsTr("Manage Wallpapers") + Retranslate.onLanguageChanged	            
                                onClicked: {
                                    fileBrowser.open();
                                    //_mainApp.manage_wallpapers();
                                }
                            
                            }
                        
                        }

                        TextField {
                            id: file_info
                            horizontalAlignment: HorizontalAlignment.Fill
                            text: " "
                            //                        textStyle.fontSize: FontSize.Small
                            objectName: "folder_label"
                            enabled: false
                            visible: false

                         }
                        
                        Divider {
                        
                        }
                        
                        DropDown {
                            id: repeatalarmdropdown
                            objectName: "repeatDropdown"
                            horizontalAlignment: HorizontalAlignment.Fill
                            
                            title: qsTr("Recurrence") + Retranslate.onLanguageChanged	            
                            
                            Option {
                                value: "1 Minute"
        
                                text: qsTr("Every Minute") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every minute.") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "5 Minutes"
        
                                text: qsTr("Every 5 Minutes") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 5 minutes.") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "15 Minutes"
                                text: qsTr("Every 15 Minutes") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 15 minutes.") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "30 Minutes"
                                text: qsTr("Every 30 Minutes") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 30 minutes.") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "45 Minutes"
                                text: qsTr("Every 45 Minutes") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 45 minutes.") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "1 Hour"
                                text: qsTr("Every Hour") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every hour") + Retranslate.onLanguageChanged	            
        
                            }
                            Option {
                                value: "2 Hours"
        
                                text: qsTr("Every 2 Hours") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 2 hours") + Retranslate.onLanguageChanged	            
        
                            }
                            Option {
                                value: "3 Hours"
                                text: qsTr("Every 3 Hours") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 3 hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "4 Hours"
                                text: qsTr("Every 4 Hours") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 4 hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "5 Hours"
                                text: qsTr("Every 5 Hours") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 5 hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "6 Hours"
                                text: qsTr("Every 6 Hours") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 6 hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "7 Hours"
                                text: qsTr("Every 7 Hours") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 7 hours") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "8 Hours"
                                text: qsTr("Every 8 Hours") + Retranslate.onLanguageChanged	            
                                description: qsTr("Change every 8 hours") + Retranslate.onLanguageChanged	            
                            }
                            
                            Option {
                                value: "Everyday"
                                
                                text: qsTr("Everyday") + Retranslate.onLanguageChanged	            
                                description: qsTr("Activate everyday.") + Retranslate.onLanguageChanged	            
                            
                            
                            }
                            Option {
                                value: "Weekdays"
                                text: qsTr("Weekdays") + Retranslate.onLanguageChanged	            
                                description: qsTr("Activate Monday to Friday.") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                value: "Weekly"
                                text: qsTr("Weekly") + Retranslate.onLanguageChanged	            
                                description: qsTr("Activate every week.") + Retranslate.onLanguageChanged	            
                            }
        
                            
                            onSelectedValueChanged: {
                                if (selectedIndex == 15)
                                {
                                    start_time.setVisible(true);
                                    weekdays1.setVisible(true);
                                    weekdays2.setVisible(true);
                                }
                                else
                                {
                                    if (selectedIndex == 13 || selectedIndex == 14)
                                    {
                                        start_time.setVisible(true);
                                        weekdays1.setVisible(false);
                                        weekdays2.setVisible(false);
                                    }
                                    else 
                                    {
                                        start_time.setVisible(false);
                                        weekdays1.setVisible(false);
                                        weekdays2.setVisible(false);
                                    }
                                }
                            }
                            selectedIndex: 1
                        } // DropDown
                        
                        Container
                        {
                            id: weekdays1
                            horizontalAlignment: HorizontalAlignment.Left
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            visible: false
                            CheckBox {
                                id: monday
                                objectName: "monday"
                                text: "Mon"
                            }
                            CheckBox {
                                id: tuesday
                                objectName: "tuesday"
                                text: "Tue"
                            }
                            CheckBox {
                                id: wednesday
                                objectName: "wednesday"
                                text: "Wed"
                            }
                            CheckBox {
                                id: thursday
                                objectName: "thursday"
                                text: "Thr"
                            }
                        }
                        
                        Container
                        {
                            id: weekdays2
                            horizontalAlignment: HorizontalAlignment.Left
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            visible: false
                            CheckBox {
                                id: friday
                                objectName: "friday"
                                text: "Fri"
                            }
                            CheckBox {
                                id: saturday
                                objectName: "saturday"
                                text: "Sat"
                            }
                            
                            CheckBox {
                                id: sunday
                                objectName: "sunday"
                                text: "Sun"
                            }
                            
                            CheckBox {
                                id: all
                                objectName: "all"
                                text: "All"
                                onCheckedChanged: {
                                    if (checked)
                                    {
                                        monday.setChecked(true);
                                        tuesday.setChecked(true);
                                        wednesday.setChecked(true);
                                        thursday.setChecked(true);
                                        friday.setChecked(true);
                                        saturday.setChecked(true);
                                        sunday.setChecked(true);
                                    }
                                    else
                                    {
                                        monday.setChecked(false);
                                        tuesday.setChecked(false);
                                        wednesday.setChecked(false);
                                        thursday.setChecked(false);
                                        friday.setChecked(false);
                                        saturday.setChecked(false);
                                        sunday.setChecked(false);
                                    }
                                }
                            }
                        }
                        
                        DateTimePicker {		   
                            id: start_time                 
                            horizontalAlignment: HorizontalAlignment.Fill
                            
                            title: qsTr("Start Time") + Retranslate.onLanguageChanged	            
                            objectName: "starttime"
                            mode: DateTimePickerMode.Time
                            minuteInterval: 1
                        }

                        Divider {
                        
                        }
                        Header {
                            title: qsTr("Tool Bar");
                        }
                        
                        
                        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Update when screen is turned on") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "tg_tbar_update_screen_on"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                        
                        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Show Battery percentage") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "tg_tbar_show_battery"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
/*                        
                        Container
                        {
                            id: container_weather
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Show Weather information") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                id: tb_show_weather
                                objectName: "tg_tbar_show_weather"
                                horizontalAlignment: HorizontalAlignment.Right
      //                          onCheckedChanged: {
        //                            tb_show_memory.setChecked(false)
          //                      }
                            }
                        }

                        Container
                        {
                            id: container_memory
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Show Memory information") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                id: tb_show_memory
                                objectName: "tg_tbar_show_memory"
                                horizontalAlignment: HorizontalAlignment.Right
//                                onCheckedChanged: {
  //                                  tb_show_weather.setChecked(false)
    //                            }
                            }
                        }
*/
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Show Date") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                objectName: "tg_tbar_show_date"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        }
                    
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            topPadding: 10
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Text Color") + Retranslate.onLanguageChanged	            
                                verticalAlignment: VerticalAlignment.Center
                                preferredWidth: 300.0
                            }
                            Container {
                                layout: DockLayout {
                                
                                }
                                Container {
                                    id: primary_color
                                    background: Color.create(txt_primary_color.text)                                
                                    preferredWidth: 100.0
                                    verticalAlignment: VerticalAlignment.Fill
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    objectName: "container_text_color"
                                    onTouch: {
                                        _mainApp.colorPicker(0)
                                    }
                                }
                                ImageView {
                                    imageSource: "asset:///images/img_red_rect.png"
                                    preferredWidth: 100.0
                                    overlapTouchPolicy: OverlapTouchPolicy.Allow
                                    touchPropagationMode: TouchPropagationMode.PassThrough
                                }
                            }
                            
                            TextField {
                                id: txt_primary_color
                                text: "#ffffffff"
                                hintText: qsTr("html color or select the color box")
                                objectName: "tf_text_color"
                            }
                        
                        }
                    
                    
                    
                        DropDown {
                            objectName: "dd_center_area"
                            title: qsTr("Toolbar Center")
                            Option {
                                text: qsTr("Do Not Show")
                            }
                            Option {
                                text: qsTr("Memory Information")
                            }
                            Option {
                                text: qsTr("Weather Information")
                            }
                            Option {
                                text: qsTr("Custom Text")
                            }
                            Option {
                                text: qsTr("Text File")
                            }
                            onSelectedIndexChanged: {
                                if (selectedIndex == 4)
                                {
                                    tf_custom_text.setVisible(false)
                                    bt_edit_text_file.setVisible(true)
                                }
                                else
                                if (selectedIndex == 3)
                                {
                                    bt_edit_text_file.setVisible(false)
                                    tf_custom_text.setVisible(true)
                                }
                                else
                                {
                                    tf_custom_text.setVisible(false)
                                    bt_edit_text_file.setVisible(false)
                                }
                            }
                        }
                        TextField {
                            id: tf_custom_text
                            objectName: "tf_custom_text"
                            hintText: qsTr("Enter a custom message")
                             maximumLength: 50    
                         }

                          Button {
                              id: bt_edit_text_file
                              text: qsTr("Edit File") + Retranslate.onLanguageChanged	            
                              onClicked: {
                                  _mainApp.edit_text_file()
                              }
                              objectName: "custom_text_button"
                                horizontalAlignment: HorizontalAlignment.Center

                            }

                    
                    }
                
                        
                        
                        Label {
                            text: "For OS10.3 users you can use the Picture app and use Set As to set the Lock Screen Picture."
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                            visible: false
                        }
        
        				// battery and datetime 
        				
                        Header {
                            title: qsTr("Battery Options") + Retranslate.onLanguageChanged	            
                            visible: false
                        }
                        Container {
                            id: batterypercentage
                            topPadding: 10.0
                            visible: false
                            DropDown {
                                objectName: "batteryDropdown"
                                title: qsTr("Position") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                selectedIndex: 0
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                    {
                                        colordd.setVisible(false)
                                    }
                                    else
                                    {
                                        colordd.setVisible(true)
                                    }
                                }
                                Option {
                                    text: "Do Not Show"
                                }
                                Option {
                                    text: "Show On Top Left"
                                }
                                
                                Option {
                                    text: "Show On Top Right"
                                }
                                
                                Option {
                                    text: "Show On Bottom Left"
                                }
                                
                                Option {
                                    text: "Show On Bottom Right"
                                }
                                Option {
                                    text: "Show On Title Bar"
                                }
                            
                            }
                            
                            DropDown {
                                id: colordd
                                objectName: "batterycolorDropdown"
                                title: qsTr("Text Color") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                selectedIndex: 0
                                Option {
                                    text: "Black"
                                }
                                Option {
                                    text: "Blue"
                                }
                                
                                Option {
                                    text: "Orange"
                                }
                                
                                Option {
                                    text: "Red"
                                }
                                
                                Option {
                                    text: "Yellow"
                                }
                                
                                Option {
                                    text: "White"
                                }
                            }
                        
                        
                        } // battery
                        
                        Header {
                            title: qsTr("Date Options") + Retranslate.onLanguageChanged	            
                            visible: false
                        }
                        Container {
                            id: dateoptions
                            topPadding: 10.0
                            visible: false
                            DropDown {
                                objectName: "dateDropdown"
                                title: qsTr("Position") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                selectedIndex: 0
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                    {
                                        color2dd.setVisible(false)
                                    }
                                    else
                                    {
                                        color2dd.setVisible(true)
                                    }
                                }
                                Option {
                                    text: "Do Not Show"
                                }
                                Option {
                                    text: "Show On Top Left"
                                }
                                
                                Option {
                                    text: "Show On Top Right"
                                }
                                
                                Option {
                                    text: "Show On Bottom Left"
                                }
                                
                                Option {
                                    text: "Show On Bottom Right"
                                }
                                Option {
                                    text: "Show On Title Bar"
                                }
                            
                            }
                            
                            DropDown {
                                id: color2dd
                                objectName: "datecolorDropdown"
                                title: qsTr("Text Color") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Fill
                                selectedIndex: 0
                            } // date
                        
                        } // date container
                        
                        Label {
                            id: warning
                            text: qsTr("Note:  Battery percentage and Date will only be updated when the wallpaper changes.  You should set the Recurrence to One Minute if you want more accurate updates on the HomeScreen.") + Retranslate.onLanguageChanged	            
                            textStyle.fontSize: FontSize.XSmall
                            textStyle.fontStyle: FontStyle.Italic
                            multiline: true
                            visible: false
                        }
                    
                    
                    } // container
                }
            } // wallpaper


            Container
            {
                id: container_lockscreen
                visible: false
                ScrollView {
                    Container {
                        layout: StackLayout { }
                        leftPadding: 10
                        bottomPadding: 10
                        topPadding: 10
                        rightPadding: 10
    
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Enable") + Retranslate.onLanguageChanged	            
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                
                                id: tb_lockscreen_wallpaper
                                objectName: "lock_screen"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    container_custom_scrlock.setVisible(checked)
                                }
                                checked: true
                            }
                        }
                        Divider {
                            
                        }

                    Container {
                        
                        id: container_custom_scrlock
                        visible: tb_lockscreen_wallpaper.checked
                        
                        DropDown {
                            objectName: "dd_screenlock_wallpaper"
                            horizontalAlignment: HorizontalAlignment.Fill
                            
                            title: qsTr("Type") + Retranslate.onLanguageChanged
                            
                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                {
                                    container_custom_pic.setVisible(true)
                                }
                                else                                
                                {
                                    container_custom_pic.setVisible(false)
                                }
                            }
                            selectedIndex: 0
                            Option {                            
                                text: qsTr("Custom") + Retranslate.onLanguageChanged	            
                                description: qsTr("Select a custom picture") + Retranslate.onLanguageChanged	            
                            }
                            Option {
                                text: "Black Background"
                            }
                            Option {
                                text: "Blue Background"
                            }
                            
                            Option {
                                text: "Green Background"
                            }
                            
                            Option {
                                text: "Red Background"
                            }
                        
                        }

                        
                         Container {
                             id: container_custom_pic
                             leftPadding: 10
                             rightPadding: 10
                             layout: StackLayout {
                                 orientation: LayoutOrientation.LeftToRight
                             
                             }
                             visible: false
                             verticalAlignment: VerticalAlignment.Center
                             horizontalAlignment: HorizontalAlignment.Center
                             Container {
                                 verticalAlignment: VerticalAlignment.Center
                                 ImageView {
                                     imageSource: "asset:///images/ic_graphic.png"
                                     objectName: "img_lockscreen"
                                     preferredWidth: 320
                                     preferredHeight: 320
                                     scalingMethod: ScalingMethod.AspectFit
                                     verticalAlignment: VerticalAlignment.Center
                                 
                                 }
                             }
                             
                             Container {
                                 leftPadding: 10
                                 layout: StackLayout {
                                 
                                 }
                                 verticalAlignment: VerticalAlignment.Center
                                 horizontalAlignment: HorizontalAlignment.Fill
                                 
                                 topPadding: 10.0
                                 Button {
                                     horizontalAlignment: HorizontalAlignment.Fill
                                     id: select_button2
                                     text: qsTr("Browse for a picture...") + Retranslate.onLanguageChanged	            
                                     onClicked: {
                                         filePicker2.open();
                                     }
                                     objectName: "folder_button"
                                 
                                 }
                                 TextField {
                                     id: file_info2
                                     horizontalAlignment: HorizontalAlignment.Fill
                                     text: " "
                                     objectName: "folder_label2"
                                     enabled: false
                                 
                                 }
                             
                             }
                                
                          } // custom lock screen pic
                         
                         
                          DropDown {
                              objectName: "dd_screenlock_weather"
                              id: container_lockscreen_weather
                              horizontalAlignment: HorizontalAlignment.Fill
                              
                              title: qsTr("Weather Info") + Retranslate.onLanguageChanged
                              
                              selectedIndex: 0
                              onSelectedIndexChanged: {
                                  if (selectedIndex == 3)
                                      container_custom_location.setVisible(true)
                                   else
                                       container_custom_location.setVisible(false)
                                       
                                    if (selectedIndex == 0)
                                        container_lockscreen_color.setVisible(false)
                                    else 
                                        container_lockscreen_color.setVisible(true)
                                  
                              }
                              Option {                            
                                  text: qsTr("Do not display") + Retranslate.onLanguageChanged	            
                              }
                              Option {
                                  text: qsTr("Center on screen")
                              }
                              Option {
                                  text: qsTr("Bottom screen")
                              }
                              Option {
                                  text: qsTr("Custom location")
                              }
                          }
                          
                          Container {
                              id: container_custom_location
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight

                                }
                                horizontalAlignment: HorizontalAlignment.Center
                                Label {
                                    text: qsTr("X Cord")
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                TextField {
                                    objectName: "tf_weather_x"
                                    preferredWidth: 220
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    maximumLength: 4
                                }
                                Label {
                                    text: qsTr("Y Cord")
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                TextField {
                                    objectName: "tf_weather_y"
                                    preferredWidth: 220
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    maximumLength: 4
                                }
                            }
                          
                            Container {
                                id: container_lockscreen_color
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                topPadding: 10
                                verticalAlignment: VerticalAlignment.Center
                                Label {
                                    text: qsTr("Text Color") + Retranslate.onLanguageChanged	            
                                    verticalAlignment: VerticalAlignment.Center
                                    preferredWidth: 300.0
                                }
                                Container {
                                    layout: DockLayout {
                                    
                                    }
                                    Container {
                                        background: Color.create(txt_primary_color_lockscreen.text)                                
                                        preferredWidth: 100.0
                                        verticalAlignment: VerticalAlignment.Fill
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        objectName: "container_text_color_lockscreen"
                                        onTouch: {
                                            _mainApp.colorPicker(10)
                                        }
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/img_red_rect.png"
                                        preferredWidth: 100.0
                                        overlapTouchPolicy: OverlapTouchPolicy.Allow
                                        touchPropagationMode: TouchPropagationMode.PassThrough
                                    }
                                }
                                
                                TextField {
                                    id: txt_primary_color_lockscreen
                                    text: "#ffffffff"
                                    hintText: qsTr("html color or select the color box")
                                    objectName: "tf_text_color_lockscreen"
                                }
                            
                            }
                          
                          
                            Label {
                                objectName: "lb_weather_screen_size"
                                multiline: true
                                textStyle.fontStyle: FontStyle.Italic
                                horizontalAlignment: HorizontalAlignment.Center
                            }
                        } // container
                    
                    
                    } // main container

                } // scrollview
            } // lockscreen container

            Container {
                objectName: "container_progress"
                verticalAlignment: VerticalAlignment.Bottom
                horizontalAlignment: HorizontalAlignment.Center
                
                leftPadding: 20
                rightPadding: leftPadding
                bottomPadding: leftPadding
                visible: false
                Container
                {
                    background: Color.LightGray
                    preferredHeight: 290
                    Label {
                        text: qsTr("Converting")
                        horizontalAlignment: HorizontalAlignment.Center
                        textStyle.color: Color.Blue
                        textStyle.fontSize: FontSize.Large
                    }
                    Label {
                        objectName: "lb_converting"
                        text: qsTr("" )
                        horizontalAlignment: HorizontalAlignment.Center
                        textStyle.color: Color.Blue
                    }
                    Container {
                        bottomPadding: 5
                        rightPadding: leftPadding
                        verticalAlignment: VerticalAlignment.Center
                        
                        ProgressIndicator {
                            objectName: "pi_progress"
                            toValue: 100.0
                            fromValue: 0.0
                            value: 0.0
                        }
                    }
                    Button {
                        text: qsTr("Cancel")
                        horizontalAlignment: HorizontalAlignment.Center
                        onClicked: {
                            _mainApp.cancelConvert()
                        }
                    }
                }
            
            } // speech

        
    } // segament
        
        onCreationCompleted: {
            id_scrollview.requestFocus()
        }

        attachedObjects: [
            
            FilePicker {
                id: filePicker
                type: FileType.Picture
                filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
                title: qsTr("Select a Picture.") + Retranslate.onLanguageChanged	            
                //            directories: [ "/accounts/1000/shared" ]
                directories : [ "/accounts/1000/shared/camera"]
                onFileSelected: {
                    _mainApp.addWallpapers(selectedFiles);   
//                    _mainApp.manipulatePhoto(0, selectedFiles);
                }
                viewMode: FilePickerViewMode.GridView
                mode: FilePickerMode.PickerMultiple
            },
            
            FilePicker {
                id: filePicker2
                type: FileType.Picture
                filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
                title: qsTr("Select a Picture.") + Retranslate.onLanguageChanged	            
                //            directories: [ "/accounts/1000/shared" ]
                directories : [ "/accounts/1000/shared/camera"]
                onFileSelected: {
                    
                    _mainApp.manipulatePhoto(88, selectedFiles);
                }
            },

            FilePicker {
                objectName: "wallpaper_filepicker"
                id: fileBrowser
                type: FileType.Picture
                title: qsTr("Manage Wallpapers") + Retranslate.onLanguageChanged	            
                directories : [ "/accounts/1000/shared/misc/PowerTools/wallPapers"]
                viewMode: FilePickerViewMode.GridView
                mode: FilePickerMode.PickerMultiple
                onFileSelected: {                    
                    _mainApp.deleteWallpapers(selectedFiles);   
                }
            },

            FilePicker {
                id: fontBrowser
                type: FileType.Other
                title: qsTr("Select a Font") + Retranslate.onLanguageChanged	            
                directories : [ "/accounts/1000/shared/downloads"]
                filter: [ "*.ttf" ]
                onFileSelected: {                    
                    tf_font.setText(selectedFiles)
                    _mainApp.selectFont(selectedFiles);   
                }
            }
            

        
        ]
    
    
    } // page
}
